

### Flirt With Teacher ###

label hg_pr_flirt_teacher:

    # Setup
    $ current_payout = 15

    if hg_pr_flirt_teacher.counter == 0:
        gen "{size=-4}(Tell her to be flirtatious with her teachers today?){/size}" ("base", xpos="far_left", ypos="head")
        menu:
            "\"(Yes, let's do it!)\"":
                pass

            "\"(Not right now.)\"":
                jump hermione_favor_menu

    her "" (xpos="right", ypos="base", trans=fade)
    gen "[hermione_name], I want you to be especially flirtatious with your teachers today." ("base", xpos="far_left", ypos="head")

    #Intro
    if hg_pr_flirt_teacher.counter == 0:
        if hg_pr_flirt.counter > 0:
            her "I will do my best, [genie_name]!" ("base", "base", "base", "mid")
            her "Now I understand why you asked me to flirt with these pesky Slytherin boys." ("open", "closed", "angry", "mid")
            her "I am glad you finally decided to act, [genie_name]!" ("open", "base", "base", "mid")
        else:
            her "*huh*?!" ("open", "base", "angry", "mid")
            her "Why would I want to flirt with the teach--" ("angry", "base", "angry", "mid")
            her "O-oh... I see..." ("grin", "base", "base", "R")
        gen "*huh*?" ("base", xpos="far_left", ypos="head")
        her "You are finally ready to investigate the teachers who made a habit out of buying favours from the students, aren't you?" ("normal", "squint", "angry", "mid")
        her "I am honoured to pose as bait in this noble endeavour." ("open", "closed", "base", "mid")
        gen "*Ehm*... Yeah, that's exactly what I'm doing." ("base", xpos="far_left", ypos="head")
        her "Splendid! You can count on me, [genie_name]!" ("smile", "squint", "angry", "mid")
    else:
        if her_tier >= 3:
            her "As you wish, [genie_name]." ("base", "squint", "base", "mid")
        elif her_tier >= 2:
            her "I'll make sure to note every single detail, [genie_name]." ("base", "squint", "angry", "mid")
            gen "Looking forward to it..." ("base", xpos="far_left", ypos="head")
        else:
            her "I shall provide you with a detailed report later tonight, [genie_name]." ("normal", "squint", "angry", "mid")
            gen "I will be waiting..." ("base", xpos="far_left", ypos="head")

    her "Well, I'd better go now. Classes are about to start..."

    call her_walk(action="leave")

    $ hg_pr_flirt_teacher.inProgress = True
    jump end_hermione_event


# End Event
label end_hg_pr_flirt_teacher:
    $ gryffindor += current_payout
    gen "The Gryffindor house gets {number=current_payout} points!" ("base", xpos="far_left", ypos="head")
    her "Thank you, [genie_name]."

    label .no_points:

    call her_walk(action="leave")

    # Unequip lockhart tattoo after the event
    if hermione.is_equipped("tattoo3") and hermione.get_equipped("tattoo3").id == "lockhart_tattoo":
        $ hermione.unequip("tattoo3")

    label .quick_end:

    # Increase Points
    if not hg_pr_flirt_teacher.is_tier_complete():
        $ her_reputation += 1

    $ hg_pr_flirt_teacher.inProgress = False
    jump end_hermione_event

label hg_pr_flirt_teacher_intro:
    call her_walk(action="enter", xpos="mid", ypos="base")

    her "Good evening, [genie_name]." ("open", "closed", "base", "mid", xpos="mid", ypos="base", trans=fade)
    her "" ("normal", "base", "base", "mid")
    gen "[hermione_name]..." ("base", xpos="far_left", ypos="head")
    gen "Did you complete your task?" ("base", xpos="far_left", ypos="head")
    her "I did as you asked [genie_name]..."

    if hg_pr_flirt_teacher.is_tier_complete(): # If you have seen all events in this tier once, you get the choice to skip it.
        menu:
            "\"Great. Here are your points.\"":
                jump end_hg_pr_flirt_teacher

            "\"Give me the details.\"":
                pass

    gen "Tell me, [hermione_name], how many teachers did you flirt with?" ("base", xpos="far_left", ypos="head")

    if hg_pr_flirt_teacher.counter == 1:
        her "*Ehm*... Okay..." ("soft", "base", "base", "R")

    return

### Tier 1 ###

transform hg_pr_flirt_teacher_flitwick_panning:
    ypan 0
    ease_quart 6.0 ypan 180

label hg_pr_flirt_teacher_T1_E1: # Flitwick

    call hg_pr_flirt_teacher_intro

    #if  her_whoring >= 3 and her_whoring < 6:

    call play_music("chipper_doodle") # HERMIONE'S THEME.
    her "Well, I was going to flirt with Professor Flitwick..." ("open", "base", "worried", "R")
    her "But I didn't really get that far..." ("open", "squint", "worried", "R")
    her "Professor Flitwick asked me to show the class how to cast {i}wingardium leviosa{/i}, you see." ("open", "squint", "worried", "mid")
    her "And of course, seeing that I'm an expert in the subject, I obliged." ("open", "closed", "base", "mid")
    gen "Taking any and every opportunity to show off, I see." ("base", xpos="far_left", ypos="head")

    show her_flirt_public_flitwick zorder 15 as cg with fade

    her "So, I made my way to the front of the class, next to Professor Flitwick, and began casting the spell, making the feather float in the air."
    her "But, as I was explaining the proper swishing and flicking motions, it is when I realized--"
    gen "You weren't getting praised enough?" ("base", xpos="far_left", ypos="head")
    her "I had already showed the class how to cast that particular spell ages ago."
    her "It made me think, there must've been some ulterior motive as to why Professor Flitwick would have me do it again."
    gen "Maybe he's just forgetful? I forget to take my medication all the time." ("base", xpos="far_left", ypos="head") #unspecified medication makes it funnier
    her "I am sure he did it to take advantage of me, but unfortunately for him, \"forgetting\" that we've already learned that spell made it very clear to me!"
    gen "So, what you're saying is he never actually learnt how to cast the spell, and is making his students do it for him?" ("base", xpos="far_left", ypos="head")

    show her_flirt_public_flitwick eyes_down as cg with d5

    her "No, that isn't what I meant. He was having me cast that spell to distract me, so he could slide under my skirt!"

    show her_flirt_public_flitwick mouth_open as cg at hg_pr_flirt_teacher_flitwick_panning

    call ctc

    gen "He--{w=0.2} Hold on...{w=0.4} Even if your focus was on casting the spell, it took you that long to notice a grown-ass man disappearing beneath you?" ("base", xpos="far_left", ypos="head")
    her "He's a half-goblin! Of course I wouldn't notice right away!"
    gen "(Women and their obsession with height...)"
    gen "Just because the man isn't six feet tall doesn't mean--..." ("base", xpos="far_left", ypos="head")
    her "*Huh*?"
    gen "I never thought you'd be so judgmental, [hermione_name]." ("base", xpos="far_left", ypos="head")
    gen "You shouldn't measure people by their height,{w=0.5} but by the size of their--" ("base", xpos="far_left", ypos="head")
    her "[genie_name]-- That's not what I meant! Could you listen to me first, please?"
    gen "Heart..." ("base", xpos="far_left", ypos="head")
    her "........"
    gen "Perhaps if you weren't so short-tempered, you'd let me finish talking for once." ("base", xpos="far_left", ypos="head")
    her "...{w=0.4} As I was saying--"

    hide cg with fade

    her "Even before I could react and stop him, Professor Flitwick was already standing right beside me... Almost as if he had apparated." ("angry", "base", "base", "mid")
    gen "How exciting." ("base", xpos="far_left", ypos="head")
    gen "Is this all you have for me today, [hermione_name]?" ("base", xpos="far_left", ypos="head")
    her "Y-yes..." ("open", "base", "worried", "mid")
    her "But [genie_name], I now know for a fact that professor Flitwick is \"dirty\"!" ("angry", "base", "worried", "mid")
    her "He looked at my panties, [genie_name]!" ("annoyed", "base", "worried", "R")

    if hg_pf_admire_panties.counter > 1:
        gen "Didn't you show them off before?" ("base", xpos="far_left", ypos="head")
        her "What?" ("open", "base", "base", "mid")
        her "That was... different..." ("annoyed", "base", "angry", "R", cheeks="blush")
        gen "If you say so..." ("base", xpos="far_left", ypos="head")
        gen "So, do you believe that professor flit-stick is showing this kind of behaviour frequently?" ("base", xpos="far_left", ypos="head")
    else:
        gen "Lucky man." ("base", xpos="far_left", ypos="head")
        her "What?" ("open", "base", "base", "mid")
        gen "Yucky... Man..." ("base", xpos="far_left", ypos="head")
        gen "So, does this flick-shit fella do this to other students as well, you think?" ("base", xpos="far_left", ypos="head")
    her "*Ehm*... It's \"Professor Flitwick\", [genie_name]." ("normal", "squint", "angry", "mid", cheeks=None)
    her "And yes, I don't doubt that this isn't the first time he's done this." ("normal", "squint", "angry", "mid")
    gen "Right. Putting him on my \"Naughty list\" as we speak." ("base", xpos="far_left", ypos="head")
    her "......................" ("annoyed", "squint", "base", "mid")
    gen "Even then, you failed the task I set for you today, [hermione_name]." ("base", xpos="far_left", ypos="head")
    her "What, but I--" ("annoyed", "narrow", "angry", "R")

    menu:
        "\"Here are your points though.\"":
            gen "Know that I am a merciful master-- I mean a headmaster." ("base", xpos="far_left", ypos="head")
            her "Really?" ("angry", "base", "worried", "mid")
            her "Thank you so much [genie_name]!" ("smile", "happyCl", "base", "mid")

        "\"No points for you!\"":

            her "But [genie_name], I did my best!" ("angry", "base", "worried", "mid")
            her "You are going back on your promise [genie_name]!" ("mad", "base", "worried", "mid", tears="soft")
            gen "......................." ("base", xpos="far_left", ypos="head")
            stop music fadeout 1.0
            her "How unbecoming of a school headmaster!" ("scream", "happyCl", "worried", "mid")
            gen "You are dismissed, [hermione_name]." ("base", xpos="far_left", ypos="head")
            her "*Tsk*!" ("angry", "base", "angry", "mid", emote="angry")

            $ her_mood += 18
            jump end_hg_pr_flirt_teacher.no_points

    jump end_hg_pr_flirt_teacher


label hg_pr_flirt_teacher_T1_E2: # Snape

    call hg_pr_flirt_teacher_intro

    her ".................." ("soft", "base", "base", "R")
    her "............................"
    gen "[hermione_name]?" ("base", xpos="far_left", ypos="head")
    her "Yes, [genie_name]... I'm sorry... I just..." ("open", "base", "worried", "mid")
    her "............" ("soft", "base", "base", "R")
    gen "Did you do what I asked you to do?" ("base", xpos="far_left", ypos="head")
    her "I tried, [genie_name]. I really did..." ("open", "base", "base", "mid")
    gen "Who did you try to flirt with?" ("base", xpos="far_left", ypos="head")
    her "........." ("soft", "base", "base", "R")
    her "Professor Snape, [genie_name]." ("annoyed", "narrow", "angry", "R")
    call play_music("hermione") # HERMIONE'S THEME.
    gen "Severus? Interesting..." ("base", xpos="far_left", ypos="head")
    gen "How did it go?" ("base", xpos="far_left", ypos="head")
    her "It was awful [genie_name]..." ("normal", "squint", "angry", "mid")
    her "I am sorry, but I really hate professor Snape, [genie_name]!"
    gen "(I'm pretty sure the feeling is mutual...)" ("base", xpos="far_left", ypos="head")
    gen "Tell me what happened." ("base", xpos="far_left", ypos="head")
    her "Nothing happened, [genie_name]. He just laughed at me..." ("annoyed", "squint", "angry", "mid")
    her "I may not have much feminine charm, but I tried to be nice..." ("annoyed", "base", "worried", "R")
    her "And he just started laughing in my face!" ("scream", "closed", "angry", "mid")
    her "... it is really scary to see professor Snape laugh..." ("angry", "happyCl", "worried", "mid", emote="sweat")
    her "........"
    her "I am awful at flirting, I am sorry [genie_name]..."
    her "But I know that professor Snape is \"dirty\"!" ("angry", "base", "angry", "mid")
    her "If you were to send someone else, the outcome would be different, I just know it!"
    gen "Someone else?" ("base", xpos="far_left", ypos="head")
    her "Yes! Someone with more experience in this..." ("upset", "wink", "base", "mid")
    her "Someone..."
    her "Someone... *Ehm*..."
    gen "Sluttier?" ("base", xpos="far_left", ypos="head")
    her "Yes, I suppose..." ("disgust", "narrow", "base", "mid_soft")
    gen "Don't you give up, [hermione_name]. We will make a slut *err*--" ("base", xpos="far_left", ypos="head")
    gen "I mean a woman out of you yet!" ("base", xpos="far_left", ypos="head")
    her "..................." ("annoyed", "narrow", "annoyed", "mid")

    menu:
        "\"Here are your points, [hermione_name].\"":
            her "" ("base", "base", "worried", "mid")

        "\"... I'm afraid you get no points this time.\"":
            her "But I did my best..." ("annoyed", "narrow", "angry", "R")
            her "And I feel so humiliated now..." ("angry", "happyCl", "worried", "mid", emote="sweat")
            her "But I understand and won't argue with your decision..." ("normal", "happyCl", "worried", "mid")

            $ her_mood += 3
            jump end_hg_pr_flirt_teacher.no_points

    jump end_hg_pr_flirt_teacher

label hg_pr_flirt_teacher_T1_E3: # Filch

    call hg_pr_flirt_teacher_intro

    stop music fadeout 1.0
    her "I tried to flirt with mister Filch, [genie_name]..." ("open", "base", "worried", "R")
    gen "I see. {size=-5}(No idea who that is.){/size}" ("base", xpos="far_left", ypos="head")
    call play_music("hermione") # HERMIONE'S THEME.
    her "Yes, I know that technically mister Filch is not a teacher..." ("open", "base", "worried", "mid")
    gen "*huh*?" ("base", xpos="far_left", ypos="head")
    her "But he is part of the school's staff..." ("base", "base", "base", "mid")
    her "And we did hit it off quite well too!"
    her "He was surprisingly sweet."
    her "But I don't think he is \"dirty\", [genie_name]."
    gen "Gotcha... mister Filth is off the list then." ("base", xpos="far_left", ypos="head")
    her "It's \"mister Filch\", [genie_name]..." ("normal", "squint", "angry", "mid")
    gen "What did I say?" ("base", xpos="far_left", ypos="head")
    her "......." ("normal", "squint", "angry", "R")
    her "Can I get my points now?" ("open", "base", "worried", "mid")

    jump end_hg_pr_flirt_teacher

### Tier 2 ###

label hg_pr_flirt_teacher_T2_E1: # Slughorn

    call hg_pr_flirt_teacher_intro

    #elif her_whoring >= 6 and her_whoring < 9:

    stop music fadeout 1.0
    her "Well, professor Slughorn invited me over to one of his..." ("open", "base", "worried", "R")
    her "Rather disturbing tea parties..."
    call play_music("hermione") # HERMIONE'S THEME.
    her "There were plenty of girls..." ("open", "closed", "base", "mid")
    her "But none of them were in my year..."
    her "Almost every guest was a freshman..." ("annoyed", "squint", "base", "mid")
    her "We had tea and some cake..." ("open", "closed", "base", "mid")
    her "Everything was pretty harmless..."
    gen "Did you flirt with the man or not?" ("base", xpos="far_left", ypos="head")
    her "I did..."
    her "Or at least I tried to..." ("annoyed", "squint", "base", "mid")
    her "Professor Slughorn seemed to be more interested in the other girls..."
    gen "You almost sound jealous, [hermione_name]." ("base", xpos="far_left", ypos="head")
    her "What?!" ("angry", "wide", "base", "stare")
    her "That is preposterous!" ("annoyed", "narrow", "angry", "R")
    gen "Here are your points..." ("base", xpos="far_left", ypos="head")
    her "...................."

    jump end_hg_pr_flirt_teacher

label hg_pr_flirt_teacher_T2_E2:

    $ hermione.equip(her_tattoo3_lockhart) # Tattoo

    call hg_pr_flirt_teacher_intro

    call play_music("hermione") # HERMIONE'S THEME

    if hermione.is_worn("robe"):
        $ hermione.strip("robe")
        pause .8
        her "Ah..." ("smile", "happyCl", "base", "mid")

    if not hermione.is_worn("bottom"):
        her "I had an amazing day, [genie_name]!" ("smile", "happyCl", "base", "mid", emote="happy")
        gen "Glad to--" ("base", xpos="far_left", ypos="head")
        gen "[hermione_name]... What have you done to your leg?" ("base", xpos="far_left", ypos="head")
        her "What do you...{w=0.4} Oh, that..." ("mad", "base", "base", "down", cheeks="blush")
        gen "Yes that..." ("base", xpos="far_left", ypos="head")
        her "It's... it's nothing." ("open", "base", "base", "mid", cheeks="blush")

        if not hermione.is_worn("stockings"):
            gen "The hell it is...{w=0.4} is that writing on your leg?" ("base", xpos="far_left", ypos="head")
            her "I... yes..." ("normal", "happyCl", "worried", "mid", cheeks="blush")
            gen "Gil... Gilde--" ("base", xpos="far_left", ypos="head")
            her "*sigh*... Gilderoy Lockhart... [genie_name]." ("open", "narrow", "base", "down", cheeks="blush")
            gen "Now that's dirty!" ("base", xpos="far_left", ypos="head")
            her "What!?" ("clench", "base", "worried", "mid")
            gen "Tagging the students... why didn't I think of that!" ("base", xpos="far_left", ypos="head")
            her "Sir, what are you on about?" ("annoyed", "squint", "base", "mid")
            gen "Why else would he put his name there?" ("base", xpos="far_left", ypos="head")
            her "Sir, he's a famous author!" ("normal", "squint", "angry", "mid", cheeks="blush")
            gen "Doesn't give him the right to--" ("base", xpos="far_left", ypos="head")
            gen "Oh... It's an autograph!" ("base", xpos="far_left", ypos="head")
            her "I... what else would it be?" ("clench", "squint", "worried", "mid", cheeks="blush")
            gen "Nothing..." ("base", xpos="far_left", ypos="head")
            gen "Here are your points..." ("base", xpos="far_left", ypos="head")
            her "Thank you, [genie_name]." ("annoyed", "base", "worried", "down", cheeks="blush")
        else:
            gen "I can clearly see something..." ("base", xpos="far_left", ypos="head")
            gen "Take that off and let me have a proper look." ("base", xpos="far_left", ypos="head")
            her "I..."
            her "Well, alright, but don't get any ideas..." ("angry", "base", "angry", "mid")
            pause.5
            her "Here..." ("disgust", "narrow", "base", "down",cheeks="blush")

            $ hermione.strip("bottom", "stockings")
            pause.5

            gen "Gil... Gilde--" ("base", xpos="far_left", ypos="head")
            her "*sigh*... Gilderoy Lockhart... [genie_name]." ("open", "narrow", "base", "down", cheeks="blush")
            her "He very kindly gave me his autograph after today's lesson..." ("base", "narrow", "base", "down", cheeks="blush")
            gen "And why would you want such a thing?" ("base", xpos="far_left", ypos="head")
            her "He's a very popular and esteemed author, surely you know this..." ("annoyed", "base", "base", "mid", cheeks="blush")
            gen "Of course!" ("grin", xpos="far_left", ypos="head")
            gen "Who would say no to having their leg signed by \"The\" {i}Spocktart{/i}?" ("grin", xpos="far_left", ypos="head")
            gen "Not me, that's for sure!" ("grin", xpos="far_left", ypos="head")
            her "I didn't ask him to sign my leg specifically..." ("angry", "base", "worried", "mid", cheeks="blush")
            gen "I see...{w=0.4} Well, can't say I'm surprised..." ("base", xpos="far_left", ypos="head")
            her "Sir?" ("annoyed", "base", "worried", "mid", cheeks="blush")
            gen "An esteemed author making dirty requests from a fan is more common than you thi--" ("base", xpos="far_left", ypos="head")

            jump hg_pr_flirt_teacher_T2_E2.angry
    else:
        her "I had an amazing day, [genie_name]!" ("smile", "happyCl", "base", "mid", emote="happy")
        gen "Do tell, [hermione_name]..." ("base", xpos="far_left", ypos="head")
        her "I had a class with professor Lockhart today..." ("grin", "base", "base", "R")
        her "[genie_name] He is so charming and smart and..." ("base", "base", "base", "mid")
        her "And perfect..." ("base", "narrow", "base", "up")
        gen "Please spare me your schoolgirl crush, [hermione_name]." ("base", xpos="far_left", ypos="head")
        her "He was even kind enough to give me his autograph..." ("smile", "happyCl", "base", "mid", emote="happy")
        gen "How kind of him indeed..." ("base", xpos="far_left", ypos="head")
        her "Yes, I can't wait to show it to the girls!" ("grin", "base", "base", "R")
        her "It was a bit weird that he wouldn't sign my notebook though..." ("annoyed", "base", "base", "mid")
        gen "He wouldn't--" ("base", xpos="far_left", ypos="head")
        her "It's just going to fade away in the shower now..." ("upset", "base", "worried", "mid")
        gen "It's going to--" ("base", xpos="far_left", ypos="head")
        gen "Show me!" ("grin", xpos="far_left", ypos="head")
        her "[genie_name]?" ("open", "base", "worried", "mid", cheeks="blush")
        her "I... It's just an autograph..." ("base", "squint", "worried", "R", cheeks="blush")
        gen "Just an autograph? It's {i}Lockfart{/i} we're talking about here, I have to see it!" ("base", xpos="far_left", ypos="head")
        her "I..." ("disgust", "base", "worried", "down", cheeks="blush")

        menu:
            "\"Show me or I won't pay you!\"":
                $ her_mood += 9

                her "What?!" ("scream", "base", "base", "mid")
                her "..............." ("annoyed", "narrow", "worried", "down")
                her ".................." ("annoyed", "base", "worried", "R")

                her "Well, alright, but don't get any ideas..." ("angry", "base", "angry", "mid")
                pause.5
                her "Here..." ("disgust", "narrow", "base", "down",cheeks="blush")

                $ hermione.strip("bottom", "stockings")
                pause.5

                gen "*Hmm*..." ("base", xpos="far_left", ypos="head")
                her "" ("angry", "narrow", "annoyed", "mid", cheeks="blush", emote="angry")
                call ctc

                gen "Well then, this {i}Goldenheart{/i} surely is \"dirty\"!" ("base", xpos="far_left", ypos="head")

                label .angry:

                her "What do you mean?!" ("clench", "happy", "base", "mid", cheeks="blush")
                gen "Surely a piece of paper would've been--" ("base", xpos="far_left", ypos="head")

                her "Professor Lockhart is nothing but an embodiment of everything pure and courageous!" ("annoyed", "narrow", "annoyed", "mid")
                her "You should not worry about professor Lockhart, [genie_name]." ("base", "base", "worried", "R")
                her "He is not \"dirty\"." ("annoyed", "base", "worried", "L")
                gen "Whatever you say [hermione_name]..." ("base", xpos="far_left", ypos="head")
                her "............?" ("annoyed", "narrow", "annoyed", "mid", emote="angry")
                gen "Anyhow..." ("base", xpos="far_left", ypos="head")
                call ctc

            "\"Fine... Here are your points.\"":
                her "Thank you for understanding, [genie_name]." ("base", "happyCl", "base", "mid")

    $ hermione.wear("all")
    call unlock_clothing(text=">New tattoo for Hermione has been unlocked!", item=her_tattoo3_lockhart)
    jump end_hg_pr_flirt_teacher


label hg_pr_flirt_teacher_T2_E3: # Filch

    call hg_pr_flirt_teacher_intro

    call play_music("hermione") # HERMIONE'S THEME.
    her "Well, I spent quite some time by flirting with mister Filch today." ("soft", "base", "base", "mid",xpos="right",ypos="base")
    her "What a well-read and exceptionally well-mannered gentleman mister Filch is." ("open", "closed", "base", "mid")
    gen "........" ("base", xpos="far_left", ypos="head")
    her "But I don't think anyone knows him like that..." ("soft", "base", "base", "R")
    her "I don't think anyone knows mister Filch like I do."
    her "I feel like he really opened up to me, [genie_name]." ("base", "base", "base", "mid")
    gen "Right..." ("base", xpos="far_left", ypos="head")
    gen "This, mister Fli{size=+7}nt{/size}--" ("base", xpos="far_left", ypos="head")
    her "It's mister Filch, [genie_name]." ("open", "closed", "angry", "mid")
    gen "Yeah, whatever... Is he a teacher here then?" ("base", xpos="far_left", ypos="head")
    her "Mister Filch? A teacher? No, [genie_name]..."
    her "He is the caretaker... Shouldn't you know your school personnel, [genie_name]?" ("base", "base", "base", "mid")
    gen "A caretaker...?" ("base", xpos="far_left", ypos="head")
    gen "You mean he is a janitor?" ("base", xpos="far_left", ypos="head")
    her "Well..." ("open", "base", "worried", "R")
    gen "[hermione_name], I did not send you out there to charm school janitors!" ("base", xpos="far_left", ypos="head")
    her "But mister Filch is part of the school staff, [genie_name]!" ("open", "base", "base", "mid")

    menu:
        "\"Just take your points and go!\"":
            her "........................." ("normal", "base", "base", "mid")

            jump end_hg_pr_flirt_teacher

        "\"Favour failed! No points for you!\"":
            her "But [genie_name]?" ("normal", "squint", "angry", "mid")
            gen "You are dismissed, [hermione_name]." ("base", xpos="far_left", ypos="head")
            her "........................................." ("angry", "base", "angry", "mid")

            $ her_mood +=15
            jump end_hg_pr_flirt_teacher.no_points

### Tier 3 ###

label hg_pr_flirt_teacher_T3_E1: # Filch

    call hg_pr_flirt_teacher_intro

    stop music fadeout 1.0
    her "............................." ("normal", "happyCl", "worried", "mid")
    her "....................................."
    gen "[hermione_name]?" ("base", xpos="far_left", ypos="head")
    her "[genie_name], I..." ("angry", "happyCl", "worried", "mid", emote="sweat")
    gen "What is it? What happened?" ("base", xpos="far_left", ypos="head")
    her "Well..." ("annoyed", "base", "worried", "R")
    her "It's mister Filch, [genie_name]..."
    gen "The janitor?" ("base", xpos="far_left", ypos="head")
    her "I flirted with him a little..." ("open", "base", "base", "mid")
    her "And it went great at first..."
    her "......................." ("annoyed", "base", "worried", "R")
    gen "................?" ("base", xpos="far_left", ypos="head")
    her "And then..." ("open", "base", "base", "mid")
    her "Not sure if I should..." ("annoyed", "base", "worried", "R")
    gen "[hermione_name], if you are not going to speak up, you may as well leave." ("base", xpos="far_left", ypos="head")
    call play_music("hermione") # HERMIONE'S THEME.
    her "He showed me his \"thing\", [genie_name]!" ("scream", "happyCl", "worried", "mid")
    gen "His what?" ("base", xpos="far_left", ypos="head")
    her "His... manhood, [genie_name]." ("angry", "happyCl", "worried", "mid", emote="sweat")
    gen "Way to go, Janitor-guy!" ("grin", xpos="far_left", ypos="head")
    her "What?!" ("scream", "wide", "base", "mid")
    gen "*Ahem* I mean, this is unspeakable!" ("base", xpos="far_left", ypos="head")
    her "Yes... Vile crooked thing all covered in veins..." ("angry", "base", "base", "mid", tears="soft")
    gen "Spare me the grisly details, [hermione_name]." ("base", xpos="far_left", ypos="head")
    her "Why would he do such a thing?" ("mad", "happyCl", "worried", "mid", tears="soft_blink")
    her "One second we were just talking and then..."
    gen "Well, your noble  sacrifice shall not go unnoticed, [hermione_name]!" ("base", xpos="far_left", ypos="head")
    gen "{number=current_payout} points to Gryf--" ("base", xpos="far_left", ypos="head")
    her "Professor, please wait." ("soft", "base", "base", "mid", tears="soft")
    gen "*huh*?" ("base", xpos="far_left", ypos="head")
    her "Well, aren't you going to do something about this?" ("open", "base", "base", "mid")
    gen "Well..." ("base", xpos="far_left", ypos="head")
    her "What if I am not the first victim...?" ("angry", "base", "angry", "mid")
    her "Some unfortunate freshman could be traumatised for life!"
    gen "And who wouldn't be really?" ("base", xpos="far_left", ypos="head")
    her "Does this mean you will take action, [genie_name]?" ("open", "base", "base", "mid")
    gen "*Ehm*... Yeah, sure..." ("base", xpos="far_left", ypos="head")
    gen "There! Putting it on my {i}to-do-list{/i}..." ("base", xpos="far_left", ypos="head")
    gen "\"Take care of the creepy janitor-guy and his crooked cock.\"..." ("base", xpos="far_left", ypos="head")
    gen "Yes, first thing tomorrow." ("base", xpos="far_left", ypos="head")
    her "Thank you [genie_name]." ("open", "closed", "base", "mid")
    her "Can I have my points now?" ("smile", "happyCl", "base", "mid")

    jump end_hg_pr_flirt_teacher


label hg_pr_flirt_teacher_T3_E2: # Snape +CG

    call hg_pr_flirt_teacher_intro

    call play_music("chipper_doodle") # HERMIONE'S THEME.
    her "Professor Snape!" ("angry", "base", "angry", "mid", emote="angry")
    gen "*Ehm*... Yeah, I'm pretty sure it's Dumbledore or something..." ("base", xpos="far_left", ypos="head")
    her "[genie_name], please, you need to listen to me!" ("open", "base", "base", "mid")
    gen "Yes, yes, [hermione_name], I'm listening." ("base", xpos="far_left", ypos="head")
    her "I just confirmed that professor Snape is corrupted and {i}dirty{/i}, [genie_name]!" ("open", "closed", "angry", "mid")
    gen "Tell me what happened." ("base", xpos="far_left", ypos="head")
    her "Well, during classes today..." ("open", "base", "base", "mid")
    her "I have been doing my best to attract professor Snape's attention..." ("open", "base", "base", "R")
    her "I have been giving him \"dreamy looks\"..." ("open", "narrow", "worried", "down")
    her "And I've been eyeing his crotch..." ("soft", "base", "base", "R")
    gen "You..." ("base", xpos="far_left", ypos="head")
    gen "Eyed his crotch?" ("base", xpos="far_left", ypos="head")
    her "Yes... It's when you stare at a man's crotch and imagine that you are looking at something you want badly..." ("open", "closed", "angry", "mid")
    gen "Where do you get this stuff?" ("base", xpos="far_left", ypos="head")
    her "Women's magazines..." ("open", "base", "worried", "R")
    her "Well, anyway, it worked, [genie_name]." ("normal", "squint", "angry", "mid")

    hide hermione_main
    show screen snape_groping
    # TODO
    with fade
    call ctc

    her "As soon as the class was over, professor Snape grabbed my buttocks, [genie_name]!" ("angry", "base", "angry", "mid", ypos="head", flip=False)
    gen "The fiend!" ("grin", xpos="far_left", ypos="head")
    gen "Did you enjoy it, though?" ("base", xpos="far_left", ypos="head")
    her "[genie_name], I am only doing this--" ("scream", "closed", "angry", "mid")
    gen "Go Gryffindors! Honour and all that. Yes, I remember." ("base", xpos="far_left", ypos="head")

    call ctc

    her "" ("normal", "closed", "angry", "R", xpos="mid", ypos="base")

    hide screen snape_groping
    with fade

    jump end_hg_pr_flirt_teacher


label hg_pr_flirt_teacher_T3_E3: # Lockhart

    call hg_pr_flirt_teacher_intro

    stop music fadeout 1.0
    her "Professor Lockhart!" ("annoyed", "squint", "angry", "mid")
    gen "Got it! Adding him to the \"Naughty list\"!" ("base", xpos="far_left", ypos="head")
    her "No, [genie_name], it's not that..." ("open", "base", "worried", "mid")
    her "Or..." ("annoyed", "narrow", "angry", "R")
    her "I'm not sure..."
    her "I used to adore him..." ("open", "base", "worried", "mid")
    her "But he..." ("soft", "base", "base", "R")
    her "He just..."
    her "How is this possible?" ("mad", "happyCl", "worried", "mid", tears="soft_blink")
    her "I can't believe this..."
    call play_music("playful_tension") # SEX THEME.
    gen "{size=-4}(*Argh*! The suspense is killing me!){/size}" ("base", xpos="far_left", ypos="head")
    gen "What was it, [hermione_name]? Speak up!" ("angry", xpos="far_left", ypos="head")
    her "*huh*?" ("open", "base", "base", "mid")
    gen "What did Professor Lockhart do to you?" ("base", xpos="far_left", ypos="head")
    her "*Ehm*... Nothing, [genie_name]..." ("soft", "base", "base", "R")
    gen "Nothing?!" ("base", xpos="far_left", ypos="head")
    her "Yes, I sort of cornered mister Lockhart today..." ("open", "base", "worried", "mid")
    her "And I also may have sort of made a pass at him..." ("open", "base", "base", "mid")
    gen "Seriously?" ("base", xpos="far_left", ypos="head")
    her "Yes... Not sure what had gotten into me, [genie_name]..." ("angry", "happyCl", "worried", "mid", emote="sweat")
    gen "Way to go, [hermione_name]!" ("grin", xpos="far_left", ypos="head")
    her "Hear me out first [genie_name], please!" ("scream", "happyCl", "worried", "mid")
    gen "My apologies. Please continue." ("base", xpos="far_left", ypos="head")
    her "Well, I always knew that mister Lockhart was a true gentleman and..." ("open", "base", "base", "mid")
    her "And... and I just wanted to clear his name from any suspicions once and for all..."
    her "..............." ("annoyed", "base", "worried", "R")
    her "Well mister Lockhart did not reject me..."
    gen "You are killing me [hermione_name]!" ("base", xpos="far_left", ypos="head")
    gen "He didn't reject you, he didn't do anything to you..." ("base", xpos="far_left", ypos="head")
    gen "What the hell happened then?" ("base", xpos="far_left", ypos="head")
    her "............." ("normal", "happyCl", "worried", "mid")
    call play_music("hermione") # HERMIONE'S THEME.
    her "I made him cry, [genie_name]..." ("angry", "happyCl", "worried", "mid", emote="sweat")
    gen "..............{w=0.5}wait what?" ("base", xpos="far_left", ypos="head")
    her "He gave me a bewildered look and then started to sob..." ("angry", "base", "worried", "mid")
    her "He looked like he was genuinely afraid of me, [genie_name]."
    her "I think..." ("annoyed", "base", "worried", "R")
    her "I think mister Lockhart might be afraid of women..."
    gen "Afraid of women?" ("base", xpos="far_left", ypos="head")
    gen "What is that supposed to mean?" ("base", xpos="far_left", ypos="head")
    her "That he is into boys, [genie_name]?" ("angry", "happyCl", "worried", "mid", emote="sweat")
    gen "Oh... To each their own I guess." ("base", xpos="far_left", ypos="head")
    her "............" ("upset", "wink", "base", "mid")
    gen "..........." ("base", xpos="far_left", ypos="head")
    gen "Well, I bet it was a traumatising experience for you, [hermione_name]." ("base", xpos="far_left", ypos="head")
    her "It was, [genie_name]..." ("open", "base", "base", "mid")
    gen "Well, I hope these points will make you feel better." ("base", xpos="far_left", ypos="head")

    jump end_hg_pr_flirt_teacher
