

### Cho Strip ###

label cc_pf_strip:

    # Start Event
    $ cc_pf_strip.start()

    # End Event Jump
    label end_cho_strip_event:

        if cho_tier == 2 and cho_whoring < 9: # Points til 9
            $ cho_whoring += 1

        if cho_tier == 3 and cho_whoring < 15: # Points til 15
            $ cho_whoring += 1

    $ cho.wear("all") # Reset clothes
    jump end_cho_event

# TODO: Add Fail events as Tier 1, currently named Tier 1 events become Tier 2.

### Tier 1 (pre Slytherin) ###

label cc_pf_strip_T2_intro_E1:
    gen "It's time for your next favour, [cho_name]." ("base", xpos="far_left", ypos="head")
    cho "Of course, [cho_genie_name]." ("base", "base", "base", "mid")
    cho "What would you like me to do?" ("soft", "base", "base", "mid")
    gen "First, come a bit closer..." ("base", xpos="far_left", ypos="head")
    cho "Very well, Sir." ("base", "base", "base", "mid")

    call cho_walk("desk", "base")

    cho "" (xpos="mid", ypos="base", trans=fade)
    call ctc

    gen "How often do you typically exercise, Miss Chang?" ("base", xpos="far_left", ypos="head")
    cho "As often as I can, [cho_genie_name]!" ("soft", "base", "base", "mid")
    gen "Which is... how often, exactly? Twice a week?" ("base", xpos="far_left", ypos="head")
    cho "Three times a day, Sir!" ("base", "narrow", "base", "mid")
    with hpunch
    gen "What?!" ("angry", xpos="far_left", ypos="head")
    gen "(I don't even jerk off that often!)" ("angry", xpos="far_left", ypos="head")
    gen "I find that a bit hard to believe... You're not embellishing the truth, are you?" ("base", xpos="far_left", ypos="head")
    cho "I'm not, Sir! It's necessary for someone in my position!" ("open", "closed", "angry", "mid")
    cho "I wake up every morning before dawn, then run around the Quidditch pitch until the sun rises!" ("open", "narrow", "angry", "mid")
    cho "My body's at the absolute peak of human condition!" ("open", "narrow", "angry", "R")
    gen "It is quite impressive..." ("angry", xpos="far_left", ypos="head")
    cho "Glad to hear it, [cho_genie_name]." ("base", "happyCl", "base", "mid")
    gen "I assume you get complimented often?" ("base", xpos="far_left", ypos="head")
    cho "Sometimes..." ("soft", "base", "base", "R")
    gen "And I suspect you have many admirers?" ("grin", xpos="far_left", ypos="head")
    cho "Oh, *umm*... maybe?" ("annoyed", "base", "base", "mid")
    cho "But that's {b}not{/b} why I take such great care of my body, Sir!" ("open", "narrow", "angry", "mid")
    gen "Of course not..." ("base", xpos="far_left", ypos="head")
    cho "Quidditch is a hard game for anyone, as I'm sure you know..." ("open", "closed", "base", "mid")
    cho "But that goes double for girls!{w=0.6} I have to train twice as hard as the boys if I want to stand a chance!" ("open", "narrow", "angry", "mid")
    gen "That's very commendable of you..." ("base", xpos="far_left", ypos="head")
    cho "Thank you, Sir." ("base", "base", "base", "mid")

    # Ask her to strip.
    gen "So, Why don't you show me what you are made of?{w=1.0} Let me have a proper look at you!" ("grin", xpos="far_left", ypos="head")
    cho "Sir?" ("soft", "wink", "raised", "mid")
    gen "I need you to remove your clothes." ("base", xpos="far_left", ypos="head")
    call play_music("stop")
    cho "!!!" ("soft", "wide", "base", "mid", cheeks="blush")
    call play_music("cho")
    gen "Go on, girl. Start with the top..." ("base", xpos="far_left", ypos="head")
    cho "No!" ("scream", "happyCl", "angry", "mid", cheeks="blush", trans=hpunch)
    cho "Why are you even asking me to do such a thing?!" ("angry", "narrow", "angry", "mid")
    #gen "Didn't you take your skirt off for me after the Hufflepuff match?" ("base", xpos="far_left", ypos="head")
    #cho "{size=-4}Well, I probably shouldn't have done that..{/size}" ("annoyed", "base", "worried", "R")
    #gen "Sorry?" ("base", xpos="far_left", ypos="head")
    gen "Have you already forgotten that I'm here to train you?" ("base", xpos="far_left", ypos="head")
    cho "And I'm very thankful for that sir, but..." ("open", "closed", "base", "mid")
    gen "Am I not your trusted mentor?" ("base", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "mid")
    gen "Your strong advisor..." ("base", xpos="far_left", ypos="head")
    gen "Your guardian angel!" ("grin", xpos="far_left", ypos="head")
    cho "I don't think taking off my clothes will be necessary for our training, [cho_genie_name]." ("annoyed", "narrow", "angry", "R")
    gen "I'm very disappointed I've got to say..." ("base", xpos="far_left", ypos="head")
    gen "You aren't this shy about undressing in front of your team, are you?" ("base", xpos="far_left", ypos="head")
    cho "That's entirely different!" ("soft", "narrow", "angry", "mid")
    gen "How so?" ("base", xpos="far_left", ypos="head")
    cho "I'm just not comfortable doing this in front of you, Sir!" ("soft", "closed", "worried", "mid")
    cho "You're really old..." ("soft", "narrow", "worried", "downR", cheeks="blush")
    gen "Pardon me?" ("base", xpos="far_left", ypos="head")
    cho "I meant... you're our headmaster! It just feels wrong to me!" ("soft", "narrow", "worried", "mid")
    #gen "It didn't bother you the last time you barged into my office..." ("base", xpos="far_left", ypos="head")
    #cho "Well, we had just won the game and all that... Maybe my judgement..." ("annoyed", "closed", "worried", "R")
    gen "Are you one of those shy girls, Miss Chang?" ("base", xpos="far_left", ypos="head")
    cho "No, Sir. I wouldn't say I'm shy, but..." ("soft", "narrow", "worried", "downR")
    gen "Well then prove me you aren't, girl!" ("base", xpos="far_left", ypos="head")
    gen "Let me see it!" ("grin", xpos="far_left", ypos="head")

    # Cho stays reluctant.
    cho "Is there no other way I could repay the favour?" ("annoyed", "narrow", "worried", "mid")
    gen "Well, yes.{w=0.3} Several.{w} But we'll get to those later..." ("base", xpos="far_left", ypos="head")
    cho "Later, Sir?" ("soft", "base", "raised", "mid")
    gen "Girl, I wouldn't be asking you this if it wasn't absolutely necessary for your training!" ("angry", xpos="far_left", ypos="head")
    cho "Of course, [cho_genie_name]." ("annoyed", "base", "base", "down")
    gen "All that's required of you is to co-operate..." ("base", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "base", "worried", "mid", cheeks="blush")
    gen "Now take off your top..." ("base", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "mid", cheeks="blush")
    cho "Only my top?" ("soft", "narrow", "worried", "mid")
    gen "Would you like to take off {b}more?{/b}" ("grin", xpos="far_left", ypos="head")
    cho "I didn't mean it like that!" ("angry", "narrow", "angry", "mid")
    gen "[cho_name], it's only the two of us in here. No need to worry." ("base", xpos="far_left", ypos="head")
    cho "I'm not worried about others, [cho_genie_name]!" ("annoyed", "narrow", "angry", "mid")
    cho "For as long as nobody else will find out...{w} You have to promise me that, Sir!" ("soft", "narrow", "angry", "R")
    gen "Promised! Now take it off!" ("grin", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "mid")
    gen "*Ahem*{w=0.5} Slowly..." ("base", xpos="far_left", ypos="head")
    pause .5
    cho "" ("quiver", "happyCl", "worried", "mid", cheeks="blush")
    pause .8

    # Remove top.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ cho.strip("robe", "top")
    with d3
    pause .5

    cho "" ("quiver", "narrow", "worried", "mid", cheeks="blush")
    call ctc

    menu:
        "\"Your posture is remarkable!\"":
            cho "Oh... Glad you noticed!" ("smile", "base", "base", "down") # Happy
            cho "I'm relieved you actually show interest in my body status, Sir!" ("base", "base", "base", "mid")
            gen "(Oh, You have no idea, girl!)" ("base", xpos="far_left", ypos="head")
            cho "I thought you just wanted to gush at my body like all the other teachers..." ("soft", "narrow", "worried", "mid", cheeks="blush")
            gen "Who?{w} Which other teachers are you talking about?{w} Snape?!" ("base", xpos="far_left", ypos="head")
            cho "No, not Snape..." ("annoyed", "narrow", "angry", "R")
            cho "(...)" ("annoyed", "base", "worried", "downR", cheeks="blush")
            cho "Promise me you won't tell her!" ("quiver", "narrow", "worried", "mid", cheeks="blush")
            gen "Her?!" ("base", xpos="far_left", ypos="head")
            cho "Madame Hooch, Sir." ("soft", "narrow", "worried", "mid", cheeks="blush")
            gen "Ah, the old, grey haired lady..." ("base", xpos="far_left", ypos="head")
            cho "Yes, she's been eyeing me a lot lately..." ("annoyed", "base", "worried", "downR", cheeks="blush")
            cho "Even more so after our recent game against Hufflepuff..." ("mad", "narrow", "worried", "R", cheeks="blush")
            gen "I can't blame her... Your body is very pleasant to look at!" ("grin", xpos="far_left", ypos="head")
            cho "Thank you, Sir." ("base", "base", "base", "mid", cheeks="blush")

        "\"You have marvellous abs!\"":
            gen "Magnificent." ("angry", xpos="far_left", ypos="head")
            gen "Simply...{w} magnificent..." ("angry", xpos="far_left", ypos="head")
            cho "*Ehm*..." ("annoyed", "narrow", "worried", "R", cheeks="blush") # Embarrassed
            gen "As if Michelangelo himself carved them onto your flesh..." ("angry", xpos="far_left", ypos="head")
            gen "I must say I'm very impressed!" ("base", xpos="far_left", ypos="head")
            cho "Thank you, Sir." ("soft", "narrow", "worried", "downR", cheeks="blush")

        "\"*Eh*, I've seen better, but that'll do.\"":
            $ cho_mood += 3
            cho "What?!" ("mad", "base", "angry", "mid") # Upset
            gen "(Crap!)" ("angry", xpos="far_left", ypos="head")
            gen "What I meant to say is, you're in great shape but I still see room for improvements." ("base", xpos="far_left", ypos="head")
            gen "I'm impressed nonetheless!" ("base", xpos="far_left", ypos="head")
            cho "Thank you, I guess..." ("annoyed", "narrow", "angry", "downR", cheeks="blush")

    gen "None of the other girls I get to see here has such fine...{w=1.0} contours." ("base", xpos="far_left", ypos="head")
    cho "Other girls?" ("soft", "wide", "base", "mid")
    cho "[cho_genie_name], you aren't training anybody else in Quidditch besides me, are you?" ("soft", "narrow", "angry", "mid")
    gen "What? Of course not..." ("base", xpos="far_left", ypos="head")
    cho "Then which other girls are you talking about?" ("annoyed", "narrow", "angry", "mid")
    gen "(Shit! I better just tell her the truth.)" ("angry", xpos="far_left", ypos="head")
    gen "Just...{w=1.0} Granger..." ("base", xpos="far_left", ypos="head")
    cho "*Phewww*{w=1.0} You scared me there for a second, Sir..." ("smile", "narrow", "worried", "mid")
    gen "You... don't mind?" ("base", xpos="far_left", ypos="head")
    cho "Please. Why should I care what Granger does for you in here?" ("soft", "narrow", "angry", "R")
    cho "All she seems to care about is winning the house cup." ("open", "narrow", "angry", "R")
    cho "As long as you don't help any Gryffindor or Slytherin sluts win the Quidditch cup, everything will be fine." ("base", "narrow", "base", "mid")
    gen "No worries, [cho_name]. I don't have plans to train other {i}sluts{/i} in quidditch." ("grin", xpos="far_left", ypos="head")

    cho "That's a relief..." ("open", "closed", "base", "mid")
    cho "Besides, she clearly doesn't hold a candle against me!" ("open", "narrow", "base", "R")
    cho "All she does is sit on her arse all day, studying in the library..." ("soft", "narrow", "angry", "mid")
    gen "(...)" ("base", xpos="far_left", ypos="head")
    cho "You can't expect somebody who's as lazy as her to look as great as I do!" ("soft", "closed", "base", "mid")

    menu:
        "\"Yeah, she's gross.\"":
            $ cho_mood = 0
            gen "Miss Granger's body is nothing compared to yours." ("base", xpos="far_left", ypos="head")
            cho "I wholeheartedly agree, Sir!" ("base", "narrow", "angry", "mid")
            gen "Her tits sag too much, and her fat hips are disgusting..." ("base", xpos="far_left", ypos="head")
            hide cho_main
            call blktone
            gen "(Something deep inside me just died saying this...)" ("angry", xpos="far_left", ypos="head")
            call hide_blktone
            cho "She really is a..." ("open", "closed", "raised", "mid")
            cho "... stupid..." ("angry", "closed", "angry", "mid")
            cho "... fat..." ("clench", "narrow", "angry", "mid")
            cho "... cow, isn't she?" ("quiver", "narrow", "angry", "mid", cheeks="blush")
            gen "Speaking of Hermione..." ("base", xpos="far_left", ypos="head")
            gen "Why don't you show me \"your\"{w} very much \"superior\"{w} hips?" ("grin", xpos="far_left", ypos="head")
            cho "Are you asking me to take off my bottoms?" ("soft", "wink", "raised", "mid", cheeks="blush")
            gen "Yes, my dear." ("base", xpos="far_left", ypos="head")

        "\"Nope, you lose\"":
            $ cho_mood += 6

            cho "What?!" ("scream", "wide", "angry", "mid", trans=hpunch)
            cho "" ("angry", "narrow", "angry", "mid")
            gen "I'm afraid, Miss Granger is simply...{w} how shall I put it...{w} sexier!" ("base", xpos="far_left", ypos="head")
            cho "But she doesn't even do workouts!" ("clench", "narrow", "angry", "mid")
            gen "Let's just forget about her, shall we?" ("base", xpos="far_left", ypos="head")
            gen "And continue where we left off..." ("base", xpos="far_left", ypos="head")
            cho "And where would that be?" ("annoyed", "narrow", "angry", "mid")
            gen "Your Quidditch training, Miss Chang." ("base", xpos="far_left", ypos="head")
            cho "I'm not sure I want to -- after what you've just said..." ("annoyed", "narrow", "angry", "R")
            gen "Why? What did I say?" ("base", xpos="far_left", ypos="head")
            cho "That Granger's body is better?! We both know that isn't true." ("mad", "narrow", "angry", "mid")
            gen "Do you expect me to apologise?" ("base", xpos="far_left", ypos="head")
            cho "Yes!{w} Admit that I'm sexier!" ("annoyed", "closed", "angry", "mid", cheeks="blush") # Snobby
            gen "You are indeed, {b}very sexy{/b}, Miss Chang!" ("grin", xpos="far_left", ypos="head")
            cho "Thank you, Sir." ("base", "narrow", "base", "mid")
            gen "Now take your bottoms off, would you..." ("base", xpos="far_left", ypos="head")
            cho "(...)" ("annoyed", "narrow", "angry", "mid")


    cho "Please don't tell anybody about what I'm doing in here, Sir." ("quiver", "narrow", "worried", "mid", cheeks="blush")
    cho "It could really tarnish my reputation." ("soft", "narrow", "worried", "R", cheeks="blush")
    gen "I'd never think of it..." ("base", xpos="far_left", ypos="head")
    cho "I will take off my bottoms now!" ("scream", "happyCl", "angry", "mid") # Scream
    cho "" ("horny", "narrow", "worried", "R", cheeks="blush")
    gen "(!!!)" ("grin", xpos="far_left", ypos="head")
    pause .4

    # Remove bottoms.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    hide cho_main
    $ cho.strip("bottom")
    pause 1.2
    $ renpy.sound.play("sounds/cloth_sound4.ogg")
    show screen cho_cloth_pile
    pause .4
    cho "" (trans=d3)
    pause .5

    cho "" ("horny", "narrow", "base", "mid", cheeks="blush")
    call ctc

    gen "YES!" ("angry", xpos="far_left", ypos="head")
    gen "Look at those thighs!" ("angry", xpos="far_left", ypos="head")
    gen "Those tree trunks!" ("angry", xpos="far_left", ypos="head")
    gen "Even the great \"Chun-Li\" would be jealous of those!" ("grin", xpos="far_left", ypos="head")
    cho "I'm sorry Sir, who's that?" ("soft", "wink", "raised", "mid")

    menu:
        gen "(...)" ("base", xpos="far_left", ypos="head")

        "\"Never seen City Hunter?\"":
            cho "\"City Hunter?\"{w=0.3} Can't say that I have." ("soft", "base", "raised", "mid")
            gen "What about \"Police Story\"?" ("base", xpos="far_left", ypos="head")
            cho "No?" ("soft", "wink", "raised", "mid")
            gen "\"Drunken Master\"?" ("base", xpos="far_left", ypos="head")
            cho "(...)" ("annoyed", "base", "base", "R")
            gen "Please tell me you've at the very least seen \"Rush Hour\"?" ("angry", xpos="far_left", ypos="head")
            cho "No, Sir." ("annoyed", "closed", "base", "mid")
            gen "I'm in shock, over how little you care about your culture..." ("base", xpos="far_left", ypos="head")
            cho "(...)" ("annoyed", "narrow", "angry", "mid")
            gen "Not every man can pull off a cosplay like that!" ("angry", xpos="far_left", ypos="head")
            cho "I'm not following, Sir." ("annoyed", "narrow", "angry", "R")

        "\"She's my main...\"":
            gen "I simply love playing with her..." ("grin", xpos="far_left", ypos="head")
            gen "Seeing that leg rise up when I press the right buttons..." ("base", xpos="far_left", ypos="head")
            cho "What?!" ("open", "narrow", "raised", "mid") # confused

    gen "Speaking of which!{w} I don't believe we are done here just yet." ("grin", xpos="far_left", ypos="head")
    cho "We aren't? But I did exactly what you wanted!" ("open", "base", "worried", "mid")
    gen "You've still got some clothes on..." ("grin", xpos="far_left", ypos="head")
    cho "Sir, is this why you are helping me?" ("open", "closed", "angry", "mid")
    cho "Might this be all just part of a sick scheme to get to see me naked?" ("annoyed", "narrow", "angry", "mid")
    gen "(...)" ("base", xpos="far_left", ypos="head")

    menu:
        "\"It absolutely is!\"":
            $ cho_mood += 20
            $ cho_mad_about_stripping = True # Flag that enables different dialogue that is a bit more "lewd" in the next favour repeat.
            cho "" ("angry", "wide", "base", "mid") # Shock
            gen "Now take off that bra of yours and show me those titties!" ("grin", xpos="far_left", ypos="head")
            cho "[cho_genie_name], how can you talk to me like that!" ("scream", "closed", "angry", "mid", trans=hpunch)
            cho "I'm your student!" ("clench", "narrow", "angry", "mid")
            gen "And a very pretty one at that!" ("grin", xpos="far_left", ypos="head")
            cho "You disgust me, sir..." ("soft", "narrow", "angry", "mid")

        "\"Of course not...\"":
            $ cho_mood += 6
            $ cho_mad_about_stripping = False
            cho "Aye right..." ("soft", "narrow", "raised", "mid") # Expression of disbelieve...
            cho "And I'm supposed to believe that." ("open", "narrow", "base", "R")
            cho "You're practically foaming out of your mouth just looking at me, Sir..." ("soft", "narrow", "angry", "mid")
            gen "I'm not...{w} that's just..." ("angry", xpos="far_left", ypos="head")
            #if butterbeer_ITEM.owned > 0:
            gen "Butterbeer..." ("angry", xpos="far_left", ypos="head")
            cho "This is as far as I will go, Sir!" ("annoyed", "narrow", "angry", "mid")

    cho "If you want a bimbo to strip for you, I suggest you call Hermione instead..." ("annoyed", "narrow", "angry", "mid")
    pause .5

    call play_sound("equip")
    hide cho_main
    $ cho.wear("all")
    hide screen cho_cloth_pile
    cho "" ("angry", "narrow", "angry", "mid")
    pause .8

    cho "We are done here!" ("angry", "narrow", "angry", "mid")

    # Cho leaves.
    call cho_walk(action="leave")

    call bld
    gen "She'll do it next time, I'm sure..." ("base", xpos="far_left", ypos="head")

    jump end_cho_strip_event


label cc_pf_strip_T2_intro_E2:
    cho "" ("upset", "base", "base", "R")
    gen "[cho_name], to continue your training where we left off..." ("base", xpos="far_left", ypos="head")
    gen "I'd like you to, once again, undress!" ("grin", xpos="far_left", ypos="head")
    cho "Of course, Sir." ("annoyed", "base", "angry", "downR")

    call cho_walk("desk", "base")

    cho "Down to my undergarments, [cho_genie_name]?" ("soft", "closed", "base", "mid", xpos="mid", ypos="base", trans=fade)
    cho "Or would you like me to take off all of it?" ("soft", "narrow", "base", "mid")
    gen "*Ehm*... All of it?" ("base", xpos="far_left", ypos="head")
    cho "Very well, Sir." ("soft", "closed", "base", "mid")
    gen "(Please don't let this be a trick question.)" ("angry", xpos="far_left", ypos="head")
    cho "" ("upset", "narrow", "base", "mid")
    pause .4

    if cho.is_worn("robe"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("robe")
    # Remove top.
    if cho.is_worn("top"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("robe", "top")
        with d3
        pause .5

        cho "" ("upset", "narrow", "angry", "mid")
        call ctc

    cho "I'm a very good trainee, [cho_genie_name]!" ("soft", "narrow", "angry", "mid")
    gen "Yes you are!" ("grin", xpos="far_left", ypos="head")
    cho "If my trainer requires me to take off my clothing and strip for him..." ("soft", "closed", "base", "mid")
    cho "Then I have no other choice but to indulge..." ("soft", "narrow", "base", "R")
    cho "I see nothing wrong with that..." ("annoyed", "narrow", "angry", "mid")
    pause .4

    # Remove bottoms.
    if cho.is_worn("bottom"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("bottom")
        with d3
        pause .5

        cho "" ("annoyed", "narrow", "base", "mid")
        call ctc

    cho "Would you perhaps like me to climb on top of your desk?" ("soft", "narrow", "raised", "mid")
    cho "And dance for you like some common harlot?" ("soft", "narrow", "base", "R")

    # You saw Hermione strip before.
    if hg_strip.trigger:
        gen "If it's not too much trouble..." ("base", xpos="far_left", ypos="head")
        cho "Of course not, [cho_genie_name]." ("soft", "closed", "base", "mid")
        gen "(I'm having a bit of a deja vu!)" ("angry", xpos="far_left", ypos="head") # In-game font doesn't support special characters. déjà vu!
    else:
        gen "Yes please!" ("grin", xpos="far_left", ypos="head")
        cho "Whatever you say, Sir!" ("soft", "closed", "base", "mid")
    cho "Like I said, I'd go to any lengths just to please my trainer..." ("soft", "narrow", "base", "mid")

    # Climbs desk.
    call hide_characters
    show screen blkfade
    with d5
    call play_sound("climb_desk")
    pause 1

    "To your surprise, the athletic petite girl rather playfully climbs on top of your desk."
    pause .5
    gen "Nice!" ("grin", xpos="far_left", ypos="head")
    pause .2

    call cho_chibi("stand", "on_desk", "on_desk", flip=False)
    hide screen bld1
    hide screen blkfade
    with d5
    call ctc

    cho "After all, I promised I'd do anything to win that Quidditch cup..." ("soft", "narrow", "angry", "mid")
    cho "If stripping for you is what it takes, then..." ("soft", "base", "angry", "down")
    call play_music("sad")
    cho "Then..." ("angry", "base", "worried", "down")
    cho "I-I'll do it..." ("soft", "narrow", "worried", "down", cheeks="blush")
    gen "(Shit. Is she crying?)" ("base", xpos="far_left", ypos="head")
    gen "(Can she even cry?)" ("base", xpos="far_left", ypos="head")
    gen "Are you alright, girl?" ("base", xpos="far_left", ypos="head")
    cho "No.{w} I'm already regretting climbing up here!!!" ("mad", "closed", "worried", "mid")
    cho "(What were you thinking, Cho?!)" ("angry", "narrow", "worried", "down", cheeks="blush")
    gen "You can come back down if it's too much for yo--" ("base", xpos="far_left", ypos="head")
    cho "Shut up!" ("scream", "closed", "angry", "mid", trans=hpunch) # Scream
    cho "Can't you see what I'm trying to do here?" ("angry", "narrow", "angry", "mid")
    gen "Not really, no." ("base", xpos="far_left", ypos="head")
    cho "I-I'm... testing my limits, Sir." ("angry", "narrow", "worried", "down", cheeks="blush")
    cho "And I believe I've reached them!" ("mad", "happyCl", "worried", "mid", cheeks="blush")
    gen "For real? You are still wearing clothes..." ("base", xpos="far_left", ypos="head")
    cho "I thought{w=0.2}, if I could go as far as embarrassing myself in front of my headmaster..." ("soft", "narrow", "worried", "down", cheeks="blush")
    cho "Doing the same in front of the school won't feel as bad in comparison." ("annoyed", "narrow", "worried", "down", cheeks="blush")
    cho "Sir, I don't think I can do this after all." ("soft", "narrow", "worried", "mid")
    cho "Could I get your permission to leave and never come back?" ("angry", "narrow", "worried", "mid")

    menu:
        "\"Yes, but take off those clothes first...\"":
            call play_music("stop")
            cho "Yes! Thank you, Sir!" ("soft", "closed", "worried", "mid", cheeks="blush")
            cho "Even after I've given up -- you're still believing in me!" ("soft", "narrow", "worried", "mid", cheeks="blush")
            gen "What?{w=0.2} *Ahem* I mean..." ("base", xpos="far_left", ypos="head")
            gen "Of course!{w=0.2} I always did!" ("grin", xpos="far_left", ypos="head")
            cho "I may not like it. But this is all just part of my training..." ("soft", "base", "worried", "R", cheeks="blush")
            gen "*Uhhhh*... Sure..." ("base", xpos="far_left", ypos="head")
            call play_music("cho")
            cho "It's one of many challenges I have to face before I can call myself a Quidditch champion!" ("soft", "closed", "angry", "mid")
            cho "This is just about facing my inner demons, isn't it?" ("soft", "narrow", "angry", "mid")
            cho "Overcoming my fears..." ("soft", "narrow", "angry", "R")
            cho "Failure, and embarrassment..." ("soft", "closed", "base", "mid")
            cho "(Come on Cho, you can do it!!!)" ("horny", "happyCl", "worried", "mid", cheeks="blush")
            cho "*Ehm*..." ("horny", "narrow", "worried", "down", cheeks="blush")
            cho "What would you like me to do first, [cho_genie_name]?" ("soft", "narrow", "worried", "mid", cheeks="blush")
            cho "Remove my bra..." ("soft", "narrow", "base", "mid", cheeks="blush")
            cho "Or take off my panties?" ("horny", "narrow", "worried", "down", cheeks="blush")

        "\"Yes, you are dismissed...\"":
            $ cho_mood += 6
            call play_music("stop")
            cho "What?!" ("soft", "wide", "base", "mid")
            cho "But Sir!" ("soft", "base", "worried", "mid")
            gen "You can go now..." ("base", xpos="far_left", ypos="head")
            cho "You can't do that!" ("scream", "narrow", "angry", "mid", trans=hpunch)
            cho "" ("angry", "narrow", "angry", "mid")
            gen "Didn't you just beg me to do just that?" ("angry", xpos="far_left", ypos="head")
            call play_music("sad")
            cho "I begged you to help me win the Quidditch cup!" ("clench", "narrow", "angry", "mid")
            cho "And to be my trainer!{w} To be a {b}good{/b} trainer!" ("soft", "narrow", "angry", "mid")
            cho "How can I overcome my fear of losing if I can't even do... this!" ("annoyed", "base", "worried", "down", cheeks="blush")
            cho "You're supposed to encourage me!{w=0.6} Get me through any challenges I'm confronted with." ("soft", "narrow", "angry", "mid")
            gen "Including stripping?" ("base", xpos="far_left", ypos="head")
            cho "Including bloody stripping!" ("scream", "closed", "angry", "mid", trans=hpunch)
            cho "" ("annoyed", "narrow", "angry", "mid")
            gen "To my defence. I got some mixed messages from you earlier..." ("base", xpos="far_left", ypos="head")
            cho "(...)" ("annoyed", "narrow", "angry", "R") # Annoyed
            call play_music("stop")
            gen "Very well then..." ("base", xpos="far_left", ypos="head")
            gen "Take off your clothes, [cho_name]." ("base", xpos="far_left", ypos="head")
            cho "Yes, Sir!" ("soft", "closed", "base", "mid")
            cho "Would you like me to take off my bra first?" ("soft", "narrow", "angry", "mid")
            cho "Or pull down my panties so you can get a nice look at my lower half?" ("soft", "narrow", "base", "mid")

    menu:
        gen "First, I'd like you to..." ("base", xpos="far_left", ypos="head")
        "\"Show me those big, juicy \"Quaffles\" of yours!\"":
            call play_music("cho")
            cho "*uhhh*..." ("upset", "wide", "base", "mid", cheeks="blush")
            gen "Those two mean, hearty \"bludgers\"!" ("grin", xpos="far_left", ypos="head")
            cho "Sir? Could it be that you are talking about my breasts?" ("soft", "narrow", "worried", "mid", cheeks="heavy_blush")
            gen "Yes indeed! Very good." ("base", xpos="far_left", ypos="head")
            gen "I was hoping you would eventually catch on." ("base", xpos="far_left", ypos="head")
            gen "Also because I ran out of balls to compare them to..." ("base", xpos="far_left", ypos="head")
            cho "Promise me that you won't laugh when I show you my..." ("soft", "narrow", "worried", "R", cheeks="blush")
            cho "\"Bludgers\"!" ("mad", "happyCl", "worried", "mid", cheeks="heavy_blush")
            gen "Why would I ever laugh at a pretty girl like you, Miss Chang?" ("base", xpos="far_left", ypos="head")
            cho "Because they...{w} aren't as big as Hermione's..." ("soft", "narrow", "worried", "downR", cheeks="blush")
            cho "Hers are more closer to {i}Quaffles{/i} than mine..." ("soft", "base", "worried", "mid", cheeks="blush")
            gen "And there will always be a pair of \"Beaters\" that prefer to play with your...{w} balls." ("base", xpos="far_left", ypos="head")
            cho "Only two?..." ("upset", "base", "worried", "downR", cheeks="blush")
            gen "Don't forget to count those lucky enough to get hit by those \"bludgers\"!" ("grin", xpos="far_left", ypos="head")
            cho "" ("upset", "base", "raised", "mid")
            gen "Speaking of which..." ("base", xpos="far_left", ypos="head")
            cho "Yes?" ("soft", "base", "worried", "mid", cheeks="blush")
            gen "I'd like you to hit me with them!" ("angry", xpos="far_left", ypos="head")
            cho "With my breasts?" ("open", "wide", "base", "mid", cheeks="blush")
            gen "Yes! Hit me full force!{w} Take off that bra!" ("grin", xpos="far_left", ypos="head")
            cho "*Ugh!*..." ("mad", "narrow", "base", "down", cheeks="blush")
            cho "{size=-4}I can't believe I'm actually going to do this!{/size}" ("mad", "happyCl", "worried", "mid", cheeks="blush")
            cho "" ("soft", "narrow", "worried", "mid", cheeks="blush")
            pause .4

            # Remove bra.
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ cho.strip("bra")
            with d3
            pause .8

            cho "" ("horny", "narrow", "worried", "mid", cheeks="heavy_blush")
            call ctc

            gen "Simply wonderful, Miss Chang." ("angry", xpos="far_left", ypos="head")
            gen "Those are some stellar breasts you got there." ("base", xpos="far_left", ypos="head")
            cho "(...)" ("base", "narrow", "worried", "downR", cheeks="blush")
            gen "Some \"outstanding\" boobies!" ("angry", xpos="far_left", ypos="head")
            cho "..." ("annoyed", "narrow", "base", "mid", cheeks="blush")
            gen "Would you mind if I smack them?" ("base", xpos="far_left", ypos="head")
            cho "What?! Of course I would mind!" ("soft", "wide", "base", "mid", cheeks="heavy_blush")
            gen "I just want to beat them around a bit..." ("base", xpos="far_left", ypos="head")
            cho "" ("annoyed", "narrow", "angry", "mid", cheeks="blush")
            gen "After all, they are two soft, meaty \"bludgers\"!" ("grin", xpos="far_left", ypos="head")
            gen "And I'm a \"beater\"!" ("grin", xpos="far_left", ypos="head")

            $ genie_quid_position = "beater"

            cho "You are childish.{w} That's what you are..." ("soft", "narrow", "angry", "mid")
            gen "You're the one playing games." ("base", xpos="far_left", ypos="head")
            cho "(...)" ("annoyed", "narrow", "angry", "mid")
            cho "Fine...{w} But Only once!" ("soft", "narrow", "angry", "R")
            cho "Twice...{w} maybe..." ("mad", "narrow", "worried", "downR", cheeks="blush")
            gen "That's a hundred percent more than I had hoped for!" ("grin", xpos="far_left", ypos="head")

            call slap_her
            cho "*Ouch!*" ("angry", "wide", "base", "mid", cheeks="blush")
            call slap_her
            call slap_her
            call slap_her
            cho "Stop it!" ("scream", "happyCl", "worried", "mid", cheeks="blush")
            cho "That was more than twice!" ("soft", "narrow", "angry", "mid", cheeks="blush")
            gen "I stopped counting halfway through..." ("base", xpos="far_left", ypos="head")

        "\"Let me catch sight of that 'Snitch!'\"":
            call play_music("cho")
            cho "Don't you mean \"Snatch,\" Sir?" ("annoyed", "narrow", "angry", "mid")
            gen "Potato, Potato!" ("grin", xpos="far_left", ypos="head")
            cho "Your motives were nothing but for your own perverted gains, weren't they? From the very start." ("soft", "narrow", "base", "mid") # Annoyed
            gen "More or less..." ("base", xpos="far_left", ypos="head")
            gen "However, I never lied about wanting to help you win the Quidditch cup!" ("base", xpos="far_left", ypos="head")
            gen "(Since I've bet a fortune on it...)" ("angry", xpos="far_left", ypos="head")
            gen "And I wouldn't be able to call myself a man if I was lying!" ("base", xpos="far_left", ypos="head")
            cho "And you'd be called a dead man, if you try to trick me!" ("clench", "narrow", "angry", "mid")
            gen "Well technically I'm a geni--" ("base", xpos="far_left", ypos="head")
            call play_sound("kick")
            cho "" ("annoyed", "narrow", "angry", "mid", trans=vpunch)
            gen "*Aaaaah*!" ("angry", xpos="far_left", ypos="head")
            call nar(">Cho does a daunting stomp on your desk...")
            cho "Don't think for a second I wouldn't do it! After all of this!" ("scream", "narrow", "angry", "mid")
            cho "" ("angry", "narrow", "angry", "mid")
            call play_sound("gulp")
            gen "*Gulp*" ("angry", xpos="far_left", ypos="head")
            gen "Yes, Ma'am." ("base", xpos="far_left", ypos="head")
            cho "(...)" ("upset", "closed", "base", "mid")
            cho "" ("upset", "narrow", "worried", "down", cheeks="blush")
            pause .4

            # Remove panties.
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ cho.strip("panties")
            with d3
            pause .5

            cho "" ("horny", "narrow", "worried", "mid", cheeks="heavy_blush")
            call ctc

            cho "Happy, Sir?" ("soft", "narrow", "worried", "mid", cheeks="blush")
            gen "Very." ("base", xpos="far_left", ypos="head")
            gen "Finally I get the appeal of Quidditch." ("grin", xpos="far_left", ypos="head")
            cho "Really?" ("soft", "base", "raised", "mid")
            gen "Yes..." ("base", xpos="far_left", ypos="head")
            gen "You see, I think I've become quite a bit of a seeker myself!" ("grin", xpos="far_left", ypos="head")

            $ genie_quid_position = "seeker"

            cho "(...)" ("annoyed", "base", "base", "mid")
            gen "And I believe I've just found my very own golden snatch!" ("base", xpos="far_left", ypos="head")
            cho "" ("annoyed", "narrow", "angry", "mid", cheeks="blush")
            gen "You should consider yourself lucky, Miss Chang." ("base", xpos="far_left", ypos="head")
            cho "Why?..." ("soft", "narrow", "raised", "mid")
            gen "It's very pretty." ("grin", xpos="far_left", ypos="head")
            cho "*Ugh*..." ("mad", "narrow", "base", "down", cheeks="heavy_blush")


    cho "Sir, will that be all then?" ("annoyed", "narrow", "angry", "mid", cheeks="blush")
    cho "May I go now?" ("soft", "narrow", "angry", "R")
    gen "Haven't you forgotten something?" ("base", xpos="far_left", ypos="head")
    cho "Didn't I do enough for you already?" ("angry", "narrow", "angry", "mid")
    gen "For me, you did more than enough!{w=0.6} I'm more than pleased with what you've shown me..." ("grin", xpos="far_left", ypos="head")
    cho "*Ugh*..." ("disgust", "narrow", "base", "down", cheeks="blush") # Disgusted
    gen "But, wasn't your goal earlier to undress entirely?" ("base", xpos="far_left", ypos="head")
    gen "To prove to yourself that you {b}could{/b} do it?" ("base", xpos="far_left", ypos="head")
    cho "{size=-4}I hoped you'd just forget about that...{/size}" ("mad", "narrow", "worried", "down", cheeks="blush") # Small text.
    gen "Well, I didn't!" ("grin", xpos="far_left", ypos="head")
    gen "I'm here to help you mature -- and boost your confidence." ("base", xpos="far_left", ypos="head")
    gen "A body like yours is nothing you need to hide away!" ("base", xpos="far_left", ypos="head")
    cho "" ("base", "narrow", "worried", "mid", cheeks="blush")
    gen "Don't you think so too?{w} After all the work you put into it?" ("base", xpos="far_left", ypos="head")
    gen "It should be celebrated! And seen by everyone!" ("angry", xpos="far_left", ypos="head")
    cho "You're making me blush, [cho_genie_name]..." ("horny", "narrow", "worried", "downR", cheeks="heavy_blush")
    gen "You can do it, [cho_name]! Show me the goods!" ("grin", xpos="far_left", ypos="head")
    cho "Yes, Sir!" ("angry", "closed", "worried", "mid", cheeks="blush")
    cho "" ("base", "narrow", "worried", "mid", cheeks="blush")
    pause .4

    # Cho strips completely.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    hide cho_main
    $ cho.strip("all")
    pause 1.2
    call cho_chibi("stand", "on_desk", "on_desk", flip=True)
    pause .4
    $ renpy.sound.play("sounds/cloth_sound4.ogg")
    show screen cho_cloth_pile
    pause .6
    call cho_chibi("stand", "on_desk", "on_desk", flip=False)
    cho "" (trans=d3)
    pause .5

    cho "" ("horny", "narrow", "worried", "mid", cheeks="heavy_blush")
    call ctc

    gen "See, that wasn't very hard was it?" ("base", xpos="far_left", ypos="head")
    cho "No..." ("soft", "narrow", "base", "down", cheeks="blush")
    cho "No! You're right!" ("smile", "base", "base", "mid")
    gen "And you have a very beautiful body -- if I might add." ("base", xpos="far_left", ypos="head")
    cho "Thank you, Sir." ("soft", "narrow", "worried", "mid")
    gen "I can see why Hermione is so jealous." ("base", xpos="far_left", ypos="head")
    cho "" ("upset", "base", "base", "mid", cheeks="blush")
    pause .8
    cho "She is?" ("scream", "wide", "base", "mid", cheeks="blush", trans=vpunch)
    cho "" ("horny", "base", "base", "down", cheeks="heavy_blush")
    gen "Look who perked up all of a sudden." ("base", xpos="far_left", ypos="head")
    cho "She should be jealous!{w=0.6} These thighs could snap a broom in half if I tried hard enough." ("smile", "narrow", "angry", "mid", cheeks="blush")
    call ctc

    call play_sound("gulp")
    gen "*Gulp!*" ("angry", xpos="far_left", ypos="head")
    gen "I don't doubt it." ("base", xpos="far_left", ypos="head")

    cho "Thank you, [cho_genie_name]." ("base", "closed", "base", "mid")
    gen "For what?" ("base", xpos="far_left", ypos="head")
    cho "For teaching me." ("soft", "narrow", "worried", "downR")
    cho "I couldn't have imagined showing myself off like this before... but." ("horny", "narrow", "worried", "downR", cheeks="blush")
    gen "Yes?" ("base", xpos="far_left", ypos="head")
    cho "Well, your methods have clearly worked so far..." ("soft", "narrow", "base", "R")
    cho "And I feel more confident than ever!" ("soft", "wide", "base", "mid")
    gen "That's great news, and hey..." ("base", xpos="far_left", ypos="head")
    gen "If distracting doesn't work, you could just crush your opponents with those thighs of yours." ("base", xpos="far_left", ypos="head")
    cho "That's true..." ("smile", "narrow", "base", "mid")
    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5

    call play_sound("climb_desk")
    call cho_chibi("stand", "desk", "base", flip=False)

    pause 1

    hide screen blkfade
    with d5
    pause .2

    cho "Will this be all then, Sir?" ("soft", "base", "base", "R")
    gen "Yes Miss Chang, great work today..." ("base", xpos="far_left", ypos="head")
    gen "I doubt you'll have any problems distracting anyone with a body like that." ("base", xpos="far_left", ypos="head")
    gen "You're dismissed." ("base", xpos="far_left", ypos="head")
    cho "Thank you, [cho_genie_name]." ("base", "happyCl", "base", "mid")
    call hide_characters
    hide screen bld1
    with d3
    pause .1

    call cho_walk("door", "base")

    call bld
    gen "Miss Chang." ("base", xpos="far_left", ypos="head")
    hide screen bld1
    with d3
    pause .3

    call cho_chibi("stand", "door", "base", flip=False)
    with d3
    pause .2

    cho "Yes?" ("soft", "base", "raised", "mid", ypos="head", flip=False)
    gen "Aren't you forgetting about something?" ("base", xpos="far_left", ypos="head")
    cho "Sir?" ("soft", "narrow", "base", "mid")
    gen "You're still naked...{w} I wouldn't go out there if I were you..." ("base", xpos="far_left", ypos="head")
    cho "Oh, yes of course!" ("soft", "wide", "base", "mid", cheeks="blush", trans=hpunch)

    call cho_walk("desk", "base")
    pause .5
    call chibi_emote("thought", "cho")
    pause .8

    # Cho puts clothes back on.
    call play_sound("equip")
    hide cho_main
    $ cho.wear("all")
    hide screen cho_cloth_pile
    pause .8

    cho "(...)" ("disgust", "narrow", "worried", "down", cheeks="blush", xpos="right", ypos="base")
    cho "*Uhm*..." ("soft", "narrow", "worried", "mid", cheeks="blush")
    if game.daytime:
        cho "Have a good day..." ("soft", "base", "base", "R", cheeks="blush")
    else:
        cho "Have a good night..." ("soft", "base", "base", "R", cheeks="blush")

    # Cho leaves.
    call cho_walk(action="leave")

    call bld
    gen "She's so cute..." ("base", xpos="far_left", ypos="head")
    gen "And sexy!" ("grin", xpos="far_left", ypos="head")
    gen "But also a bit intimidating..." ("base", xpos="far_left", ypos="head")

    jump end_cho_strip_event


label cc_pf_strip_T2_intro_E3:
    gen "[cho_name], how would you like to do another striptease for me?" ("grin", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "mid")
    gen "You did such a phenomenal job last time!" ("grin", xpos="far_left", ypos="head")
    cho "Another strip show?" ("soft", "narrow", "angry", "R")
    gen "Yes Indeed! Come a bit closer..." ("grin", xpos="far_left", ypos="head")
    cho "(...)" ("angry", "narrow", "base", "down")

    call cho_walk("desk", "base")

    cho "Sir, Those favours were never about my training, were they?" ("soft", "narrow", "angry", "mid", xpos="mid", ypos="base", trans=fade)
    gen "I never said they were!" ("base", xpos="far_left", ypos="head")
    cho "" ("annoyed", "narrow", "angry", "mid")
    pause .8
    gen "You keep me happy by doing favours for me, and in return, I will train you..." ("base", xpos="far_left", ypos="head")
    gen "That was the deal." ("base", xpos="far_left", ypos="head")
    cho "I never expected that they would require me to do...{w} this!" ("annoyed", "base", "worried", "down")
    gen "But you did it anyway! Commendable!" ("grin", xpos="far_left", ypos="head")
    cho "Please stop it with your compliments, Sir!" ("open", "closed", "angry", "mid")
    cho "And explain to me why those favours have to be so..." ("annoyed", "narrow", "worried", "downR")
    cho "{size=-4}perverted?{/size}" ("soft", "narrow", "angry", "R", cheeks="blush") # Small text
    gen "You see..." ("base", xpos="far_left", ypos="head")
    gen "It can get pretty lonely in this room." ("base", xpos="far_left", ypos="head")
    gen "There's not even a television set up here..." ("base", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "mid")
    pause .8

    # Remove top.
    if cho.is_worn("top"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("robe", "top")
        with d3
        pause .5

        cho "" ("quiver", "narrow", "worried", "R", cheeks="blush")
        call ctc

    cho "Does Granger do these sorts of things for you too?" ("soft", "base", "worried", "mid", cheeks="blush")
    gen "She does a lot of things for me. You need to be more specific!" ("grin", xpos="far_left", ypos="head")
    cho "I meant buying \"sexual favours.\"{w} Doing tasks that are, let's say, a little audacious..." ("soft", "narrow", "worried", "downR", cheeks="blush")
    gen "Are you talking about stripping, girl?" ("base", xpos="far_left", ypos="head")
    cho "Yes, Sir." ("quiver", "narrow", "worried", "downR", cheeks="blush")
    pause .4


    # Check if Hermione has already stripped for you.
    if not hg_strip.trigger: # Triggers in hg_pf_strip_T3_intro_E2. This check needs to always be no earlier here to make sure Luna is also unlocked.

        # Cho demands that you get Hermione to strip, so Cho has something to blackmail her should anything happen.
        # Cho gets dressed again and storms off.
        # Remove skirt.

        if cho.is_worn("bottom"):
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            hide cho_main
            $ cho.strip("bottom")
            pause 1.2
            $ renpy.sound.play("sounds/cloth_sound4.ogg")
            show screen cho_cloth_pile
            pause .4
            cho "" (trans=d3)
            pause .5

        cho "" ("horny", "base", "worried", "mid", cheeks="heavy_blush")
        call ctc

        gen "Actually, she doesn't..." ("base", xpos="far_left", ypos="head")
        cho "What? But I thought she'd--" ("soft", "wide", "base", "mid")
        cho "Why do you ask me to do these favours, and not Granger?" ("open", "narrow", "angry", "mid", trans=hpunch)
        gen "Let's just say, she isn't as progressive as you...{w} yet." ("base", xpos="far_left", ypos="head")
        cho "You haven't even seen her naked?" ("angry", "base", "base", "mid")
        cho "What favours are you even buying from her?" ("open", "base", "angry", "mid")
        gen "Just chit-chats, mostly..." ("base", xpos="far_left", ypos="head")
        cho "Make her strip too!" ("clench", "narrow", "angry", "mid")
        gen "It's not that easy, girl!" ("angry", xpos="far_left", ypos="head")
        cho "Well then get on with it!" ("angry", "closed", "angry", "mid")
        cho "What's the worst that could happen?" ("soft", "narrow", "angry", "R")
        gen "She could report me, and I'd get kicked out of this school most likely." ("base", xpos="far_left", ypos="head")
        gen "She's reported me to that ministry before..." ("base", xpos="far_left", ypos="head")
        cho "The \"Ministry of Magic\"?" ("open", "base", "raised", "mid")
        cho "If they were to regulate the school rules more strictly, my chance of winning the Quidditch cup would be back down to zero!" ("angry", "wide", "worried", "mid", cheeks="blush")
        cho "And if Granger ever was to find out about me stripping for our headmaster, it would mean the end of my Quidditch career for sure!" ("mad", "base", "worried", "downR", cheeks="blush")
        gen "So? What do you suggest we do?" ("base", xpos="far_left", ypos="head")
        cho "Isn't it obvious?! Ask her to do more advanced favours!" ("soft", "narrow", "angry", "mid")
        cho "If I could get a hold of something to blackmail her with, she'd never dare to report to the ministry!" ("clench", "narrow", "angry", "R")
        gen "That doesn't sound too bad of an idea..." ("base", xpos="far_left", ypos="head")
        cho "Until then, don't expect me to undress for you..." ("soft", "narrow", "angry", "mid")
        gen "(Bollocks...)" ("base", xpos="far_left", ypos="head")
        cho "" ("annoyed", "closed", "angry", "mid")
        pause .5

        # call play_sound("equip") #The player could technically have taken her top and bottoms off in wardrobe (Unless we change things)
        $ cho.wear("all")
        hide screen cho_cloth_pile
        cho "" ("annoyed", "narrow", "angry", "mid")
        pause .8

        cho "Good day, Sir!" ("soft", "narrow", "angry", "mid")

        # Cho leaves.
        call cho_walk(action="leave")

        # Event failed, no progress.
        $ cc_pf_strip.fail()
        jump end_cho_event


    # After you got Hermione to strip.

    # Remove skirt.
    if cho.is_worn("bottom"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        hide cho_main
        $ cho.strip("bottom")
        cho "" (trans=d3)
        pause .5

    cho "" ("horny", "base", "worried", "mid", cheeks="heavy_blush")
    call ctc

    gen "She does indeed." ("base", xpos="far_left", ypos="head")
    cho "Really?!{w} You got that cow to take off her clothes?" ("soft", "wide", "base", "mid")
    cho "Did you get any proof?" ("soft", "base", "worried", "mid")
    gen "What?{w} Why would I--" ("base", xpos="far_left", ypos="head")
    cho "To blackmail her!{w} To prove that she's in on this whole \"favour trading\" business too..." ("open", "narrow", "angry", "mid")
    gen "We had an eye witness, for what it's worth..." ("base", xpos="far_left", ypos="head")
    cho "Seriously?! Who was it?" ("smile", "base", "base", "mid")
    gen "Snape..." ("base", xpos="far_left", ypos="head")
    cho "What?! Professor Snape?" ("scream", "wide", "base", "mid", trans=hpunch)
    cho "" ("smile", "wide", "base", "mid")
    gen "He sort of just walked in on the action.{w} After all, the door wasn't locked..." ("base", xpos="far_left", ypos="head")
    cho "That's too funny! I wish I could have been there!" ("smile", "base", "base", "R")
    gen "She was dancing on my desk, right here, butt naked!" ("grin", xpos="far_left", ypos="head")
    cho "That sounds sooo embarrassing!" ("soft", "narrow", "worried", "up", cheeks="blush")
    gen "As far as I know, that door isn't locked right now either..." ("base", xpos="far_left", ypos="head")
    gen "Aren't you scared that Snape might walk in on you too?" ("base", xpos="far_left", ypos="head")
    cho "*Hmm*.." ("annoyed", "base", "base", "R")

    call hide_characters
    show screen blkfade
    with d3
    call play_sound("desk")
    pause 3

    ">You watch as Cho slowly climbs onto your desk..."

    call cho_chibi("stand", "on_desk", "on_desk")
    hide screen bld1
    hide screen blkfade
    with d3
    pause .8

    cho "I'm not scared at all, Sir!" ("smile", "narrow", "angry", "mid")
    cho "" ("horny", "narrow", "angry", "mid")
    pause .4

    # Remove bra.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ cho.strip("bra")
    with d3
    pause .5

    cho "" ("horny", "narrow", "angry", "mid")
    call ctc

    cho "It's just Professor Snape, after all..." ("soft", "narrow", "base", "R")
    cho "Everybody knows that he's a creep! Nobody would believe a word he says." ("open", "base", "angry", "down")
    gen "So...{w} what if it's not Snape, but some other teacher that makes their way in here?" ("base", xpos="far_left", ypos="head")
    cho "*Huh*?{w=0.5} Oh no!" ("soft", "wide", "base", "mid")
    cho "For a second I forgot we even had other teachers at this school!" ("open", "wide", "worried", "L", cheeks="blush")
    cho "What if Professor McGonagall stumbles in here while...{w} while I--" ("angry", "happyCl", "worried", "mid", cheeks="heavy_blush")


    call hide_characters
    show screen blkfade
    with d3
    pause 1.0

    $ renpy.sound.play("sounds/jump_shoes.ogg")
    call cho_chibi("stand", "desk", "base", flip=True)
    hide screen bld1
    hide screen blkfade
    with d3
    call teleport(position="cho", effect=False)
    pause .5

    call bld
    gen "Don't worry. That won't happen." ("base", xpos="far_left", ypos="head")
    call cho_chibi("stand", "desk", "base")
    with d3
    pause .5

    cho "Are you sure, Sir?" ("soft", "narrow", "worried", "mid", cheeks="blush")
    gen "You have my word..." ("base", xpos="far_left", ypos="head")
    cho "O-{w=0.2}okay..." ("soft", "narrow", "worried", "R", cheeks="blush")
    gen "Now then, Miss Chang!{w} It's time for the grand finale..." ("base", xpos="far_left", ypos="head")
    gen "Take it all off!" ("grin", xpos="far_left", ypos="head")
    gen "I want to see you naked..." ("grin", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "base", "worried", "down", cheeks="blush")
    cho "Very well, Sir." ("base", "base", "base", "mid")
    pause .4

    # Remove panties + everything else.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    hide cho_main
    $ cho.strip("all")
    pause 1.2
    $ renpy.sound.play("sounds/cloth_sound4.ogg")
    show screen cho_cloth_pile
    pause .6

    cho "" ("horny", "narrow", "base", "down", cheeks="blush")
    call ctc

    gen "I've got to say, once again I'm very impressed by you!" ("angry", xpos="far_left", ypos="head")
    cho "Glad to hear it, [cho_genie_name]." ("smile", "narrow", "base", "mid")
    cho "Catch!" ("base", "base", "base", "L")
    call nar(">Cho throws her panties onto your desk.")
    cho "You can keep them, for now..." ("soft", "narrow", "base", "R")
    gen "I appreciate the notion!" ("grin", xpos="far_left", ypos="head")
    cho "" ("base", "narrow", "base", "mid")
    pause .8

    # Panties acquired message!
    call give_reward(">You have acquired Cho's panties!", "interface/icons/panties.webp")
    $ has_cho_panties = True

    gen "Well then, Miss Chang..." ("base", xpos="far_left", ypos="head")
    gen "You may leave now.{w} Dismissed." ("base", xpos="far_left", ypos="head")
    cho "Wait Sir!{w} I can't leave just yet!" ("open", "wide", "base", "mid")
    gen "Why not? Don't tell me you want points now after all..." ("base", xpos="far_left", ypos="head")
    cho "No Sir, but...{w} I don't believe we are done here..." ("mad", "base", "worried", "downR", cheeks="blush")
    gen "We aren't?" ("grin", xpos="far_left", ypos="head")
    cho "May I request something of you, Sir?" ("soft", "narrow", "worried", "mid", cheeks="blush")
    gen "Yes?{w} What is it?" ("base", xpos="far_left", ypos="head")

    # Cho asks you to summon Hermione.
    cho "Could you please..." ("soft", "base", "worried", "downR", cheeks="blush")
    cho "*Ehm*..." ("quiver", "narrow", "worried", "downR", cheeks="heavy_blush")
    cho "Could you please summon Hermione?" ("soft", "narrow", "worried", "mid", cheeks="heavy_blush")

    with hpunch
    gen "What?" ("angry", xpos="far_left", ypos="head")
    cho "It's time someone throws \"high and mighty\" Granger off her high horse!" ("open", "narrow", "angry", "mid")
    cho "She's been a pain in my butt for years now..." ("angry", "narrow", "angry", "downR")
    cho "This is going to be my revenge!" ("soft", "narrow", "angry", "mid")
    gen "Are you sure that this is such a good idea? Aren't you scared she'll tattle about it?" ("base", xpos="far_left", ypos="head")
    cho "No.{w} Granger is clever..." ("soft", "closed", "base", "mid")
    cho "She could destroy my reputation, sure..." ("soft", "base", "base", "R")
    cho "But, should that happen, I now have the means to take her down with me!" ("base", "narrow", "angry", "mid")
    cho "I'm not the only one stripping for you, after all." ("soft", "narrow", "base", "mid")
    gen "I suppose you're right..." ("base", xpos="far_left", ypos="head")
    cho "I can't believe how depraved Granger actually is..." ("horny", "narrow", "angry", "down", cheeks="blush")
    cho "Stripping for her headmaster.{w=0.6} What a slut..." ("soft", "narrow", "angry", "mid", cheeks="blush")
    gen "Aren't you doing exactly the same?" ("base", xpos="far_left", ypos="head")
    cho "Yes, but I'm not a whore stripping for points, unlike her!" ("open", "closed", "base", "mid")
    gen "Still makes you a slut..." ("base", xpos="far_left", ypos="head")
    cho "I'm untouchable! I'll show that {b}bitch{/b} she can't mess with me!" ("angry", "narrow", "angry", "R")
    cho "This is gonna be so much fun!" ("smile", "narrow", "angry", "mid")

    stop music fadeout 3.0
    call cho_walk(570, "base")
    pause 2.0

    cho "Call her already!" ("annoyed", "narrow", "angry", "R", flip=True, trans=d5)
    gen "I'm on it..." ("base", xpos="far_left", ypos="head")

    hide screen bld1
    show screen blkfade
    with d3
    hide cho_main
    pause 1.0
    hide screen blkfade
    with d3

    # Equip Hermione default clothing.
    $ her_outfit_last.save() # Store current outfit.
    $ hermione.equip(her_outfit_default)    #Equip Hermione default clothing.

    # Summon Hermione.
    call play_sound("door")
    call her_chibi("stand", "door", "base")
    with d3
    pause .5

    her "You wanted to see me, Sir?" ("soft", "closed", "base", "mid", xpos="base", ypos="base", flip=False, trans=d3)

    her "...{w=0.4}{nw}" ("soft", "base", "worried", "L")
    her "...{fast}Cho?!" ("clench", "wide", "worried", "shocked")

    play music "music/deadly-roulette-by-kevin-macleod.ogg" fadein 1 fadeout 1

    cho "Hey there, Granger!" ("horny", "narrow", "angry", "mid") # Grinning
    her "What? Why are you--" ("disgust", "wide", "worried", "shocked")

    call her_walk(660, "base")

    cho "" ("smile", "narrow", "angry", "L", xpos="mid", ypos="base", flip=True)
    her "What the bloody hell is going on here?!" ("scream", "closed", "base", "mid", xpos="right", ypos="base", trans=hpunch) # Scream
    her "" ("angry", "base", "angry", "mid")

    cho "You know, just the usual..." ("soft", "base", "base", "L")
    cho "Like stripping for our dear headmaster!" ("smile", "narrow", "angry", "L")
    cho "I trust that you're more than familiar with it..." ("soft", "closed", "base", "L")
    her "You've told her?" ("clench", "base", "angry", "mid")
    cho "So you really {b}did{/b} do it!" ("open", "wide", "base", "L")
    her "It's none of your business what I do at this school! You slut!" ("angry", "narrow", "angry", "R")
    cho "Are you sure about that?{w=0.6} I believe there are some people that would think otherwise..." ("grin", "narrow", "base", "mid")
    cho "Your friends...{w} the other students...{w} our teachers..." ("soft", "narrow", "angry", "L")
    cho "Maybe even the ministry?" ("smile", "narrow", "angry", "L")
    her "You wouldn't dare!!!" ("upset", "happy", "base", "mid")
    cho "Indeed, I wouldn't." ("soft", "closed", "base", "mid")
    cho "And neither would you!" ("smile", "narrow", "angry", "L")
    cho "Which is why we brought you here..." ("open", "base", "base", "mid")
    cho "To have some fun!" ("base", "narrow", "angry", "mid")

    her "Sir, I demand that you stop this nonsense!" ("open", "base", "angry", "mid")
    cho "I don't think that's very likely to happen, Granger..." ("soft", "narrow", "angry", "mid")
    cho "We both know what he would prefer..." ("soft", "closed", "base", "mid")
    gen "..." ("base", xpos="far_left", ypos="head")
    cho "And who he prefers..." ("smile", "narrow", "angry", "mid")
    her "You think that he prefers you over me?{w} Please..." ("soft", "narrow", "angry", "R")
    cho "Why don't we just ask him?" ("base", "narrow", "base", "mid")
    cho "Tell us, sir..." ("soft", "narrow", "base", "R")
    cho "How do you like the athletic, immaculate, nude body of your favourite student?" ("smile", "narrow", "angry", "mid")
    cho "It's so much better than Miss Granger's, isn't it?" ("base", "narrow", "angry", "mid")
    call ctc

    $ cho_strip_complete = True # Enables wardrobe strip functions.
    $ d_flag_01 = False # Cho not on desk
    call cc_pf_strip_T2_hermione

    jump end_cho_strip_event


label cc_pf_strip_T2_E3: # Repeats
    gen "[cho_name], why don't you come a bit closer?" ("base", xpos="far_left", ypos="head")
    cho "Of course, [cho_genie_name]..." ("base", "narrow", "base", "mid")

    call cho_walk("desk", "base")

    cho "" ("base", "base", "base", "R", xpos="mid", ypos="base", trans=fade)
    call ctc

    gen "I'm in the mood for another striptease!" ("grin", xpos="far_left", ypos="head")
    cho "You are, are you?" ("soft", "base", "raised", "downR")

    # Remove robe.
    if cho.is_worn("robe"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("robe")
        with d3
        pause .5

        cho "Good, because so am I!" ("base", "narrow", "angry", "mid")
        cho "" ("base", "narrow", "angry", "mid")

    #Remove top.
    if cho.is_worn("top"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("top")
        cho "*Hmm*... You better be enjoying this, Sir." ("soft", "closed", "base", "mid")
        with d3
        pause .5

    #Remove bottoms.
    if cho.is_worn("bottom"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("bottom")
        with d3
        pause .5
        gen "*Argh!* You little minx!" ("angry", xpos="far_left", ypos="head")

    cho "Are we going to invite Granger again?" ("soft", "narrow", "raised", "down")
    cho "I would like to have some fun with her..." ("smile", "narrow", "angry", "mid")
    pause .4

    # Remove bra. (she is wearing underwear at this level in any case)
    if cho.is_worn("bra"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("bra")
        with d3
        pause .5

    gen "The more, the merrier!" ("grin", xpos="far_left", ypos="head")
    cho "" ("base", "narrow", "angry", "mid")
    pause .4

    # Remove panties + all else.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ cho.strip("all")
    hide cho_main
    $ cho.strip("all")
    pause 1.2
    $ renpy.sound.play("sounds/cloth_sound4.ogg")
    show screen cho_cloth_pile
    pause .6
    cho "" (trans=d3)
    call ctc

    cho "Catch, [cho_genie_name]!" ("soft", "base", "base", "mid")
    call nar(">Cho throws her panties at you.")

    # Panties acquired message!
    call give_reward(">You have acquired Cho's panties!", "interface/icons/panties.webp")
    $ has_cho_panties = True

    gen "Nice!" ("grin", xpos="far_left", ypos="head")
    cho "I'd like to have them back after this, mind you." ("soft", "base", "raised", "R")
    gen "Of course..." ("base", xpos="far_left", ypos="head")
    cho "Anything else you'd like, Sir?" ("base", "base", "base", "mid")

    $ d_flag_01 = False # Cho on desk flag for this event
    menu:
        "\"Hop on my desk!\"":
            $ d_flag_01 = True
            cho "Good idea, [cho_genie_name]!" ("base", "happyCl", "base", "mid")
            call hide_characters
            show screen blkfade
            with d3
            call play_sound("desk")
            pause 2

            call cho_chibi("stand", "on_desk", "on_desk", flip=False)
            hide screen bld1
            hide screen blkfade
            with d3
            pause 1

            cho "How is the view down there, Sir?" ("base", "narrow", "base", "down")
            gen "Couldn't be any better!" ("grin", xpos="far_left", ypos="head")

            call hide_characters
            hide screen bld1
            with d3
            pause .2

            call cho_chibi("stand", "on_desk", "on_desk", flip=True) # Facing the door.
            with d3
            pause .8
            cho "Now, if you don't mind, Sir..." ("soft", "base", "base", "R", xpos="mid", ypos="base", flip=True)
            cho "I'd like you to call that Gryffindor slut to your office!" ("soft", "base", "base", "L")

        "\"Let Granger have a good look at you!\"":
            cho "I'll make sure of it, Sir!" ("soft", "narrow", "angry", "mid")

            call cho_walk(570, "base")
            cho "Alright, you can call her now." ("soft", "base", "base", "R", xpos="mid", ypos="base", flip=True)


    gen "On it!" ("grin", xpos="far_left", ypos="head")
    pause .8
    cho "(...)" ("annoyed", "narrow", "angry", "L")
    gen "(...)" ("base", xpos="far_left", ypos="head")

    call hide_characters
    hide screen bld1
    with d3
    pause .5

    # Equip Hermione default clothing.
    $ her_outfit_last.save() # Store current outfit.
    $ hermione.equip(her_outfit_default)    #Equip Hermione default clothing.

    # Hermione enters.
    call play_sound("door")
    call her_chibi("stand", "door", "base")
    with d3
    pause .5

    call chibi_emote("thought", "hermione")
    pause .8

    call her_walk(660, "base")

    cho "" ("horny", "narrow", "angry", "L", xpos="mid", ypos="base", flip=True)
    her "You wanted to see me, Professor?" ("soft", "closed", "base", "mid", xpos="base", ypos="base")
    gen "Yes, but I wasn't the only one." ("grin", xpos="far_left", ypos="head")
    her "(...)" ("annoyed", "narrow", "angry", "R")
    cho "Hi, Granger!" ("smile", "narrow", "angry", "L")
    her "Let me guess, we are here to marvel at your insecurity again?" ("soft", "closed", "base", "mid")
    cho "Granger, instead of spitting out insults, why don't you join me and have some fun for once?" ("soft", "base", "raised", "L")
    cho "Strip down for your headmaster as well, like you usually do..." ("smile", "narrow", "angry", "L")
    cho "Or would it bother you too much, now that I'm here?" ("horny", "narrow", "base", "L")
    her "*glare*" ("angry", "base", "angry", "mid")
    cho "Maybe then you'd have a chance to win against me!{w} And earn some useless Gryffindor points while you're at it." ("soft", "base", "base", "L")
    her "I don't think that will be necessary..." ("soft", "closed", "base", "mid")
    cho "Well, we all already know how this is going to turn out don't we, [cho_genie_name]?" ("soft", "base", "base", "mid")
    cho "My body is still better than Miss Granger's, isn't it?" ("smile", "narrow", "angry", "L")
    her "" ("annoyed", "base", "angry", "mid")
    call ctc

    call cc_pf_strip_T2_hermione

    jump end_cho_strip_event


label cc_pf_strip_T2_hermione:

    menu:
        "\"Definitely!\"":
            $ her_mood += 10
            her "What?!" ("open", "wide", "base", "stare")
            cho "See, I told you!{w=0.6} How could he pick a walking bush on legs over this!" ("smile", "narrow", "angry", "L")
            her "" ("angry", "base", "angry", "mid")
            cho "Now tell her. Tell her why my body is superior compared to hers." ("soft", "closed", "base", "mid")
            gen "..." ("base", xpos="far_left", ypos="head")
            gen "Well, you're more flexible for one..." ("base", xpos="far_left", ypos="head")
            cho "That's right, I am!" ("soft", "wide", "base", "mid")
            her "*Humph*..." ("annoyed", "narrow", "angry", "R")
            cho "And? What else?" ("smile", "narrow", "base", "L")
            gen "And Cho's thighs are probably the most impressive ones I've seen in the last hund-- decade or more!" ("angry", xpos="far_left", ypos="head")
            her "Well in that case..." ("soft", "closed", "base", "mid")
            her "In that case I'll give you a great opportunity to stare at them indefinitely." ("angry", "base", "angry", "mid")
            cho "What are you talking about, Granger?" ("soft", "narrow", "raised", "L")

            # Hermione walks towards the desk to pick up Cho's clothing.
            call her_walk("desk", "base", speed=1.5)
            pause .2
            if not d_flag_01: # Cho not on desk
                call cho_chibi("stand",570,"base", flip=False) # Facing the desk.
                with d3
            pause .6

            cho "What are you doing?" ("soft", "narrow", "base", "L", ypos="head", flip=False)

            # Hermione picks them up and runs off.
            call bld("hide")
            pause .2
            call play_sound("equip")
            hide screen cho_cloth_pile
            pause .5

            cho "My clothes!" ("open", "wide", "base", "L")

            call play_sound("running")
            call her_walk("door", "base", speed=2)
            call her_chibi(flip=False)
            with d3
            pause .1
            call cho_chibi(flip=True)
            with d3

            her "Hey seeker, looks like someone will have to seek their way to their dorm without any clothes tonight." ("open", "base", "angry", "mid", ypos="head", flip=False)
            cho "Hey!" ("clench", "narrow", "angry", "L", ypos="head", flip=True)

            # Hermione leaves out of the door.
            hide screen bld1
            call her_chibi("stand", "door", "base", flip=True)
            with d3
            pause .2

            call her_chibi("leave")

            # Cho runs out the door.
            if d_flag_01: # On desk
                call play_sound("climb_desk")
                show screen blkfade
                with d3
                pause 1

                hide screen bld1
                hide screen blkfade
                call cho_chibi("stand", "desk", "base", flip=True)
                with d3

            else:
                hide screen bld1
                call cho_chibi("stand",570,"base", flip=True) # Facing the door.
                with d3

            pause .2

            cho "{size=+4}Give them back, you bitch!{/size}" ("scream", "narrow", "angry", "L", ypos="head", flip=True, trans=hpunch)

            call play_sound("running")
            call cho_walk(action="leave", speed=2)

            call bld
            gen "Did she just?" ("base", xpos="far_left", ypos="head")
            gen "(...)" ("base", xpos="far_left", ypos="head")
            gen "I don't think she's coming back..." ("base", xpos="far_left", ypos="head")

        "\"Not even close.\"":
            $ cho_mood += 15
            cho "Not even clo--" ("soft", "wide", "base", "mid")
            her "" ("smile", "base", "base", "R")
            cho "Sir, could you please repeat that for me?" ("clench", "closed", "angry", "mid")
            gen "Hermione's body is superior." ("base", xpos="far_left", ypos="head")
            her "No surprise there..." ("base", "base", "base", "R")
            cho "No!{w} It clearly isn't!" ("scream", "narrow", "angry", "mid", trans=hpunch)
            cho "Are you mad, old man?" ("angry", "narrow", "angry", "mid")
            her "Don't use that tone with the headmaster..." ("soft", "closed", "base", "mid")
            cho "Nobody asked you!" ("mad", "narrow", "angry", "L")
            her "He's the wisest wizard at our school...{w} Surely his word should be final..." ("smile", "narrow", "base", "mid_soft")
            gen "I'd use the word astute but I'll take wise..." ("base", xpos="far_left", ypos="head")
            cho "Why are you siding with her all of a sudden?" ("annoyed", "narrow", "angry", "mid")
            gen "Good question." ("base", xpos="far_left", ypos="head")
            gen "Miss Granger, why don't you show Miss Chang why your body is superior to hers..." ("base", xpos="far_left", ypos="head")
            gen "Share with us your two most compelling arguments..." ("grin", xpos="far_left", ypos="head")
            her "Sir?" ("soft", "wink", "base", "mid")
            cho "He's talking about your {b}tits,{/b} you dimwit!" ("angry", "closed", "angry", "mid", cheeks="blush")
            her "(...)" ("clench", "narrow", "base", "down", cheeks="blush") # Embarrassed
            cho "" ("annoyed", "narrow", "angry", "mid")
            gen "Yes Miss Granger!{w=0.5} Your very round{w=0.5}, handsomely spheroid{w=0.5}, perfectly sized{w=0.5}, very voluptuous and--" ("grin", xpos="far_left", ypos="head")
            her "I got it, Professor!" ("clench", "happyCl", "worried", "mid", cheeks="blush")
            cho "(Cow tits...)" ("annoyed", "narrow", "angry", "R", cheeks="blush")
            $ hermione.strip("robe", "accessory")
            her "Here..." ("base", "narrow", "base", "mid_soft")

            # Hermione shows her breasts.
            # $ renpy.sound.play("sounds/boing02.ogg")
            $ hermione.strip("top", "bra")
            with d3
            pause .5

            her "" ("base", "narrow", "base", "mid_soft", cheeks="blush")
            call ctc

            her "Have a good look." ("soft", "narrow", "base", "mid_soft")
            cho "(...)" ("annoyed", "narrow", "angry", "downR", cheeks="blush") # Tries to look away.
            her "And you'd better take in what a {b}real pair{/b} looks like, slut." ("smile", "narrow", "angry", "R")
            cho "I'd rather not, or I might barf..." ("soft", "narrow", "angry", "R") #
            gen "Very nice, Miss Granger!" ("grin", xpos="far_left", ypos="head")

            menu:
                "\"Ten points to Gryffindor!\"":
                    $ gryffindor += 10
                    cho "(...)" ("annoyed", "narrow", "angry", "mid")
                    her "Thank you." ("soft", "narrow", "base", "mid_soft")

                "\"Fifty points to Gryffindor!\"":
                    $ cho_mood += 10
                    $ gryffindor += 50
                    cho "(Fifty?!)" ("soft", "wide", "base", "mid") # Shocked
                    her "Thank you." ("soft", "narrow", "base", "mid_soft")
                    cho "" ("clench", "closed", "angry", "mid", cheeks="heavy_blush")

            gen "For exposing those magnificent breasts." ("grin", xpos="far_left", ypos="head")

            # $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ hermione.wear("all")
            with d3
            pause .5

            her "Any time, Professor." ("soft", "narrow", "base", "mid_soft")
            cho "(I bloody hate her!)" ("angry", "narrow", "angry", "L", cheeks="heavy_blush")

            her "If you don't mind, Sir." ("open", "base", "base", "R")
            her "I'd like to leave now." ("soft", "base", "base", "mid")
            cho "By all means, just go already." ("soft", "narrow", "angry", "R")
            her "Did something not go as you expected?" ("smile", "base", "base", "R")
            her "Did you think having me here when you exposed yourself would make me jealous..." ("soft", "closed", "base", "mid")
            cho "(...)" ("annoyed", "narrow", "angry", "L", cheeks="blush")
            her "Thank you for inviting me, Professor." ("soft", "narrow", "base", "mid_soft")
            her "I {b}did{/b} enjoy this little obscene \"freak-show\" you arranged for me..." ("grin", "narrow", "base", "mid_soft")
            cho "You'll regret this, Granger!" ("clench", "narrow", "angry", "L", cheeks="heavy_blush")

            if game.daytime:
                her "Have a nice day, Professor." ("soft", "closed", "base", "mid")
            else:
                her "Have a good night, Professor." ("soft", "closed", "base", "mid")

            gen "(...)" ("base", xpos="far_left", ypos="head")
            her "See you in class Chang!" ("grin", "narrow", "base", "R_soft")
            cho "*Tzzzz*!" ("angry", "closed", "angry", "mid", cheeks="blush")
            cho "Cow..." ("annoyed", "narrow", "angry", "R", cheeks="heavy_blush")

            # Hermione leaves.
            call her_walk(action="leave")

            # Cho stands close to your desk.
            call hide_characters
            show screen blkfade
            call cho_chibi("stand", "desk", "base", flip=True)
            with d3

            pause .5
            hide screen blkfade
            with d3

            pause .8
            call cho_chibi("stand", "desk", "base", flip=False)

            cho "I thought you were on my side, Sir!" ("soft", "narrow", "angry", "mid", xpos="mid", ypos="base", flip=False)
            gen "I'm on nobody's side, because nobody is on my side..." ("base", xpos="far_left", ypos="head")
            cho "You were supposed to have my back! Not Granger's!" ("angry", "closed", "angry", "mid")
            cho "That {b}whore{/b} doesn't deserve your praise!" ("soft", "narrow", "angry", "mid")
            gen "She made some good arguments..." ("base", xpos="far_left", ypos="head")
            gen "\"A couple\" of good arguments, to be precise!" ("grin", xpos="far_left", ypos="head")
            cho "They're barely larger than mine..." ("annoyed", "narrow", "base", "downR", cheeks="blush")
            cho "You'll see, Sir.{w} I'm better than her.{w} And I'll prove it to you..." ("soft", "narrow", "angry", "mid")
            gen "Well, that is yet to be seen." ("grin", xpos="far_left", ypos="head")

            # Cho gets dressed.
            call play_sound("equip")
            show screen blkfade
            with d5
            $ cho.wear("all")
            hide screen cho_cloth_pile
            hide screen blkfade

            cho "Sir, my *Ehm*...{w} my panties..." ("open", "narrow", "angry", "R", cheeks="blush", xpos="mid", ypos="base", trans=fade)
            gen "Oh, of course..." ("base", xpos="far_left", ypos="head")
            cho "" ("annoyed", "narrow", "angry", "mid", cheeks="blush")
            pause .5
            gen "Give me just a moment..." ("base", xpos="far_left", ypos="head")
            $ renpy.sound.play("sounds/sniff.ogg")
            call nar(">You give Cho's panties one last sniff before handing them back to the girl.")
            gen "There." ("angry", xpos="far_left", ypos="head")
            cho "(Pervert...)" ("annoyed", "narrow", "angry", "R", cheeks="blush")
            cho "I think it's time for me to go now." ("soft", "closed", "angry", "mid")
            cho "Until next time, [cho_genie_name]." ("soft", "narrow", "angry", "mid")

            # Cho leaves.
            call cho_walk(action="leave")

            call bld
            gen "Damn!" ("angry", xpos="far_left", ypos="head")
            gen "For somebody that does a lot of exercising, she smells really nice!" ("grin", xpos="far_left", ypos="head")
            gen "Maybe I should be a bit nicer to her next time..." ("base", xpos="far_left", ypos="head")

            $ has_cho_panties = False


        "\"Let Hermione assess you, Cho.\"":
            $ her_mood += 6
            cho "Her?" ("soft", "wide", "base", "mid")
            her "I couldn't care less about the way she looks!" ("soft", "base", "angry", "mid")
            cho "(...)" ("annoyed", "narrow", "angry", "L")
            gen "Are you sure about that? I've seen you staring..." ("base", xpos="far_left", ypos="head")
            cho "" ("base", "narrow", "angry", "L")
            her "Because she just so happens to be standing there, butt naked!{w} In your office!" ("angry", "closed", "angry", "mid")
            gen "I'd like you to rate Miss Chang's figure, truthfully, and to the best of your ability." ("base", xpos="far_left", ypos="head")
            her "Really? Do I have to?" ("annoyed", "base", "base", "mid")
            gen "You do! I'd really like to hear your opinion on Miss Chang's shamelessly exposed body!" ("grin", xpos="far_left", ypos="head")
            cho "*Mhmm*" ("base", "closed", "base", "mid") # Self assured.
            her "Fine..." ("soft", "narrow", "angry", "R")
            her "\"Poor,\" I'd say..." ("soft", "closed", "base", "mid")
            cho "How dare you!{w=0.6} You snobby skunk!" ("scream", "narrow", "angry", "L", trans=hpunch)
            her "" ("base", "base", "base", "R")
            gen "(Is that better or worse than \"troll?\")" ("base", xpos="far_left", ypos="head") # Snape explained school ratings during the match.
            cho "Our Professor asked you to rate my body truthfully!" ("mad", "narrow", "angry", "L")
            her "Which I did!{w} And it's at \"dreadful\" now!" ("soft", "closed", "base", "mid")
            cho "\"Dreadful\"?!" ("soft", "wide", "base", "mid")
            cho "You're a {b}lying bitch,{/b} Granger!" ("angry", "closed", "angry", "mid", cheeks="blush")
            her "Sir, you can't let her talk to me like that!" ("angry", "base", "angry", "mid")
            gen "Bitch isn't even a proper curse word." ("base", xpos="far_left", ypos="head")
            gen "You can say that on TV..." ("base", xpos="far_left", ypos="head")
            cho "Granger, why don't you tell us which part of my immaculate body deserves such a poor rating?" ("soft", "narrow", "angry", "L")
            her "Very well..." ("soft", "closed", "base", "mid")
            her "For one, you are a {b}narcissistic bitch!{/b}{w} That makes the presumption her body is superior to all others..." ("open", "base", "angry", "L")
            cho "Because it is." ("smile", "narrow", "angry", "mid")
            her "Not to mention that you have even fewer curves than some of the boys I know..." ("grin", "base", "angry", "mid")
            cho "" ("annoyed", "narrow", "angry", "mid", cheeks="blush")
            her "Maybe once your Quidditch endeavours all fail, you can apply for a profession to model male underwear..." ("soft", "closed", "base", "mid")
            cho "I wonder where you're getting {b}your{/b} undergarments from..." ("soft", "closed", "base", "mid")
            cho "Stealing them from Madam Pomfrey, are you?" ("smile", "narrow", "angry", "mid")
            her "I do not!!!" ("open", "wide", "base", "stare")
            gen "Girls, we all know what really counts is how we appear on the inside." ("base", xpos="far_left", ypos="head")
            her "" ("angry", "closed", "angry", "mid")
            cho "Oh shut up!" ("angry", "narrow", "angry", "mid")
            her "Professor, you're the one who continuously asks us to expose ourselves!" ("soft", "base", "angry", "mid")
            gen "Well yes. I also never claimed that {b}I{/b} was pretty on the inside." ("base", xpos="far_left", ypos="head")
            gen "You of all people should know better by now..." ("base", xpos="far_left", ypos="head")
            her "Despicable..." ("angry", "narrow", "angry", "R")
            cho "Don't worry, Granger!" ("soft", "narrow", "angry", "L")
            cho "If you were to start doing hourly exercises, our Professor might even be attracted to you by the end of the year..." ("soft", "closed", "raised", "mid")
            her "Hourly exercises?" ("soft", "wide", "base", "stare") # Shocked
            cho "But I wouldn't say all hope is lost!" ("smile", "narrow", "angry", "L")
            cho "While your figure might be a bit repulsive to the eyes..." ("soft", "closed", "base", "mid")
            cho "I don't mind looking at those {b}huge melons{/b} of yours." ("soft", "narrow", "base", "L", cheeks="blush")
            her "How dare you talk of them like that!" ("angry", "narrow", "angry", "R")
            gen "*Heh*... melons..." ("grin", xpos="far_left", ypos="head")
            her "Sir, I'd like to leave now." ("open", "base", "angry", "mid")

            cho "Already missing your books, are you?" ("annoyed", "narrow", "base", "L")
            her "I am not.{w} And I don't appreciate being made fun of!" ("angry", "closed", "angry", "mid")

            if game.daytime:
                her "Good day, Sir." ("soft", "base", "angry", "mid")
                cho "See ya around, Granger..." ("smile", "narrow", "angry", "L")
                her "*Hmpf*" ("annoyed", "narrow", "angry", "R")

            else:
                her "Good night, Sir." ("soft", "base", "angry", "mid")
                cho "Nighty-night, Granger..." ("soft", "narrow", "angry", "L")
                her "*Tzzzzzh*!" ("annoyed", "narrow", "angry", "R")

            # Hermione leaves.
            call her_walk(action="leave")

            show screen blkfade
            call cho_chibi("stand", "desk", "base", flip=False)
            with d3

            hide screen blkfade
            cho "I have to say, [cho_genie_name], doing these favours is fun!" ("smile", "narrow", "base", "mid", xpos="mid", ypos="base", flip=False, trans=fade)
            gen "I'm glad you're enjoying yourself." ("base", xpos="far_left", ypos="head")
            cho "Believe me, Sir. I am." ("smile", "narrow", "angry", "mid")
            cho "" ("horny", "narrow", "angry", "mid")
            pause .4

            # Cho gets dressed.
            call play_sound("equip")
            $ cho.wear("all")
            hide screen cho_cloth_pile
            with d3
            pause .5

            cho "Now, if you excuse me..." ("soft", "base", "base", "mid")

            if game.daytime:
                cho "I have to head back to classes." ("soft", "base", "base", "R")
                gen "I still got your--" ("base", xpos="far_left", ypos="head")
                cho "See ya next time, [cho_genie_name]!" ("smile", "narrow", "angry", "mid")
            else:
                cho "I have to head back to my dorms." ("soft", "base", "base", "R")
                gen "Don't you want your--" ("base", xpos="far_left", ypos="head")
                cho "Sweet dreams, [cho_genie_name]!" ("smile", "narrow", "angry", "mid")

            call cho_walk(action="leave")

            call bld
            gen "Nice, I still got her panties!" ("grin", xpos="far_left", ypos="head")

            call give_reward(">You have acquired Cho's panties!", "interface/icons/panties.webp")
            $ has_cho_panties = True

    # Reset Hermione clothing.
    $ hermione.equip(her_outfit_last)
    return


##############
### Tier 3 ###
##############


## Tier 3 - Event 1 ##

# Cho hops on your desk and she strips for you.
# You talk about the last match and Tonks' role in it.
# You tell Cho about Tonks' ability, and what she did to help winning the game.
# Notes: Cho could be naked at this point so some sounds/effects like cloth pile has been moved.

label cc_pf_strip_T3_intro_E1:
    gen "Come closer, [cho_name]." ("base", xpos="far_left", ypos="head")
    cho "Yes, [cho_genie_name]..." ("base", "narrow", "base", "mid")

    call cho_chibi("stand", "desk", "base")

    cho "" ("base", "base", "base", "mid", xpos="mid", ypos="base", trans=fade)

    gen "Would you like to hop on my desk and give me another show?" ("grin", xpos="far_left", ypos="head")
    cho "You want to look at my body again?" ("soft", "narrow", "raised", "mid")
    cho "Naturally you'd like to see if I've been keeping up with my workout? Staying in shape and all that..." ("soft", "narrow", "angry", "mid")

    menu:
        "\"Of course...\"":
            cho "[cho_genie_name], no need to continue the pretence..." ("open", "closed", "base", "mid")
            cho "We both know you don't really care about that stuff." ("open", "narrow", "base", "mid")
            cho "All you want to do is ogle at my naked body." ("soft", "narrow", "angry", "mid")
            cho "You're just like all the other teachers..." ("annoyed", "narrow", "base", "R")
            gen "You are one to say, you little slut!" ("base", xpos="far_left", ypos="head")
            gen "You went through quite the effort to show the whole school your ass on that broom..." ("base", xpos="far_left", ypos="head")
            cho "I only did that so we'd win!" ("normal", "narrow", "angry", "mid")
            gen "Keep telling yourself that, you little show-off!" ("grin", xpos="far_left", ypos="head")
            gen "Come here and hop on my desk already!" ("grin", xpos="far_left", ypos="head")
            cho "..." ("annoyed", "narrow", "angry", "mid")

        "\"No, I just want to see your naked body up close.\"":
            gen "Let me see that ass of yours bounce, baby!" ("grin", xpos="far_left", ypos="head")
            cho "At least you are honest with me..." ("open", "closed", "base", "mid")
            cho "I can't really blame you, you're just a man, after all..." ("soft", "narrow", "base", "L")
            cho "And I'm simply irresistible." ("smile", "narrow", "angry", "mid")
            gen "That you are, you little slut!" ("grin", xpos="far_left", ypos="head")
            gen "Now hop onto my desk so I can have a good look at you." ("grin", xpos="far_left", ypos="head")
            cho "Yes, [cho_genie_name]." ("base", "narrow", "angry", "mid")


    # Cho hops on your desk.
    call hide_characters
    show screen blkfade
    with d5
    call play_sound("climb_desk")
    pause 2

    call cho_chibi("stand", "on_desk", "on_desk", flip=False)
    hide screen bld1
    hide screen blkfade
    with d5
    call ctc

    cho "" ("base", "narrow", "base", "mid", xpos="mid", ypos="base", trans=fade)
    call ctc

    gen "Yes! Show me what you got, you naughty girl!" ("grin", xpos="far_left", ypos="head")
    pause .2

    #Remove robes.
    if cho.is_worn("robe"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("robe")
        with d3
        pause .5

        cho "Let's just get rid of this thing to start with..." ("horny", "narrow", "base", "down")

    # Remove top.
    if cho.is_worn("top"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("top")
        with d3
        pause .5

        cho "" ("horny", "narrow", "angry", "mid", cheeks="blush")
        call ctc

        gen "Marvellous as always." ("grin", xpos="far_left", ypos="head")
        cho "I'm glad you're enjoying yourself, [cho_genie_name]..." ("base", "narrow", "angry", "down")
        gen "That I do!" ("grin", xpos="far_left", ypos="head")
        pause .2

    # Remove bottoms.
    if cho.is_worn("bottom"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("bottom")
        with d3
        pause .5

        gen "Such a tease, just take it all off already!" ("base", xpos="far_left", ypos="head")
        cho "Patience, [cho_genie_name]..." ("base", "narrow", "base", "mid")

    # Remove bra.
    if cho.is_worn("bra"):
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("bra")
        with d3
        pause .5

        gen "There they are... My favourite pair of Quaffles." ("base", xpos="far_left", ypos="head")
        cho "..." ("base", "narrow", "base", "downR", cheeks="blush")

    # Remove panties + everything else.
    if cho.is_equipped("panties"):

        gen "And now your panties!" ("grin", xpos="far_left", ypos="head")
        cho "Of course, [cho_genie_name]..." ("smile", "narrow", "base", "mid")
        pause .2

        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        hide cho_main
        $ cho.strip("all")
        pause 1.2
        call cho_chibi("stand", "on_desk", "on_desk", flip=True)
        pause .4
        $ renpy.sound.play("sounds/cloth_sound4.ogg")
        show screen cho_cloth_pile
        pause .6
        call cho_chibi("stand", "on_desk", "on_desk", flip=False)
        cho "" (trans=d3)
        pause .5

        cho "..." ("soft", "narrow", "base", "downR", cheeks="blush")
        cho "Here, [cho_genie_name]... You can have them." ("horny", "narrow", "angry", "mid", cheeks="blush")
        pause .5

        # Panties acquired message!
        call give_reward(">You have acquired Cho's panties!", "interface/icons/panties.webp")
        $ has_cho_panties = True

    else:
        pause .8

        #Remove any remaining items (no sound since she might be naked)
        $ cho.strip("all")
        with d3
        pause .5

        cho "" ("horny", "narrow", "base", "mid", cheeks="blush")
        call ctc

    cho "Do you like watching me, [cho_genie_name]?" ("soft", "narrow", "base", "mid")
    cho "You should know, Sir, I'm {b}incredibly{/b} thankful for your help." ("open", "closed", "base", "mid")
    cho "Thanks to you, I get to do what I love..." ("smile", "narrow", "base", "mid")
    gen "Showing yourself off?" ("base", xpos="far_left", ypos="head")
    cho "No. Quidditch!" ("annoyed", "narrow", "angry", "mid")
    cho "Winning, to be precise..." ("soft", "narrow", "base", "mid")
    gen "Yes. I feel like a winner as well!" ("grin", xpos="far_left", ypos="head")
    cho "Although, to tell you a secret..." ("soft", "closed", "base", "mid")

    # mirror sprite
    call hide_characters
    hide screen bld1
    with d3
    pause .2

    call cho_chibi(flip=True)
    with d3
    pause .8

    cho "" ("smile", "narrow", "angry", "R", xpos=360, ypos="base", flip=True)
    pause .8

    cho "I am starting to love doing {b}this{/b} as well." ("soft", "narrow", "base", "R", cheeks="blush")
    gen "Yes, you little slut! Shake that ass for me!" ("grin", xpos="far_left", ypos="head")
    cho "I love the reaction I get from people..." ("base", "base", "base", "up")
    cho "From you... From Hermione..." ("soft", "narrow", "base", "downR")
    cho "Why don't we summon her? Maybe she'll join me this time..." ("base", "narrow", "base", "downR")
    cho "I think that could be fun." ("crooked_smile", "closed", "base", "mid")
    gen "Miss Granger, you say?" ("base", xpos="far_left", ypos="head")
    gen "How about we invite somebody else in her stead?" ("grin", xpos="far_left", ypos="head")
    pause .2

    # mirror sprite
    call hide_characters
    hide screen bld1
    with d3
    pause .2

    call cho_chibi(flip=False)
    with d3
    pause .5

    cho "Somebody else?" ("upset", "base", "raised", "mid", xpos="mid", ypos="base", flip=False)
    gen "Yes, to keep things interesting." ("grin", xpos="far_left", ypos="head")
    cho "*Hmm*..." ("annoyed", "base", "raised", "mid")
    cho "I suppose..." ("soft", "base", "base", "R")
    gen "Or are you only prepared to do it if you get to tease Miss Granger at the same time?" ("base", xpos="far_left", ypos="head")
    cho "*Hmm*...{w=0.3} Alright, what's one student over another." ("soft", "narrow", "base", "R")
    gen "It's not a student I'm thinking of." ("base", xpos="far_left", ypos="head")
    cho "What do you mean, Sir?" ("open", "base", "base", "mid")
    gen "I want you to strip for one of your teachers!" ("base", xpos="far_left", ypos="head")
    cho "A teacher?" ("disgust", "wide", "base", "mid", cheeks="blush") # shocked
    cho "No way I could do that!" ("clench", "wide", "base", "mid", cheeks="blush")
    gen "Look at it as just another challenge." ("grin", xpos="far_left", ypos="head")
    cho "" ("annoyed", "base", "base", "mid")
    gen "The teachers already got a good look at your assets during the last couple of games." ("base", xpos="far_left", ypos="head")
    gen "And I know for a fact that a couple of them are quite interested in a closer look." ("base", xpos="far_left", ypos="head")
    cho "Oh, yeah?" ("soft", "base", "base", "down", cheeks="blush")
    cho "Then who is it that you have in mind?" ("open", "base", "base", "R", cheeks="blush")

    $ cc_strip_no_snape = False # throwaway var used only in the next event.

    label .choice:

    menu:
        "\"Tonks\"":
            pass

        "\"Snape\"" if cc_strip_no_snape == False:
            $ cc_strip_no_snape = True # throwaway var used only in the next event.
            cho "What?!" ("clench", "wide", "base", "mid", cheeks="blush")
            cho "You can't be serious!" ("angry", "base", "angry", "mid") # angry
            cho "[cho_genie_name], thanks to him we almost lost the match!" ("open", "narrow", "angry", "mid")
            cho "He gave those idiots a luck potion, remember?" ("open", "closed", "angry", "mid")
            cho "You should have thrown him out for that!" ("clench", "narrow", "angry", "mid")
            gen "All I care about is that he and his band of greenhorns lost the match against us..." ("base", xpos="far_left", ypos="head")
            cho "..." ("annoyed", "narrow", "angry", "mid")
            cho "There is no way I'd ever strip for that greasy old bastard!" ("open", "narrow", "angry", "mid")
            cho "I'm not giving him the satisfaction." ("annoyed", "narrow", "angry", "R")
            gen "Very well, forget about Snape." ("base", xpos="far_left", ypos="head")
            gen "But what about..." ("base", xpos="far_left", ypos="head")
            jump cc_pf_strip_T3_intro_E1.choice


    cho "Professor Tonks?" ("quiver", "base", "base", "mid")
    gen "You have yet to show her your gratitude for the help she provided..." ("base", xpos="far_left", ypos="head")
    gen "She was such an important player during that last match, and greatly helped us secure that win." ("base", xpos="far_left", ypos="head")
    cho "She did?" ("upset", "base", "raised", "mid")
    cho "I mean, she did get the Slytherins to join practice, but..." ("annoyed", "base", "raised", "R")
    cho "She wasn't even present for most of the actual game." ("soft", "base", "base", "R")
    gen "Are you sure about that?" ("grin", xpos="far_left", ypos="head")
    gen "Well, you would have hardly been able to recognize her..." ("base", xpos="far_left", ypos="head")
    cho "*Hmm*...?" ("annoyed", "base", "raised", "mid")
    gen "Curly long hair, and tits as big as honeydews." ("grin", xpos="far_left", ypos="head")

    gen "Didn't the way Miss Granger act, how she flirted with those Slytherin players, struck you as a bit odd?" ("base", xpos="far_left", ypos="head")
    gen "You might even say... familiar?" ("grin", xpos="far_left", ypos="head")
    cho "Are you suggesting that Professor Tonks..." ("mad", "base", "base", "mid")
    cho "But how?" ("clench", "base", "raised", "mid")
    gen "Magic...{w=0.8} duh!" ("base", xpos="far_left", ypos="head")
    gen "How about we call her on your next visit, then you can ask her yourself..." ("base", xpos="far_left", ypos="head")
    cho "I suppose we could do that..." ("normal", "base", "base", "downR", cheeks="blush")
    gen "Splendid!" ("grin", xpos="far_left", ypos="head")
    gen "That should be all for today, [cho_name]." ("base", xpos="far_left", ypos="head")
    gen "You're dismissed..." ("base", xpos="far_left", ypos="head")
    cho "Yes, [cho_genie_name]." ("base", "happyCl", "base", "mid")

    # Cho hops off your desk.
    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5

    call play_sound("climb_desk")
    call cho_chibi("stand", "desk", "base", flip=False)

    # Cho puts her clothes back on. (No sounds in case she never took any off)
    $ cho.wear("all")
    hide screen cho_cloth_pile
    with d3
    pause 1.5

    hide screen blkfade
    cho "" ("base", "narrow", "base", "mid", xpos="mid", ypos="base", trans=fade)
    pause .5

    if game.daytime:
        cho "I'll head back to classes, then." ("soft", "narrow", "base", "mid")
    else:
        cho "I'll head back to our dorms, then." ("soft", "narrow", "base", "mid")

    cho "Until next time, [cho_genie_name]." ("base", "narrow", "base", "mid", cheeks="blush")

    # Cho leaves.
    call cho_walk(action="leave")

    jump end_cho_strip_event


### Tier 3 - Event 2 ###

# Cho prompts genie to summon Tonks as she wants to know how she turned into Hermione
# Tonks enters and is immediately enticed by cho, she flirts with her a bit before cho starts asking questions.

label cc_pf_strip_T3_intro_E2:
    gen "Alright, let's do this again." ("base", xpos="far_left", ypos="head")
    gen "We're gonna get your teacher up here -- and you'll strip for us, understood?" ("base", xpos="far_left", ypos="head")
    cho "Yes, [cho_genie_name]." ("smile", "base", "base", "mid")
    gen "You might want to change into your school clothing before she gets here..." ("base", xpos="far_left", ypos="head")
    cho "Of course." ("base", "happyCl", "base", "mid")

    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5
    pause 1

    # Equip Cho & Tonks default clothing.
    $ cho_outfit_last.save() # Store current outfit.
    $ ton_outfit_last.save() # Store current outfit.
    $ cho.equip(cho_outfit_default)
    $ tonks.equip(ton_outfit_default)

    call cho_chibi("stand", "desk", "base")

    hide screen blkfade
    cho "*Ehm*..." ("quiver", "narrow", "base", "downR", xpos="mid", ypos="base", trans=fade)
    cho "The teacher you're about to summon, [cho_genie_name]..." ("open", "narrow", "base", "mid")
    cho "You're talking about Professor Tonks, right?" ("soft", "narrow", "base", "mid") # suspicious
    gen "Oh... of course." ("base", xpos="far_left", ypos="head")
    cho "Well then, I'm ready." ("base", "base", "base", "mid")
    gen "Ready to strip for your teacher?" ("grin", xpos="far_left", ypos="head")
    cho "I'm well aware of what I'm about to do, [cho_genie_name], and I'm not going to falter." ("annoyed", "narrow", "angry", "mid")
    cho "Besides, it's not like I have any bits that she doesn't..." ("open", "closed", "base", "mid")
    gen "Not even trying to play coy anymore, are you?" ("base", xpos="far_left", ypos="head")
    cho "Why should I? It's good practice." ("open", "narrow", "raised", "down") # confident
    gen "Great positive thinking, [cho_name].{w=0.8} You'll make it far with that mindset." ("grin", xpos="far_left", ypos="head")
    cho "It's no big deal for me, [cho_genie_name]." ("base", "narrow", "base", "mid")
    cho "I'm not as prude and buttoned up as Hermione, you know..." ("soft", "narrow", "base", "mid")
    cho "And I'll finally get to know how Professor Tonks helped us during the Slytherin match!" ("base", "happyCl", "base", "mid")
    gen "Oh boy, you're in for a treat!" ("grin", xpos="far_left", ypos="head")
    gen "Just wait here at my desk while I summon her..." ("base", xpos="far_left", ypos="head")
    cho "Yes, [cho_genie_name]." ("base", "narrow", "base", "mid")
    call play_music("stop")

    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5
    pause 1

    call cho_chibi(flip=True)

    # end blkfade
    hide screen blkfade
    with d5
    pause .8

    # Tonks enters.
    call play_sound("door")
    call ton_chibi("stand", "door", "base")
    with d3
    pause .5

    # thought emote
    call chibi_emote("thought", "tonks")
    pause .8

    # Tonks walks next to Cho.
    call ton_walk(540, "base")

    call play_music("tonks")
    cho "" ("soft", "narrow", "worried", "L", cheeks="blush", xpos="left", ypos="base", flip=True)
    if game.daytime:
        ton "Hello, Professor." ("base", "base", "base", "mid", xpos="right", ypos="base")
    else:
        ton "Good evening, Professor." ("base", "base", "base", "mid", xpos="right", ypos="base")

    ton "Miss Chang. Didn't expect to see you here..." ("base", "narrow", "base", "L")
    ton "What a nice surprise." ("horny", "narrow", "base", "mid") # horny tongue
    cho "..." ("quiver", "narrow", "worried", "downR", cheeks="blush") # nervous
    cho "*Ehm*..." ("soft", "narrow", "worried", "down", cheeks="blush")
    gen "Go on, Cho. She's not going to bite you..." ("base", xpos="far_left", ypos="head")
    ton "*Hmm*?" ("base", "base", "raised", "mid")
    gen "Miss Chang was hoping she could repay you with a favour. For the help you provided against Slytherin." ("grin", xpos="far_left", ypos="head")
    ton "A favour, you say..." ("crooked_smile", "narrow", "base", "mid")
    cho "Y-yes, if that's okay with you, professor..." ("horny", "narrow", "worried", "L", cheeks="blush") # blushing, still nervous
    ton "Oh, anything for you, darling." ("base", "narrow", "base", "L")
    ton "So, what will it be then?" ("open", "base", "base", "mid")
    ton "I presume you didn't invite me for a cup of tea, did you?" ("base", "narrow", "base", "mid") # why remove?

    menu:
        "\"We need a second opinion on the girl's physique.\"":
            ton "*Mhmm*?" ("base", "base", "base", "mid")
            ton "So naturally you thought of me to provide this... opinion?" ("open", "narrow", "raised", "mid")
            gen "You're quite the athletic witch yourself, are you not?" ("base", xpos="far_left", ypos="head")
            ton "" ("base", "narrow", "base", "mid")
            gen "I'm certain there's no one better suited to judge the girl's body than yourself." ("grin", xpos="far_left", ypos="head")
            ton "Very well, professor..." ("base", "base", "base", "mid")
            ton "I'm not the one to question the headmaster's judgement." ("base", "narrow", "base", "mid")
            gen "Great, then I'll look forward to hearing your assessment -- from head to toe please -- let us know if there's anything she could improve." ("grin", xpos="far_left", ypos="head")
            cho "" ("normal", "happyCl", "worried", "mid", cheeks="blush")
            ton "Oh, I doubt I'll find anything to improve on this one..." ("horny", "narrow", "base", "L", hair="horny") # horny
            gen "Okay then..." ("base", xpos="far_left", ypos="head")
            gen "Girl, You may start with the show." ("base", xpos="far_left", ypos="head")
            ton "The show?!" ("soft", "base", "raised", "mid")
            gen "She'll have to take her clothes off, obviously!" ("grin", xpos="far_left", ypos="head")
            ton "Oh my!" ("grin", "base", "shocked", "mid", hair="horny") # lip bite?
            gen "Let's get started then, shall we." ("base", xpos="far_left", ypos="head")
            ton "" ("base", "narrow", "base", "L", hair="horny")
            gen "Get on that desk, Miss Chang!" ("grin", xpos="far_left", ypos="head")
            cho "Okay." ("soft", "narrow", "worried", "downR", cheeks="blush")

        "\"She's going to strip for us...\"":
            cho "" ("normal", "happyCl", "worried", "mid", cheeks="heavy_blush")
            ton "Really?" ("crooked_smile", "base", "shocked", "mid", hair="horny")
            cho "..." ("mad", "narrow", "worried", "downR", cheeks="blush") # embarrassed
            gen "It's all just part of the girl's training..." ("base", xpos="far_left", ypos="head")
            gen "To improve her confidence, and all that. And not shy away from a bit of nudity." ("grin", xpos="far_left", ypos="head")
            ton "I see... so this is why you've been such a daredevil on the pitch lately..." ("horny", "narrow", "base", "L", hair="horny")
            cho "..." ("normal", "happyCl", "worried", "mid", cheeks="blush") #Blushes
            ton "Well, if you think I can be of assistance, then you have my full support." ("base", "base", "base", "L")
            cho "Thank you, Professor." ("soft", "narrow", "worried", "L", cheeks="blush")
            gen "Great! Then get on that desk, Cho!" ("grin", xpos="far_left", ypos="head")
            cho "Okay." ("soft", "narrow", "worried", "down", cheeks="blush")


    # Cho starts stripping.
    call play_music("stop")
    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5
    call play_sound("climb_desk")
    pause 1

    call cho_chibi("stand", 330, 360)
    call ton_chibi("stand", 410, "base")

    hide screen blkfade
    with d5
    pause .8

    call bld
    gen "Excellent..." ("base", xpos="far_left", ypos="head")
    gen "Now, what would you say are Miss Chang's best assets, Professor?" ("base", xpos="far_left", ypos="head")
    call bld("hide")
    pause .2

    # Cho turns around.
    call cho_chibi(flip=True)
    with d3
    pause .3

    call play_music("cho")
    cho "" ("quiver", "narrow", "worried", "L", cheeks="blush", xpos=330, ypos="base", flip=True)
    ton "" ("base", "narrow", "base", "L", xpos=460, ypos="base")
    gen "Are you more into the girl's tits... or her ass?" ("grin", xpos="far_left", ypos="head")
    ton "*Hmm*--" ("base", "narrow", "annoyed", "L", hair="horny")
    cho "Sir!" ("soft", "happyCl", "worried", "mid", cheeks="heavy_blush")
    gen "It's a fair question..." ("base", xpos="far_left", ypos="head")
    cho "..." ("soft", "narrow", "worried", "L", cheeks="blush")
    ton "If you're not comfortable with this, Miss Chang, then I'm not going to--" ("open", "base", "base", "L")
    cho "No!" ("clench", "happyCl", "worried", "mid", cheeks="blush")
    ton "*Hmm*?" ("base", "narrow", "raised", "L")
    cho "I mean...{w=0.5} It's fine..." ("open", "narrow", "worried", "down", cheeks="blush")
    cho "Feel free to answer him, Professor..." ("soft", "narrow", "worried", "L", cheeks="blush")
    call play_sound("giggle")
    ton "*giggles*" ("base", "happyCl", "base", "mid")
    ton "She's so cute when she's all flustered, isn't she?" ("crooked_smile", "base", "base", "mid")
    cho "..." ("quiver", "happyCl", "base", "mid", cheeks="blush") #Heavy blush
    gen "..." ("base", xpos="far_left", ypos="head")
    gen "So, what's your opinion?" ("base", xpos="far_left", ypos="head")
    gen "I'm sure Miss Cho is dying to know..." ("grin", xpos="far_left", ypos="head")
    ton "I don't know how I could possibly answer such a difficult question, Professor." ("soft", "narrow", "base", "mid")
    gen "Then let me help you with your decision..." ("base", xpos="far_left", ypos="head")

    gen "Cho, do your thing." ("grin", xpos="far_left", ypos="head")
    ton "" ("base", "narrow", "base", "L")
    cho "Of course, Sir..." ("open", "narrow", "worried", "mid", cheeks="blush")
    cho "..." ("angry", "narrow", "base", "down", cheeks="blush")
    pause .2

    # Remove top.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ cho.strip("robe", "top")
    with d3
    pause .5

    cho "" ("horny", "happyCl", "worried", "mid", cheeks="blush")
    call ctc

    ton "*Hmm*... Very promising." ("base", "narrow", "base", "L")
    cho "..." ("horny", "narrow", "worried", "down", cheeks="blush")
    pause .2

    # Remove bra.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ cho.strip("bra")
    with d3
    pause .5

    ton "" ("base", "narrow", "raised", "L", hair="horny")
    cho "" ("quiver", "narrow", "base", "downR", cheeks="heavy_blush")
    call ctc

    ton "Merlin's burly bosom!" ("grin", "narrow", "annoyed", "L", hair="horny")
    cho "" ("upset", "happyCl", "worried", "mid", cheeks="heavy_blush")
    gen "How about now?" ("grin", xpos="far_left", ypos="head")
    gen "Ever seen such a perfectly shaped pair of quaffles before?" ("base", xpos="far_left", ypos="head")
    ton "Did you just call them quaffles?" ("soft", "narrow", "raised", "mid", hair="horny")
    cho "..." ("mad", "narrow", "worried", "downR", cheeks="blush")
    gen "So, what's your opinion?" ("base", xpos="far_left", ypos="head")
    ton "What would you like me to say, Professor?" ("base", "narrow", "base", "mid", hair="horny")
    ton "That I'd like to run my mouth all over those perky nipples of hers?" ("horny", "narrow", "angry", "L", hair="horny")
    cho "Professor!" ("open", "happyCl", "worried", "mid", cheeks="heavy_blush") # closed eyes, worried, embarrassed.
    ton "Sorry sweetie, but Professor Dumbledore wanted my honest opinion." ("open", "closed", "raised", "mid", hair="horny")
    ton "Your breasts are quite perfect, Miss Chang." ("base", "narrow", "base", "L", hair="horny")
    cho "..." ("normal", "narrow", "worried", "L", cheeks="blush")
    cho "I don't think they're big enough." ("open", "narrow", "worried", "downR", cheeks="heavy_blush") # sad
    cho "" ("normal", "narrow", "worried", "down", cheeks="heavy_blush")
    ton "Big enough for what? Impress some idiot?" ("open", "narrow", "annoyed", "L", hair="angry")
    ton "No offense, Professor." ("soft", "narrow", "base", "mid")
    gen "None taken..." ("base", xpos="far_left", ypos="head")
    ton "You don't need large breasts. Especially not if you want to have a career in Quidditch." ("open", "base", "base", "L")
    cho "" ("annoyed", "narrow", "base", "L", cheeks="blush")
    ton "Just have a look at mine... They're bothersome to fly with even at my size..." ("soft", "base", "shocked", "down")
    call play_music("stop")
    pause .2

    # Tonks starts stripping.

    # Remove robe.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ tonks.strip("robe")
    with d3
    pause .5

    cho "" ("disgust", "base", "raised", "L", cheeks="blush")
    ton "" ("base", "happyCl", "base", "mid")
    call ctc

    cho "Professor, you don't have to--" ("mad", "base", "raised", "L", cheeks="blush") #blush
    pause .2

    # Remove top and bra.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ tonks.strip("top", "bra")
    with d3
    pause .5

    ton "" ("horny", "narrow", "annoyed", "L", hair="horny")
    call ctc

    cho "P-{w=0.3}Professor!" ("silly", "happyCl", "worried", "mid", cheeks="heavy_blush") #lip bite "glances away from Tonks #Heavy blush
    gen "*He-he-he!*" ("grin", xpos="far_left", ypos="head")
    ton "No need to be shy, Miss Chang." ("base", "narrow", "base", "L", hair="horny")
    gen "Yes, it's not like she has any bits you haven't seen before... is that not what you said, Cho?" ("grin", xpos="far_left", ypos="head")
    cho "R-Right." ("angry", "happyCl", "worried", "mid", cheeks="heavy_blush")
    cho "" ("horny", "narrow", "worried", "L", cheeks="blush")
    gen "So... what would you like to see next, Miss Tonks?" ("base", xpos="far_left", ypos="head")
    ton "Her ass cheeks sure looked great on top of that broom..." ("soft", "narrow", "base", "mid", hair="horny")
    ton "I'd love to see them up close..." ("base", "narrow", "base", "L", hair="horny")
    gen "Couldn't agree more!" ("grin", xpos="far_left", ypos="head")
    gen "Cho, you heard your teacher's request." ("base", xpos="far_left", ypos="head")
    cho "" ("horny", "narrow", "worried", "mid", cheeks="blush")
    gen "Turn around, and take off your skirt." ("base", xpos="far_left", ypos="head")
    cho "Yes, Sir." ("clench", "narrow", "worried", "mid", cheeks="blush")
    pause .2

    # Cho faces Genie.
    hide cho_main
    with d5
    call cho_chibi(flip=False)
    cho "" ("quiver", "narrow", "worried", "down", cheeks="blush", xpos=260, ypos="base", flip=False, trans=d5)
    pause .8
    ton "" ("base", "narrow", "base", "down", hair="horny")
    gen "Slowly..." ("base", xpos="far_left", ypos="head")
    pause .5

    # Remove bottom.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ cho.strip("bottom")
    with d5
    pause .5

    cho "" ("normal", "happyCl", "base", "mid", cheeks="blush")
    call ctc

    gen "And now the rest, Miss Chang." ("base", xpos="far_left", ypos="head")
    ton "..." ("horny", "narrow", "base", "down", hair="horny") # horny
    pause .2

    # Remove all.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    hide cho_main
    $ cho.strip("all")
    pause 1.2
    $ renpy.sound.play("sounds/cloth_sound4.ogg")
    show screen cho_cloth_pile
    pause .6

    cho "" ("horny", "narrow", "raised", "R", cheeks="heavy_blush")
    call ctc

    call play_music("cho")
    gen "Quite firm, aren't they?" ("grin", xpos="far_left", ypos="head")
    call play_sound("giggle")
    ton "*giggles*" ("base", "happyCl", "base", "mid", hair="horny")
    ton "Yes, Indeed..." ("grin", "narrow", "base", "mid", hair="horny")
    ton "No wonder she's so steady on that broomstick." ("horny", "narrow", "angry", "down", hair="horny")
    cho "..." ("horny", "narrow", "base", "mid", cheeks="blush") # blushing
    ton "Can't see anyone beating that, that's for sure." ("open", "narrow", "raised", "down", hair="horny")
    # ton "Although, maybe in a physical--"

    gen "So... what's your opinion, what do you prefer?" ("base", xpos="far_left", ypos="head")
    gen "Her tits, or her ass?" ("base", xpos="far_left", ypos="head")
    ton "*Hmm*..." ("base", "narrow", "base", "down", hair="horny")
    ton "You're not holding out on me, are you, Miss Chang?" ("open", "narrow", "base", "L", hair="horny")
    cho "What do you--" ("angry", "narrow", "worried", "R", cheeks="blush")
    ton "There's something missing...{w=0.5} I haven't seen everything yet, have I?" ("crooked_smile", "narrow", "raised", "mid", hair="horny")
    gen "But of course!" ("grin", xpos="far_left", ypos="head")
    ton "If I were to do any sort of judgement, I'd first need to see that cute little Snitch of yours." ("soft", "narrow", "base", "down", cheeks="blush", hair="horny")
    cho "!!!" ("clench", "wide", "base", "mid", cheeks="heavy_blush") # shock
    gen "Miss Chang, why don't you turn around so Professor Tonks can give you a proper assessment." ("grin", xpos="far_left", ypos="head")
    cho "..." ("clench", "happyCl", "worried", "mid", cheeks="heavy_blush") # blush
    pause .2

    # Cho faces Tonks.
    hide cho_main
    with d5
    call cho_chibi(flip=True)
    cho "" ("normal", "happyCl", "worried", "mid", cheeks="heavy_blush", xpos=330, ypos="base", flip=True, trans=d5)
    pause .8

    ton "*Hmm*... Will you look at that..." ("base", "narrow", "base", "down", hair="horny")
    cho "..." ("horny", "narrow", "worried", "L", cheeks="heavy_blush")
    ton "Now, this is a level of confidence I haven't seen in a student before..." ("horny", "narrow", "base", "mid", hair="horny")
    gen "Yes, she's quite something, isn't she?" ("grin", xpos="far_left", ypos="head")
    cho "..." ("base", "closed", "base", "mid", cheeks="blush") # blushing but faking confidence
    ton "Although..." ("base", "narrow", "base", "L", hair="horny")
    ton "Does this snitch get frightened and dart away, once you try and get up close to it?" ("grin", "narrow", "raised", "mid", hair="horny")
    cho ".........." ("base", "closed", "base", "mid", cheeks="blush") #not paying much attention/didn't know she was being addressed
    ton "Miss Chang?" ("open", "narrow", "raised", "L", hair="horny")
    cho "Oh, sorry!" ("crooked_smile", "happyCl", "worried", "mid", cheeks="heavy_blush")
    cho "Of course not, Professor -- I don't dart away from anything!" ("soft", "narrow", "worried", "downR", cheeks="blush")

    ## Tonks wants to strip too. ##
    ton "Excellent, since that question has been answered..." ("base", "happyCl", "base", "mid", hair="horny")
    ton "I assume you don't mind if I joined you on that desk, do you?" ("horny", "narrow", "angry", "L", hair="horny")

    call play_music("stop")
    cho "What?!" ("soft", "wide", "raised", "mid", cheeks="blush") # blushing
    gen "!!!" ("grin", xpos="far_left", ypos="head")
    ton "*Hmm*... Or is that snitch of yours going to dart off after all?" ("soft", "narrow", "base", "down", hair="horny")
    cho "" ("angry", "happyCl", "worried", "mid", cheeks="blush")
    show screen blktone
    with d3
    gen "(I sure hope the desk is sturdy enough...)" ("base", xpos="far_left", ypos="head")
    call hide_characters
    hide screen bld1
    hide screen blktone
    show screen blkfade
    with d5

    # Tonks chibi on desk next to Cho's. # Tonks is facing left

    call cho_chibi("stand", 314, 366, flip=True)
    call ton_chibi("stand", 370, 360, flip=False)

    call play_sound("climb_desk")
    pause 2

    hide screen blkfade
    with d5
    pause .8

    $ cho.zorder = 16 # in front of Tonks. 15 is default.
    call play_music("tonks")
    ton "" ("base", "narrow", "base", "L", hair="horny", xpos=345, ypos="base")
    cho "T-Tonks!" ("clench", "happyCl", "raised", "L", cheeks="heavy_blush", xpos=280, ypos="base", flip=True) #Closed eyes, embarrassed
    ton "That's {b}Professor Tonks{/b} to you, Miss Chang." ("open", "narrow", "angry", "L", hair="angry") # stern look
    cho "Sorry!" ("clench", "happyCl", "worried", "mid", cheeks="heavy_blush")
    call play_sound("giggle")
    ton "*giggles*" ("base", "happyCl", "base", "mid", hair="horny")
    ton "I'm just kidding, you can call me whatever you like, sweetie..." ("soft", "narrow", "base", "L", hair="horny")
    ton "Catch that Snitch for me, will you..." ("horny", "narrow", "base", "L", hair="horny")
    cho "Snitch? What Snitch?" ("soft", "narrow", "base", "L", cheeks="blush")
    ton "Down here." ("grin", "narrow", "base", "down", hair="horny")
    cho "" ("annoyed", "narrow", "base", "down", cheeks="blush")
    pause .2

    # Remove bottom.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ tonks.strip("bottom","panties")
    with d3
    pause .5

    ton "" ("horny", "narrow", "base", "down", hair="horny")
    pause .8

    cho "!!!" ("normal", "wide", "raised", "down", cheeks="blush")
    gen "Now that's what I'm talking about!" ("grin", xpos="far_left", ypos="head")
    cho "Professor!" ("clench", "wide", "raised", "down", cheeks="heavy_blush")
    ton "Believe me, I'm just getting started..." ("base", "narrow", "base", "mid", hair="horny")
    pause .5

    # Remove other clothes.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ tonks.strip("all")
    with d3
    pause .5

    ton "" ("horny", "narrow", "base", "L", hair="horny")
    cho "" ("base", "narrow", "worried", "down", cheeks="heavy_blush")
    call ctc

    cho "..." ("angry", "narrow", "worried", "downR", cheeks="heavy_blush") # heavy blush
    gen "Don't be shy, Miss Chang." ("grin", xpos="far_left", ypos="head")
    ton "*Hmm*... Yes, don't be shy." ("crooked_smile", "narrow", "base", "L", hair="horny")
    ton "I've yet to give you my verdict." ("soft", "narrow", "raised", "down", hair="horny")
    cho "..." ("normal", "happyCl", "worried", "mid", cheeks="heavy_blush")
    ton "Now, up this close, it's obvious what your best feature is, Miss Chang..." ("open", "narrow", "base", "down", hair="horny")
    ton "I must say I simply love your--" ("horny", "narrow", "base", "down", hair="horny")

    # Snape enters.
    call play_music("stop")
    call hide_characters
    hide screen bld1
    with d3

    call play_sound("door")
    call sna_chibi("stand", "door", "base")
    with d3
    pause .1

    call bld
    gen "*Hmm*...?" ("base", xpos="far_left", ypos="head")
    with hpunch
    gen "{b}Balls!{/b}" ("angry", xpos="far_left", ypos="head")
    sna "..." ("snape_47", ypos="head") #smirk
    ton "What? No I was talking about her--" ("soft", "narrow", "base", "mid", ypos="head", flip=False)
    with hpunch
    cho "Professor Snape?!" ("open", "wide", "raised", "L", ypos="head", flip=True) # shock
    sna "Oh-- now what do we have here?..." ("snape_13", ypos="head")
    call bld("hide")
    pause .2

    # Tonks turns around.
    call ton_chibi(xpos=360, ypos=360, flip=True)
    with d3

    # Snape walks closer to the middle.
    call sna_walk(xpos="mid", ypos="base")
    pause .8

    # Position Cho's sprite behind Tonks.
    $ cho.zorder = 15 # reset to default.
    $ tonks.zorder = 16 # in front of Cho. 15 is default.
    call play_music("snape")
    sna "" ("snape_40", xpos=560, ypos="base")
    cho "" ("normal", "wide", "base", "L", xpos=275, ypos="base", flip=True)
    ton "" ("annoyed", "narrow", "annoyed", "L", xpos=390, ypos="base", flip=True)

    ton "Severus?" ("mad", "base", "base", "L", trans=d5)
    ton "{size=-4}Get behind me, Cho...{/size}" ("open", "narrow", "base", "R") #small text

    $ cho_chibi.zorder = 2 # default is 3
    call cho_chibi("stand", 320, 366, flip=True)
    cho "{size=-4}Yes-- Thank you.{/size}" ("disgust", "happyCl", "worried", "mid", cheeks="heavy_blush", xpos=295, ypos=17, flip=True, trans=d3) # Sprite is slightly lowered.

    ton "What are you doing here?" ("annoyed", "base", "angry", "stare")
    ton "Have you been spying on us behind that door?" ("soft", "narrow", "base", "up", hair="horny")
    sna "Of course not..." ("snape_46")
    cho "P-{w=0.3}Professor..." ("open", "happyCl", "worried", "mid", cheeks="heavy_blush")
    ton "" ("base", "narrow", "base", "downR", hair="horny")

    sna "Ah, Miss Chang... Hiding behind Professor Tonks, are we?" ("snape_02")
    sna "I take it you're here to repay our headmaster for his help with your sudden Quidditch success?" ("snape_37")
    #sna "But how come Professor Tonks--" ("snape_01")
    ton "Well, what if she is,{w=0.5} Snivellus?" ("soft", "narrow", "annoyed", "R", hair="horny")
    sna "" ("snape_38")
    ton "She isn't doing anything wrong... at least not by your standards." ("grin", "closed", "shocked", "mid", hair="horny")
    sna "Did I accuse her of doing anything wrong?" ("snape_09")
    sna "On the contrary..." ("snape_02")
    ton "" ("annoyed", "narrow", "raised", "up")
    sna "As head of the slytherin house, I'd like to personally congratulate her on her fair play." ("snape_37")
    sna "Your performance was quite remarkable, Miss Chang." ("snape_13")
    sna "Putting your best {b}ass{/b}ets on display for everyone was quite the sight." ("snape_46")
    cho "..." ("angry", "narrow", "worried", "downR", cheeks="heavy_blush") # embarrassed
    sna "How very -- {b}ass{/b}piring of you..." ("snape_41")
    cho "{size=-4}Please do something, sir.{/size}" ("soft", "base", "angry", "mid", cheeks="heavy_blush") #small text
    gen "What?" ("base", xpos="far_left", ypos="head")
    gen "(Oh, right... I should probably do something about this...)" ("base", xpos="far_left", ypos="head")

    menu:
        gen "(...)" ("base", xpos="far_left", ypos="head")
        "\"Severus, I think you should leave.\"":
            cho "" ("normal", "base", "angry", "L", cheeks="blush")
            sna "Already? But I just got here..." ("snape_05")
            ton "I can't recall us inviting you, Severus." ("soft", "narrow", "shocked", "L")
            sna "Do I require some kind of appointment to see the headmaster?" ("snape_09")
            sna "If there's a schedule I could look at, then perhaps I could plan my visits for when Miss Chang is not busy working on her insecurities..." ("snape_03")
            #sna "If there's a schedule I could look at, then perhaps I could plan my visits for when you two aren't taking advantage of Miss Chang's insecurities..." ("snape_03") # Alternative line instead of the one above?
            cho "..." ("angry", "narrow", "angry", "L", cheeks="blush") #Blush #closed eyes #embarrassed
            #gen "How did you--" ("base", xpos="far_left", ypos="head")
            ton "What do you want, Snape?" ("upset", "narrow", "annoyed", "L")
            pass

        "\"Severus! Please, stay and watch.\"":
            if cc_strip_no_snape: # Cho clearly told you she won't strip for Snape.
                $ cho_mood += 30
                cho "Are you mad?!" ("clench", "base", "angry", "mid", trans=hpunch)
                cho "Sir, I clearly told you before, I won't do this in front of Professor Snape!" ("open", "base", "angry", "mid")
                sna "So you actually considered inviting me..." ("snape_20")
                cho "" ("normal", "base", "angry", "L", cheeks="blush")
                sna "That's surprising, considering our current bet..." ("snape_21")
                sna "I must say though, I appreciate the gesture, Albus." ("snape_22")
                gen "Bros before--" ("grin", xpos="far_left", ypos="head")
                ton "Quiet! Both of you!" ("open", "closed", "base", "mid")
                sna "*Tssz*..." ("snape_46")
                sna "Well, I can read the room..." ("snape_09")
                ton "Clearly..." ("upset", "narrow", "raised", "L")
                sna "As it happens, I can't stay for too much longer anyway." ("snape_03")
                pass

            else:
                $ cho_mood += 12
                cho "Sir, you can't be serious!" ("angry", "wide", "raised", "mid", cheeks="heavy_blush")
                gen "Calm yourself, girl." ("base", xpos="far_left", ypos="head")
                gen "There's no touching allowed anyway... Those are the rules." ("base", xpos="far_left", ypos="head")
                ton "Really? You never told me--" ("annoyed", "narrow", "raised", "mid", hair="horny") #pout
                cho "Send him away!" ("clench", "base", "angry", "mid", cheeks="heavy_blush")
                gen "Whatever... no need to get all indignant about this." ("angry", xpos="far_left", ypos="head")
                sna "..." ("snape_09")
                gen "You more than happily strip for all your other teachers... so why not Snape?" ("base", xpos="far_left", ypos="head")
                cho "All my other teachers? It was only you and Tonks that I agreed to do this for!" ("clench", "wide", "raised", "mid")
                pass

    sna "As much as I'd like to watch you make a fool of yourself for us, Miss Chang, I have more important things to do." ("snape_13")
    show screen blktone
    gen "(More important than this?...)" ("base", xpos="far_left", ypos="head")
    hide screen blktone
    sna "I merely came here to discuss a private matter with our headmaster." ("snape_24")
    sna "About this... Misunderstanding that occurred during the last Quidditch game." ("snape_09")

    cho "There is nothing more to discuss." ("open", "closed", "angry", "R")
    cho "We won against you, fair and square, you cheat..." ("clench", "narrow", "angry", "L")
    sna "Hold your tongue, Miss Chang, or I'll have to dock some points from your house..." ("snape_03")
    sna "Or worse..." ("snape_20") #smirks
    cho "*Pfff*... only first years care about house points..." ("annoyed", "narrow", "base", "R") # small text
    gen "Not taking that loss easy, are you? Disappointed that we won -- against all odds?" ("grin", xpos="far_left", ypos="head")
    sna "*Tzzzs*... by sheer luck you did." ("snape_32")
    cho "Says the one who literally gave his team liquid luck!" ("disgust", "narrow", "angry", "L", cheeks="blush")
    sna "Ten points from Ravenclaw!" ("snape_31")
    $ ravenclaw -= 10
    cho "{size=-4}Like I care...{/size}" ("annoyed", "narrow", "angry", "down", cheeks="blush")
    ton "Let the girl speak her mind, Severus!" ("open", "closed", "shocked", "mid")
    ton "Or shall I remind you that you were the one who barged in here uninvited..." ("open", "narrow", "base", "L")
    sna "*Hmph*..." ("snape_35")
    sna "Can't let her spew such lies in the headmaster's presence, can I?" ("snape_03")
    gen "The hell is that supposed to mean?" ("base", xpos="far_left", ypos="head")
    sna "I merely gave those boys some encouragement." ("snape_04")
    sna "There was no need to involve something as valuable as a luck potion..." ("snape_09")
    cho "What?!" ("angry", "happyCl", "angry", "mid", cheeks="blush")

    # Cho stops hiding behind Tonks.
    call play_music("stop")
    $ cho_chibi.zorder = 3 # Reset to default.
    call cho_chibi("stand", 314, 366, flip=True)
    ton "" ("annoyed", "narrow", "raised", "downR")
    cho "But the entire Slytherin team drank some! They were even bragging about it!" ("clench", "narrow", "angry", "L", xpos=275, ypos="base", flip=True, trans=hpunch)

    sna "I suppose if that's what they said then who am I to refute it..." ("snape_37") #smirk
    sna "Now, if you'll excuse me..." ("snape_09")
    sna "I'll leave you three to indulge further in your...{w=0.8} debaucheries..." ("snape_47")
    cho "No! You stay where you are!" ("scream", "base", "angry", "L")
    call hide_characters
    hide screen bld1
    with d3
    pause .2

    # Cho moves in front of Tonks.
    hide screen cho_chibi
    hide screen tonks_chibi
    with d3
    $ cho_chibi.zorder = 2 # Behind Tonks, so her ponytail doesn't cover her head.
    call ton_chibi("stand", 322, 360, flip=True)
    call cho_chibi("stand", 360, 360, flip=True)
    with d3
    pause .5

    $ tonks.zorder = 15 # Reset to default.
    $ cho.zorder = 16 # In front of Tonks. Default is 15.
    call play_music("cho")
    sna "" ("snape_13")
    ton "" ("annoyed", "shocked", "raised", "stare", hair="horny", xpos=310, ypos="base", flip=True)
    cho "First you're going to explain yourself!" ("clench", "base", "angry", "L", xpos=415, ypos="base", flip=True, trans=hpunch)
    ton "" ("clench", "wide", "shocked", "L", hair="horny", cheeks="blush")
    cho "You somehow tricked them! They played far better than usual." ("mad", "base", "angry", "L")
    ton "" ("horny", "narrow", "worried", "down", hair="horny", cheeks="heavy_blush")
    sna "*Hmm*... Very well, Miss Chang." ("snape_20")

    # Space Jam
    sna "You truly believe I'd waste such a valuable potion on those blokes?" ("snape_18")
    cho "" ("annoyed", "base", "angry", "L")
    sna "It takes three months to brew and distil only a tiny vial of Felix Felicis... and it's quite the tedious endeavour to do so." ("snape_12")
    sna "That prize money would barely cover half of the materials..." ("snape_03")
    cho "Prize money? What prize money?!" ("open", "base", "angry", "mid")
    gen "Don't interrupt your teacher." ("base", xpos="far_left", ypos="head")
    cho "" ("annoyed", "narrow", "angry", "mid")
    gen "..." ("base", xpos="far_left", ypos="head")
    ton "" ("base", "narrow", "worried", "L", hair="horny", cheeks="heavy_blush")
    cho "" ("annoyed", "narrow", "angry", "L")
    sna "All I did was give them a vial of pumpkin juice..." ("snape_41")
    sna "Then I told them I mixed in some liquid luck." ("snape_13")
    cho "What stupid kind of tactic is that?" ("soft", "narrow", "angry", "mid")
    sna "" ("snape_39")
    ton "" ("base", "narrow", "base", "mid", hair="horny", cheeks="blush")
    gen "Hold on a minute..." ("angry", xpos="far_left", ypos="head")
    gen "Are you seriously telling me you gave them pumpkin juice... and pretended it was \"{b}Michael's secret stuff{/b}\"?" ("base", xpos="far_left", ypos="head")
    sna "Michael's...{w=0.3} what?" ("snape_38")
    gen "You ripped off {b}Space Jam{/b}!" ("angry", xpos="far_left", ypos="head")
    sna "I'm sorry?" ("snape_25") # confused
    gen "You ripped off the plot of Space Jam!" ("angry", xpos="far_left", ypos="head")
    sna "I have no idea what you're talking about..." ("snape_44")
    ton "Neither do I." ("annoyed", "base", "raised", "mid", hair="horny")
    cho "Sir, is this about that basketball thing again?" ("disgust", "narrow", "angry", "mid")
    #gen "Well you clearly didn't watch the outcome, did you?" ("base", xpos="far_left", ypos="head")
    gen "Even Bugs Bunny couldn't help him win. Serves you right!" ("grin", xpos="far_left", ypos="head")
    ton "Who's Bugs Bunny?" ("soft", "narrow", "raised", "mid", hair="horny")
    gen "Oh boy, let me tell you--" ("grin", xpos="far_left", ypos="head")
    sna "Anyway." ("snape_31")
    cho "" ("annoyed", "narrow", "angry", "L")
    sna "Miss Chang, I wish you the very best of luck on your next match." ("snape_45")
    ton "" ("normal", "narrow", "base", "L", hair="horny")
    sna "You lot look like you're going to need it..." ("snape_42")
    cho "*Hmph*..." ("annoyed", "base", "angry", "L")
    gen "(...)" ("base", xpos="far_left", ypos="head")
    call play_music("stop")
    call hide_characters
    hide screen bld1
    with d3
    pause .1

    # Snape walks to the door.
    call sna_walk("door", "base")
    pause .2

    call sna_chibi("stand", "door", "base", flip=False)
    with d3
    pause .5

    sna "Until then, Albus... Miss Chang..." ("snape_20", xpos="base", ypos="head")
    sna "{cps=7}Nymphadora...{/cps}" ("snape_41", xpos="base", ypos="head")
    ton "Stop calling me--" ("clench", "closed", "angry", "mid", hair="angry", ypos="head", flip=True)

    # Snape leaves.
    call sna_chibi("stand", "door", "base", flip=True)
    with d3
    call sna_chibi("leave")
    pause .5

    call bld
    gen "Fucking guy..." ("base", xpos="far_left", ypos="head")
    gen "Who does he think he is?" ("base", xpos="far_left", ypos="head")
    gen "Besmirching a classic such as Space Jam, like it was nothing..." ("base", xpos="far_left", ypos="head")

    # The girls face Genie.
    hide screen cho_chibi
    hide screen tonks_chibi
    $ cho_chibi.zorder = 2
    call cho_chibi("stand", 330, 364, flip=False)
    call ton_chibi("stand", 370, 360, flip=False)
    with d3

    cho "" ("annoyed", "narrow", "base", "mid", xpos=190, ypos="base", flip=False)
    ton "Well, that was a bit uncalled for... even for him." ("open", "narrow", "annoyed", "R", xpos=350, ypos="base", flip=False, trans=d5)

    ton "When did I step on his toes?" ("upset", "base", "base", "mid")
    gen "Maybe when you called him Snivellus--" ("base", xpos="far_left", ypos="head")
    ton "I'm not even part of your silly bet..." ("upset", "base", "shocked", "downR")
    cho "Bet?" ("angry", "narrow", "raised", "mid")
    gen "Let's not concern ourselves with Snape. He's out of the picture anyway." ("base", xpos="far_left", ypos="head")
    cho "What bet?" ("open", "narrow", "angry", "mid")
    ton "So, shall we wrap things up, Professor?" ("base", "happyCl", "base", "mid")
    gen "Yes please." ("base", xpos="far_left", ypos="head")
    cho "" ("annoyed", "narrow", "angry", "mid")

    if game.daytime:
        ton "Let me escort you back to class, Miss Chang." ("soft", "base", "base", "L", hair="horny")
    else:
        ton "Let me escort you back to your common room. It's getting late." ("soft", "base", "base", "L", hair="horny")

    # Fade to black.
    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5

    # The girls get dressed and wait at the door.
    $ cho.wear("all")
    $ tonks.wear("all")

    # Reset zorder.
    $ cho.zorder = 15 # reset to default.
    $ tonks.zorder = 15 # reset to default.
    $ cho_chibi.zorder = 3 # reset to default.
    $ tonks_chibi.zorder = 3 # reset to default.
    hide screen cho_cloth_pile

    call cho_chibi("stand", 690, "base", flip=False)
    call ton_chibi("stand", "door", "base", flip=False)

    call play_sound("climb_desk")
    pause 2

    hide screen blkfade
    with d5
    pause .5

    ton "Thank you for your time, Professor." ("base", "base", "base", "mid", ypos="head", flip=False)
    if game.daytime:
        cho "Good day, Sir." ("base", "base", "base", "mid", ypos="head", flip=False)
    else:
        cho "Good night, Sir." ("base", "base", "base", "mid", ypos="head", flip=False)
    gen "Until next time." ("grin", xpos="far_left", ypos="head")
    call bld("hide")
    pause .1

    # They both leave.
    call cho_chibi(flip=True)
    pause .3
    call ton_chibi(flip=True)
    with d3
    pause .2

    call play_sound("door")
    hide screen cho_chibi
    hide screen tonks_chibi
    with d3
    pause .5


    # Reset clothing.
    $ cho.equip(cho_outfit_last)
    $ tonks.equip(ton_outfit_last)

    $ tonks_busy = True
    $ snape_busy = True

    # End event.
    jump end_cho_strip_event


### Tier 3 - Event 3 ###

# Cho and Tonks strip on your desk again.
# Tonks gives Cho a demonstration of her Metamorphmagi ability.

label cc_pf_strip_T3_intro_E3:
    gen "[cho_name], why don't we summon your teacher again?" ("base", xpos="far_left", ypos="head")
    cho "So we can give you another show, [cho_genie_name]?" ("soft", "narrow", "angry", "mid") # annoyed
    gen "Well, if you insist on it..." ("grin", xpos="far_left", ypos="head")
    cho "" ("annoyed", "narrow", "angry", "mid", cheeks="blush")
    gen "Surely you haven't forgotten the actual reason we summoned her..." ("base", xpos="far_left", ypos="head")
    cho "Of course not..." ("open", "closed", "base", "mid")
    cho "I wanted to ask her about what she did during the Slytherin match..." ("annoyed", "narrow", "base", "mid")
    cho "But then Professor Snape busted in before I got a chance to." ("angry", "narrow", "angry", "R", cheeks="blush")
    gen "Right... let's give it another go then, shall we?" ("base", xpos="far_left", ypos="head")
    cho "But no Snape this time!" ("soft", "narrow", "angry", "mid", cheeks="blush")
    cho "If you expect me to expose myself to Professor Snape again, then you're sadly mistaken!" ("clench", "base", "angry", "mid", cheeks="blush")
    gen "No more Snivellus... got it..." ("base", xpos="far_left", ypos="head")
    cho "" ("annoyed", "narrow", "angry", "mid")
    gen "Wait here at my desk while I summon your Teacher." ("base", xpos="far_left", ypos="head")
    cho "Yes, [cho_genie_name]." ("soft", "narrow", "worried", "R", cheeks="blush")

    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5
    pause 1

    # (Cho's outfit doesn't change this time.)
    #$ cho_outfit_last.save() # Store current outfit.
    $ ton_outfit_last.save() # Store current outfit.
    $ her_outfit_last.save() # Store current outfit.
    #$ cho.equip(cho_outfit_default)
    $ tonks.equip(ton_outfit_default)   # Equip Tonks default clothing.
    $ hermione.equip(her_outfit_default)    #Equip Hermione default clothing.
    $ cho.strip("robe") # removes school robe.

    call cho_chibi("stand", "desk", "base", flip=True)

    call play_music("stop")
    hide screen blkfade
    with d5
    pause .8

    call nar(">You attempt to summon Tonks to your office.")
    pause .2

    call bld
    gen "..." ("base", xpos="far_left", ypos="head")
    cho "..." ("quiver", "narrow", "base", "L", ypos="head", flip=True)


    # Fireplace turns on.
    if not fire_in_fireplace:
        pause .2
        $ fire_in_fireplace = True
        $ fireplace_OBJ.foreground = "fireplace_fire"
        with d5
        pause .8

    gen "..................?" ("base", xpos="far_left", ypos="head")
    call bld("hide")
    pause .5

    # Fire flashes green. # Tonks appears in the fireplace.
    $ renpy.sound.play("sounds/fire_woosh.ogg")
    $ fire_in_fireplace = True
    show screen gfx_effect(690, 330, img="smoke", zoom=0.5)
    pause .1
    $ fireplace_OBJ.foreground = "fireplace_greenfire"
    call ton_chibi("stand", 642, 392, flip=False) # In fireplace
    with d5

    # Tonks walks next to Cho.
    call ton_walk(540, "base")
    pause .8

    # Fireplace turns off.
    stop bg_sounds #Stops playing the fire SFX.
    $ fire_in_fireplace = False
    $ fireplace_OBJ.foreground = None
    with d5
    pause .2

    call play_music("tonks")
    cho "" ("base", "narrow", "worried", "L", cheeks="blush", xpos="left", ypos="base", flip=True)
    ton "You called?" ("base", "narrow", "base", "mid", xpos="right", ypos="base")

    cho "Hello, Professor." ("soft", "narrow", "worried", "L", cheeks="blush")
    gen "What{w=0.3} {b}the fuck{/b} just happened?" ("angry", xpos="far_left", ypos="head")
    ton "Oh, my apologies... I forgot we don't usually use the school's floo powder network." ("grin", "base", "base", "mid")
    gen "Network? Do I need to set a password on my fireplace now?" ("base", xpos="far_left", ypos="head")
    cho "" ("annoyed", "narrow", "base", "mid")
    gen "Could anyone just poof in here as they please?" ("base", xpos="far_left", ypos="head")
    ton "At the moment, yes." ("silly", "happyCl", "base", "mid")
    gen "(So much for privacy in this place...)" ("base", xpos="far_left", ypos="head")
    ton "You might want to renew the protective enchantments that were cast on it. It's quite the security flaw." ("upset", "base", "raised", "mid")
    gen "I'll have the {b}IT{/b} guy sort it out... A simple firewall should do it..." ("base", xpos="far_left", ypos="head")
    ton "Anyhow, I thought it'd be faster than walking those dreadful stairs." ("base", "base", "base", "mid")
    ton "Even if it's a bit of a waste of powder..." ("upset", "base", "shocked", "down")
    cho "They are by no means dreadful, Professor Tonks." ("open", "narrow", "base", "L")
    ton "" ("base", "base", "raised", "L")
    cho "Without a gym, there's only a limited number of ways to do any exercises here at school." ("open", "closed", "base", "mid")

    menu: # change
        gen "(...)" ("base", xpos="far_left", ypos="head")
        "\".............\"": # Genie lets them speak
            cho "I take divination lessons solely as an opportunity to climb the north tower once a week." ("base", "happyCl", "base", "mid")
            ton "Of course you do..." ("base", "base", "base", "L")
            ton "(Those thick legs have to come from somewhere.)" ("grin", "narrow", "base", "mid", hair="horny")
            ton "I had a hunch that something special was in store for me today." ("horny", "narrow", "raised", "mid", hair="horny")

        "\"You could exercise with me!\"":
            gen "I can give you a workout of the likes you've never seen!" ("grin", xpos="far_left", ypos="head")
            ton "" ("base", "narrow", "annoyed", "mid", hair="horny")
            cho "*Hmm*?" ("soft", "base", "raised", "mid")
            gen "I'll wear you out until your muscles are sorer than ever!" ("angry", xpos="far_left", ypos="head")
            cho "Really!?" ("crooked_smile", "base", "base", "mid") # happy
            ton "Now-now, Professor. Don't make promises you can't keep..." ("soft", "narrow", "base", "mid", hair="horny")
            cho "Why haven't you shown me any of these workouts, sir?" ("open", "base", "angry", "mid")
            gen "We'll get to it at some point I'm sure." ("base", xpos="far_left", ypos="head")
            ton "I sure wouldn't mind seeing you try out his techniques as well." ("grin", "narrow", "base", "L", hair="horny")
            gen "No objections here!" ("grin", xpos="far_left", ypos="head")
            cho "Wicked!" ("grin", "happyCl", "base", "mid")

    ton "Come on, Miss Chang..." ("open", "narrow", "base", "L", hair="horny")
    cho "" ("annoyed", "base", "base", "L")
    ton "Let's give our headmaster a good show!" ("crooked_smile", "narrow", "base", "mid", hair="horny")
    cho "Alright." ("open", "happyCl", "base", "mid")
    ton "Now, after you..." ("horny", "narrow", "base", "L", hair="horny")

    # Cho and Tonks hop onto the desk.
    call hide_characters
    hide screen bld1
    with d3
    pause .2

    call cho_chibi(flip=False)
    with d3
    pause .1

    show screen blkfade
    with d5


    # Tonks chibi on desk next to Cho's. # Tonks is facing left

    call cho_chibi("stand", 314, 366, flip=True)
    call ton_chibi("stand", 370, 360, flip=False)

    call play_sound("climb_desk")
    pause 2

    call play_music("cho")
    hide screen blkfade
    with d5
    pause .8

    $ cho.zorder = 16 # in front of Tonks. 15 is default.
    cho "" ("base", "narrow", "base", "L", cheeks="heavy_blush", xpos=280, ypos="base", flip=True)
    ton "..." ("base", "narrow", "raised", "L", hair="horny", xpos=345, ypos="base")
    ton "Are you watching closely, Professor?" ("open", "narrow", "base", "mid", hair="horny")
    gen "You bet!" ("grin", xpos="far_left", ypos="head")
    ton "I wouldn't want you to miss what's about to happen..." ("base", "narrow", "base", "mid", hair="horny")

    # Cho and Tonks undress.
    $ temp_var = False
    if cho.is_any_worn("robe", "top", "bottom"):
        $ temp_var = True
        ton "Let me help you with that, Miss Chang." ("soft", "narrow", "base", "L", hair="horny")
        ton "" ("base", "narrow", "base", "L", hair="horny")

    # Remove Cho's robe. #TODO are they not already removed near the start of the event?
    if cho.is_worn("robe"):
        pause .2
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("robe")
        with d3
        pause .5
        cho "" ("base", "narrow", "base", "R", cheeks="blush")
        pause .8

    # Remove Cho's top.
    if cho.is_worn("top"):
        pause .2
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("top")
        with d3
        pause .5
        cho "" ("horny", "narrow", "raised", "R", cheeks="heavy_blush")
        pause .8

        call nar(">Tonks swiftly pulls the girl's top over her chiselled frame.")

    # Remove Cho's bottom.
    if cho.is_worn("bottom"):
        cho "..." ("horny", "narrow", "base", "mid", cheeks="heavy_blush") # embarrassed
        pause .2
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("bottom")
        show screen cho_cloth_pile
        with d3
        pause .5
        cho "" ("horny", "narrow", "raised", "R", cheeks="heavy_blush")
        pause .8

        call nar(">A quick tug by her teacher, and Cho's bottom clothing slips down her muscular things.")

    if temp_var == True:
        cho "Please, Professor...{w=0.4} not so fast." ("clench", "happyCl", "base", "mid", cheeks="heavy_blush") # embarrassed?
        gen "..." ("grin", xpos="far_left", ypos="head")
        ton "*Hmm*... Okay then." ("base", "narrow", "raised", "mid", hair="horny")
        ton "I'll go next, shall I?" ("grin", "narrow", "base", "mid", hair="horny")
    else: # Cho was already in underwear or nude.
        ton "Couldn't you have waited for me, Miss Chang?" ("soft", "narrow", "base", "L", hair="horny")
        ton "I would have loved to help you undress..." ("base", "narrow", "base", "L", hair="horny")
        gen "No, that's just the girl's regular dress code around my office." ("base", xpos="far_left", ypos="head")
        cho "" ("clench", "narrow", "base", "downR", cheeks="heavy_blush")
        ton "Is that so..." ("soft", "narrow", "raised", "mid", hair="horny")
        ton "*Hmm*... I suppose I should follow suit, then?" ("base", "narrow", "base", "mid", hair="horny")
        cho "..." ("horny", "narrow", "base", "R", cheeks="blush") # embarrassed

    gen "Go right ahead!" ("grin", xpos="far_left", ypos="head")
    ton "I've been dying to get out of this stuffy coat." ("open", "base", "shocked", "down")
    call play_music("tonks")
    ton "" ("base", "base", "base", "down")
    pause .2

    # Tonks removes her coat.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ tonks.strip("robe")
    with d3
    pause .8

    ton "There... much better, don't you think?" ("base", "narrow", "base", "mid")
    cho "..." ("base", "narrow", "worried", "downR", cheeks="heavy_blush") #embarrassed
    ton "Miss Chang, could you switch places with me, please." ("open", "base", "shocked", "L")
    cho "*Ehm*... Y-Yes. Of course..." ("soft", "narrow", "worried", "L", cheeks="heavy_blush")

    # Tonks' sprite moves in front of Cho, both are facing Genie.
    call hide_characters
    hide screen bld1
    with d3
    pause .5

    $ tonks_chibi.zorder = 2 # default is 3
    call cho_chibi("stand", 370, 360, flip=False)
    call ton_chibi("stand", 320, 360, flip=False)
    with d3
    pause .5

    $ cho.zorder = 15 # reset to default.
    $ tonks.zorder = 16 # in front of Cho # Default is 15.
    cho "" ("horny", "narrow", "base", "mid", cheeks="heavy_blush", xpos=345, ypos="base", flip=False)
    ton "..." ("crooked_smile", "narrow", "base", "mid", hair="horny", xpos=215, ypos="base", flip=False)

    ton "Miss Chang, would you be so kind and assist me with my shirt?" ("soft", "base", "shocked", "down", hair="horny")
    cho "Yes, Professor..." ("smile", "narrow", "base", "down", cheeks="heavy_blush")
    pause .2
    cho "" ("base", "narrow", "raised", "down", cheeks="heavy_blush", xpos=315, ypos="base", flip=False, trans=d5) # moves closer to Tonks.
    pause .8
    cho "" ("horny", "narrow", "base", "down", cheeks="heavy_blush")
    pause .2

    # Remove Tonks top.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ tonks.strip("top")
    with d3
    pause .5

    ton "" ("horny", "narrow", "base", "mid", hair="horny")
    pause .8

    call nar(">With some effort, Cho manages to remove her teacher's shirt.")
    ton "Thank you, sweetie." ("soft", "narrow", "raised", "downR", hair="horny")
    cho "" ("base", "narrow", "base", "mid", cheeks="heavy_blush")
    ton "*Hmm*..." ("annoyed", "base", "raised", "down", hair="horny")
    ton "I guess my tight trousers are next..." ("base", "narrow", "base", "mid", hair="horny")
    cho "..." ("horny", "narrow", "base", "down", cheeks="heavy_blush") # blush
    ton "I'll take it from here..." ("soft", "narrow", "shocked", "downR", hair="horny")
    pause .2

    # Tonks turns around facing Cho.
    call ton_chibi(flip=True)
    #$ tonks.zorder = 15 # Reset to default.
    #$ cho.zorder = 16 # in front of Tonks # Default is 15.
    #cho "" ("base", "narrow", "raised", "L", cheeks="heavy_blush", xpos=345, ypos="base", flip=False)
    ton "Let me show you how it's done. {heart}" ("crooked_smile", "narrow", "base", "down", hair="horny", xpos=280, ypos="base", flip=True, trans=d5)

    cho "..." ("horny", "narrow", "worried", "down", cheeks="heavy_blush") # lip bite
    ton "With trousers like these, you should start slowly... that's how the headmaster likes it. {heart}" ("horny", "narrow", "base", "mid", hair="horny", cheeks="heavy_blush")

    call nar(">Tonks carefully tugs at the thin fabric of her leggings, and slowly pulls them past her cheeks...", "start")
    call nar(">As the fabric bundles up between her fingers, reaching lower and lower past her thighs, she pulls them off in one swift motion.", "end")

    # Remove Tonks bottom.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ tonks.strip("bottom")
    with hpunch
    pause .5

    ton "" ("horny", "narrow", "raised", "mid", hair="horny", cheeks="blush")
    pause .8

    gen "Not wearing any underwear, I see..." ("base", xpos="far_left", ypos="head")
    ton "I avoid it when I can..." ("crooked_smile", "narrow", "base", "mid", hair="horny")
    ton "Even while I'm in uniform. {heart}" ("grin", "wink", "raised", "mid", hair="horny") #wink
    ton "" ("base", "narrow", "base", "mid", hair="horny")
    gen "Anything you'd like to say, Miss Chang?" ("base", xpos="far_left", ypos="head")
    gen "It's not every day you get to see such a gorgeous woman strip for you..." ("grin", xpos="far_left", ypos="head")
    gen "(...)" ("base", xpos="far_left", ypos="head")
    pause .5

    # Slap Tonks' ass!
    call slap_her
    cho "" ("open", "wide", "base", "mid", cheeks="heavy_blush")
    ton "!!!" ("clench", "shocked", "base", "stare", hair="scared", cheeks="heavy_blush") # shocked
    call nar(">You give Tonks a hard slap on her ass.")
    cho "" ("horny", "base", "base", "down", cheeks="heavy_blush")
    ton "Ouch...{w=0.4} Professor!" ("crooked_smile", "narrow", "annoyed", "mid", hair="horny", cheeks="heavy_blush")
    gen "Right, should've warned you, shouldn't I..." ("base", xpos="far_left", ypos="head")

    menu:
        "-Slap it one more time!-":
            call slap_her
            ton "..." ("clench", "base", "shocked", "ahegao", hair="horny", cheeks="blush") #pout #blush
            gen "Want another?" ("grin", xpos="far_left", ypos="head")
            ton "Yes, please. {heart}" ("crooked_smile", "narrow", "base", "mid", hair="horny", cheeks="heavy_blush")

            menu:
                "-Slap it again!-":
                    call slap_her
                    ton "*Mmm*... Spank me, Sir!" ("horny", "narrow", "angry", "mid", hair="horny", cheeks="heavy_blush")

                    menu:
                        "-Again!-":
                            pass
                    call slap_her
                    ton "More...{w=0.3} Harder!" ("clench", "base", "angry", "mid", hair="angry", cheeks="heavy_blush")
                    cho "..." ("disgust", "happyCl", "worried", "mid", cheeks="heavy_blush") # blushing #lip bite #looking away

                    menu:
                        "-Slap it hard!-":
                            pass
                    call slap_her
                    ton "" ("clench", "base", "shocked", "ahegao", hair="scared", cheeks="heavy_blush")
                    pause .5
                    call slap_her
                    pause .3
                    call slap_her
                    pause .3
                    call slap_her
                    cho "" ("horny", "narrow", "worried", "mid", cheeks="heavy_blush")
                    ton "*Hngh*..." ("upset", "narrow", "base", "ahegao", hair="horny", cheeks="heavy_blush")
                    ton "Thank you, Professor. {heart}{heart}{heart}" ("crooked_smile", "narrow", "worried", "mid", hair="horny", cheeks="heavy_blush")
                    gen "You're welcome." ("grin", xpos="far_left", ypos="head")
                    cho "..." ("horny", "narrow", "base", "downR", cheeks="heavy_blush")

                "\"Cho, you do the honours!\"":
                    cho "What?! I can't--" ("open", "wide", "base", "mid", cheeks="heavy_blush")
                    pause .2

                    # Tonks turns around.
                    call ton_chibi(flip=False)
                    ton "" ("base", "base", "base", "mid", hair="horny", cheeks="blush", xpos=215, ypos="base", flip=False, trans=d5)
                    pause .5

                    ton "It's fine, Cho. Just give it a little slap." ("soft", "narrow", "base", "downR", hair="horny", cheeks="blush")
                    cho "..." ("angry", "base", "raised", "down", cheeks="heavy_blush")
                    call slap_her
                    ton "That's it! Try a little harder..." ("horny", "narrow", "base", "downR", hair="horny", cheeks="blush")
                    call slap_her
                    ton "One more time..." ("soft", "narrow", "shocked", "up", cheeks="blush")
                    call slap_her
                    ton "*Hngh*..." ("upset", "narrow", "shocked", "ahegao", hair="horny", cheeks="heavy_blush")
                    pause .2

                    # Tonks turns around.
                    call ton_chibi(flip=True)
                    ton "" ("base", "base", "base", "mid", xpos=280, ypos="base", flip=True, trans=d5)
                    pause .8

                    ton "Thank you, sweetie." ("crooked_smile", "narrow", "base", "L", cheeks="heavy_blush")
                    cho "..." ("quiver", "narrow", "worried", "down", cheeks="heavy_blush")

        "-Stop here...-":
            pass

    gen "Tell me, Cho...{w=0.3} do you like your teacher's body?" ("base", xpos="far_left", ypos="head")
    ton "" ("base", "narrow", "base", "mid", hair="horny", cheeks="heavy_blush")
    cho "Of course I do." ("open", "narrow", "base", "down", cheeks="heavy_blush")
    ton "" ("base", "narrow", "base", "down", hair="horny", cheeks="blush")
    cho "She's very fit and athletic and pretty, just like me." ("crooked_smile", "happyCl", "base", "mid", cheeks="blush")
    gen "That's not what I meant..." ("base", xpos="far_left", ypos="head")
    gen "Does her body turn you on?" ("grin", xpos="far_left", ypos="head")
    ton "" ("base", "narrow", "annoyed", "mid", hair="horny", cheeks="blush") # eager look at Cho.
    cho "Sir!" ("clench", "wide", "base", "mid", cheeks="heavy_blush")
    gen "It's a simple question..." ("base", xpos="far_left", ypos="head")
    cho "Do I really need to answer?" ("clench", "happyCl", "worried", "mid", cheeks="heavy_blush")
    ton "Please, Miss Chang..." ("open", "narrow", "base", "L", hair="horny", cheeks="blush")
    ton "I'm quite curious about your thoughts as well. {heart}" ("base", "narrow", "base", "L", hair="horny", cheeks="blush")
    ton "We'll keep it our little secret, I promise..." ("crooked_smile", "narrow", "annoyed", "down", hair="horny", cheeks="blush")
    cho "*Hmm*..." ("mad", "narrow", "worried", "down", cheeks="heavy_blush")
    cho "Fine...{w=0.3} I do think you're quite attractive, Professor." ("soft", "narrow", "worried", "downR", cheeks="heavy_blush")
    #gen "Thanks." ("grin", xpos="far_left", ypos="head")
    #cho "" ("annoyed", "narrow", "base", "mid")
    #ton "Very funny, Professor Dumbledore... But I believe she was talking to me." ("open", "narrow", "raised", "mid", hair="horny")
    ton "..." ("base", "narrow", "annoyed", "mid", hair="horny", cheeks="blush") # sharp look at Genie
    cho "Especially for a teacher." ("clench", "narrow", "raised", "down", cheeks="heavy_blush")
    ton "For a teacher?" ("horny", "narrow", "base", "L", hair="horny")
    cho "I mean--" ("soft", "happyCl", "worried", "mid", cheeks="heavy_blush") #clench #worried
    ton "*Ha-ha*... I'll have to add that to my resume." ("grin", "narrow", "base", "mid", hair="horny")
    cho "" ("base", "narrow", "worried", "down", cheeks="heavy_blush")

    ton "Although, teachers shouldn't be employed for their looks, but for their competence, isn't that right?" ("open", "narrow", "annoyed", "mid", hair="horny", cheeks="blush")
    gen "What?" ("base", xpos="far_left", ypos="head")
    gen "Oh-- I mean yes...{w=0.3} of course..." ("angry", xpos="far_left", ypos="head")
    call play_sound("giggle")
    ton "*giggles*..." ("base", "happyCl", "base", "mid", hair="horny", cheeks="blush")
    ton "Enough with the small talk -- let's get these clothes off!" ("soft", "base", "annoyed", "mid", hair="horny", cheeks="blush")

    call play_music("stop")
    ton "" ("horny", "narrow", "base", "mid", hair="horny")
    pause .1

    # Tonks removes the rest of her clothes.
    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    $ tonks.strip("all")
    with hpunch
    pause .2

    cho "" ("clench", "narrow", "worried", "mid", cheeks="heavy_blush")
    pause .5

    call nar(">Within a blink of an eye, Tonks has removed all of her remaining clothing.")
    # nar "One minute her clothes were there, and then they were gone! It was like magic!"
    cho "..." ("clench", "narrow", "worried", "downR", cheeks="heavy_blush")
    ton "Get in front of me, Miss Chang." ("open", "narrow", "base", "L", hair="horny")

    call play_music("cho")
    if cho.is_worn("bra"):
        ton "It's time you show your headmaster your cute little breasts as well." ("soft", "narrow", "base", "mid", hair="horny")
    else:
        ton "Let's show your headmaster these cute little breasts of yours." ("soft", "narrow", "base", "mid", hair="horny")

    cho "They aren't that little..." ("annoyed", "narrow", "worried", "down", cheeks="heavy_blush") # annoyed
    ton "No, you're right, sweetie..." ("soft", "narrow", "base", "down", hair="horny")
    ton "They're just about perfect." ("horny", "narrow", "raised", "down", hair="horny")
    ton "Now stand here so the Headmaster can see your tits." ("crooked_smile", "narrow", "base", "mid", hair="horny", cheeks="blush")
    cho "..." ("annoyed", "happyCl", "base", "mid", cheeks="heavy_blush")
    pause .2

    # Cho moves in front.
    $ cho.zorder = 16 # in front of Tonks # Default is 15.
    $ tonks.zorder = 15 # reset to default.
    cho "" ("angry", "narrow", "base", "down", cheeks="heavy_blush", xpos=300, ypos="base", trans=d5)
    pause .8

    # Remove Cho's bra.
    if cho.is_worn("bra"):

        ton "Let me help you with that, Miss Chang." ("base", "narrow", "raised", "down", hair="horny")
        pause .2

        # Remove Cho top.
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("bra")
        with d3
        pause .5

        cho "" ("base", "happyCl", "worried", "mid", cheeks="heavy_blush")
        pause .8

        call nar(">The lust filled teacher effortlessly removes the bra of her student.")

    cho "..." ("crooked_smile", "narrow", "worried", "mid", cheeks="heavy_blush")
    ton "Fucking perfect {heart} aren't they, Professor?..." ("horny", "narrow", "base", "mid", hair="horny")
    ton "Move next to me, Cho. I need you to stand -- right here {heart}{heart}{heart}" ("open", "base", "base", "downR", hair="horny")
    cho "*Ehm*... yes, Professor." ("soft", "narrow", "worried", "L", cheeks="heavy_blush")
    call hide_characters
    hide screen bld1
    with d3
    pause .5

    # Cho turns around, facing Tonks.
    call cho_chibi("stand", 314, 366, flip=True)
    call ton_chibi("stand", 370, 360, flip=False)
    with d3
    pause .5

    cho "" ("base", "narrow", "base", "mid", cheeks="heavy_blush", xpos=280, ypos="base", flip=True)
    ton "..." ("grin", "narrow", "base", "L", hair="horny", xpos=345, ypos="base", flip=False, trans=d5)

    call play_sound("giggle")
    ton "*giggles*..." ("grin", "narrow", "shocked", "mid", hair="horny")
    ton "This is so much fun!" ("base", "narrow", "base", "up", hair="horny", cheeks="blush")

    if cho.is_worn("panties"):
        cho "..." ("horny", "narrow", "worried", "L", cheeks="heavy_blush")
        ton "Lets unveil this magnificent thing, next!" ("crooked_smile", "narrow", "base", "down", hair="horny")

        call nar(">Tonks eyes up Cho's panties and before you can blink, she undresses her completely.")
        cho "Professor, not so fast--" ("horny", "narrow", "worried", "down", cheeks="heavy_blush")
        pause .2

        # Remove Cho Panties + Everything else.
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        $ cho.strip("all")
        with vpunch
        pause .5

        cho "" ("horny", "narrow", "raised", "down", cheeks="heavy_blush")
        pause .8

        cho "Ah!" ("mad", "happyCl", "worried", "mid", cheeks="heavy_blush") # startled?

    else:
        cho "Glad you're enjoying it, Professor..." ("horny", "narrow", "worried", "L", cheeks="heavy_blush")

        #Remove any remaining items (no sound since she might be naked)
        $ cho.strip("all")
        with d3
        pause .5

        cho "" ("horny", "narrow", "base", "down", cheeks="blush")
        gen "She's not the only one!" ("grin", xpos="far_left", ypos="head")
        cho "" ("horny", "narrow", "base", "mid", cheeks="blush")
        call ctc


    ton "*Hmm*... I can't decide which teacher has the best view now..." ("horny", "narrow", "base", "mid", hair="horny", cheeks="blush")
    gen "Looking pretty good from where I'm sitting..." ("grin", xpos="far_left", ypos="head")
    cho "..." ("smile", "narrow", "worried", "mid", cheeks="heavy_blush")
    call play_music("stop")


    ## Transformation Section ##
    gen "Now then, Miss Chang..." ("base", xpos="far_left", ypos="head")
    gen "I think this would be the perfect time to ask Professor Tonks your question." ("grin", xpos="far_left", ypos="head")
    cho "W-what...{w=0.4} Oh, yes!" ("soft", "base", "raised", "mid", cheeks="heavy_blush")
    ton "*Hmm*?" ("base", "base", "raised", "L", hair="horny")
    cho "Professor Dumbledore told me about how you helped me during the Slytherin game." ("open", "base", "base", "L", cheeks="blush")
    ton "What? You told her I'm a Metamorphmagi?" ("clench", "wide", "worried", "mid", hair="horny")
    cho "You are?!?" ("open", "wide", "raised", "L", cheeks="blush")
    cho "That's so cool!" ("grin", "happyCl", "base", "mid", cheeks="heavy_blush")
    ton "Did I just spoil the surprise myself?{w=0.5} Whoopsie!" ("mad", "narrow", "worried", "downR", hair="horny", cheeks="heavy_blush")
    gen "Well... I didn't exactly tell her that much." ("base", xpos="far_left", ypos="head")
    ton "Well, what's done is done..." ("upset", "narrow", "worried", "downR", hair="horny", cheeks="blush")

    call play_music("trance")
    #ton "Can I have your word that you won't tell anyone, Cho?" ("base", "base", "base", "mid")
    #cho "Yes, you have my word! I promise I won't tell anyone!" ("base", "base", "base", "mid")
    #ton "*Hmm*... Well, seeing the circumstances I guess that's good--" ("base", "base", "base", "mid")
    gen "Show the girl your \"meta thing\" already!" ("grin", xpos="far_left", ypos="head")
    ton "My \"metamorphmagi\" ability." ("soft", "narrow", "base", "mid")
    cho "So, is this what you showed us in class before, professor?" ("crooked_smile", "base", "base", "mid", cheeks="blush")
    cho "You were changing your nose into that of a pig, and then a duck, and then--" ("silly", "happyCl", "base", "mid", cheeks="blush")
    ton "Yes... Well, that's usually about as much as I show people." ("crooked_smile", "narrow", "raised", "L")
    ton "Most aren't aware of what else I can do. It's far more beneficial to me if people are unaware..." ("grin", "narrow", "shocked", "mid")
    ton "You see, I can do far more than just change my nose, or the colour of my hair..." ("soft", "narrow", "raised", "L")
    cho "Wicked!... What else can you do?" ("grin", "base", "base", "L", cheeks="blush")
    gen "How about a busty, stuck-up Gryffindor slut!" ("grin", xpos="far_left", ypos="head")
    ton "Gladly." ("grin", "narrow", "base", "mid")
    stop music
    pause .8

    # Transforms into Hermione
    call play_sound("magic")
    hide tonks_main
    $ hermione.strip("all")
    $ cho_chibi.zorder = 3 # Reset to default.
    $ hermione_chibi.zorder = 2 # behind Cho. Default is 3.
    call ton_chibi("hide")
    call her_chibi("stand", 370, 360, flip=False)
    her "" ("crooked_smile", "narrow", "base", "mid", xpos=345, ypos="base", flip=False, trans=morph)
    pause .2

    cho "" ("open", "wide", "raised", "L", cheeks="heavy_blush")
    call ctc

    call play_music("trance")
    cho "{b}Holy shit!{/b}" ("open", "wide", "raised", "L", cheeks="heavy_blush")
    gen "Watch your language, girl..." ("base", xpos="far_left", ypos="head")
    her "" ("soft", "narrow", "angry", "L")
    ton "Yes. Watch your foul mouth, Chang!"
    cho "I-I'm sorry..." ("clench", "happyCl", "worried", "mid", cheeks="heavy_blush")
    gen "I'm just kidding... Swear as much as you want -- It's not going to bring up the age-ratings..." ("base", xpos="far_left", ypos="head")
    her "" ("annoyed", "narrow", "base", "down")
    ton "*Hmm*..."
    her "" ("soft", "narrow", "annoyed", "down")
    ton "I forgot Miss Granger is a bit heavier in the bosom area than I'm used to..."
    her "" ("grin", "narrow", "angry", "L")
    ton "What do you think, Miss Chang... Do they look that much larger than my own?"
    cho "I..." ("clench", "narrow", "worried", "down", cheeks="heavy_blush")
    cho "I'm sorry, this is so weird!" ("open", "happyCl", "worried", "mid", cheeks="heavy_blush")
    her "" ("grin", "narrow", "base", "down")
    ton "*Hmm*? I thought you'd like them..."
    her "" ("crooked_smile", "narrow", "angry", "L")
    ton "I've heard rumours that you're quite fond of these tits, Miss Chang."
    cho "Sorry! It's not that... It's just... you look exactly like her!" ("disgust", "narrow", "worried", "down", cheeks="heavy_blush")
    cho "You even sound like her!" ("soft", "narrow", "worried", "L", cheeks="heavy_blush")

    $ hermione.get_equipped("hair").set_color([[255, 87, 171, 255], [255, 210, 227, 255], [230, 141, 32, 255]])
    # Original: [[255, 105, 180, 255], [251, 205, 222, 255], [230, 141, 32, 255]]
    # Brown: [[152, 89, 48, 255], [195, 137, 89, 255], [230, 141, 32, 255]]
    her "" ("crooked_smile", "happyCl", "base", "mid", cheeks="blush")
    call play_sound("giggle")
    ton "*giggles*..."

    $ hermione.get_equipped("hair").set_color([[152, 89, 48, 255], [195, 137, 89, 255], [230, 141, 32, 255]])
    her "" ("base", "narrow", "base", "R")
    ton "Naturally... That's the intended effect."
    cho "If I didn't know any better, I'd think you were her!" ("horny", "narrow", "raised", "down", cheeks="heavy_blush")
    her "" ("crooked_smile", "closed", "angry", "mid")
    ton "*Mhmm*... Last time I looked like this in front of you, you couldn't tell either."
    cho "What?! When was that?" ("soft", "base", "worried", "L", cheeks="heavy_blush")
    gen "Right after the last game, if I remember correctly." ("base", xpos="far_left", ypos="head")
    her "" ("base", "narrow", "base", "mid")
    ton "Oh, that wasn't the only time, Professor."
    gen "It wasn't?" ("base", xpos="far_left", ypos="head")
    her "" ("grin", "narrow", "base", "mid")
    ton "I sometimes stroll around the school grounds, disguised as one of the girls... wearing nothing but a school robe..."

    if hg_pr_flash.counter > 1:
        her "" ("crooked_smile", "narrow", "base", "down")
        ton "And If you ever had a boy say he got some tits flashed at him by Miss Granger... then it was most likely me."
        cho "That's awesome!" ("grin", "base", "base", "L", cheeks="blush")
        gen "Well, I did tell Hermione to do it herself before." ("base", xpos="far_left", ypos="head")
        her "" ("open", "wide", "base", "stare", cheeks="blush")
        ton "Seriously? I had no idea!"
        cho "Me neither!" ("soft", "wide", "raised", "mid", cheeks="blush")
        her "" ("base", "narrow", "base", "down")
        ton "I guess that's one less thing to worry about while I do it..."

    cho "I hope you didn't do that kind of stuff while you looked like me, Professor!" ("open", "narrow", "angry", "L", cheeks="blush")
    her "" ("annoyed", "base", "base", "R")
    ton "*Ehm*..."
    cho "If I find out you've shown some boys my breasts, then--" ("open", "closed", "angry", "mid", cheeks="blush")
    her "" ("smile", "happyCl", "worried", "mid", cheeks="blush")
    ton "Of course not, sweetie."
    cho "..." ("annoyed", "narrow", "angry", "L", cheeks="blush")
    her "" ("grin", "base", "base", "R", cheeks="blush") # small text
    ton "It was your ass that I showed them..."
    cho "W-What?!" ("clench", "wide", "angry", "L", cheeks="heavy_blush")
    gen "*He-he-he-he*!" ("grin", xpos="far_left", ypos="head")
    cho "" ("clench", "base", "angry", "L", cheeks="heavy_blush")
    her "" ("soft", "closed", "base", "mid")
    ton "It's not like you haven't done that yourself already..."
    her "" ("base", "narrow", "base", "L")
    ton "In front of the entire school, no less..."
    cho "..." ("annoyed", "narrow", "angry", "L", cheeks="heavy_blush") # blush
    her "" ("open", "closed", "base", "mid")
    ton "Well, that's enough fun for today."

    # Tonks transforms back.
    call play_sound("magic")
    hide hermione_main
    call her_chibi("hide")
    $ cho_chibi.zorder = 3 # Reset to default.
    $ tonks_chibi.zorder = 2 # behind Cho. Default is 3.
    call ton_chibi("stand", 370, 360, flip=False)
    ton "" ("base", "narrow", "base", "mid", xpos=345, ypos="base", hair="neutral", flip=False, trans=morph) # Hermione brown
    pause .2

    cho "" ("clench", "base", "raised", "down", cheeks="heavy_blush")
    call ctc

    ton "Let's do this again some other time, shall we." ("horny", "narrow", "raised", "mid", hair="horny")
    gen "Gladly." ("grin", xpos="far_left", ypos="head")
    ton "And, Miss Chang... if you ever want to have some quiet time with Miss Granger... my office door is always open." ("grin", "narrow", "base", "L", hair="horny", cheeks="heavy_blush")
    cho "I-- *Ehm*..." ("soft", "narrow", "worried", "downR", cheeks="heavy_blush") # super embarrassed
    gen "Maybe you could wait with that until Quidditch is over." ("base", xpos="far_left", ypos="head")
    gen "She has to stay focused, you know..." ("base", xpos="far_left", ypos="head")
    cho "..." ("disgust", "narrow", "worried", "down", cheeks="heavy_blush")
    ton "*Sigh*... Alright..." ("open", "closed", "shocked", "mid", hair="horny")

    # Fade to black.
    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5

    # The girls get dressed and wait at the door.
    $ cho.wear("all")
    $ tonks.wear("all")
    $ hermione.wear("all")

    # Reset zorder.
    $ cho.zorder = 15 # reset to default.
    $ tonks.zorder = 15 # reset to default.
    $ hermione.zorder = 15 # reset to default.
    $ cho_chibi.zorder = 3 # reset to default.
    $ tonks_chibi.zorder = 3 # reset to default.
    $ hermione_chibi.zorder = 3 # reset to default.
    hide screen cho_cloth_pile

    call cho_chibi("stand", 690, "base", flip=False)
    call ton_chibi("stand", "door", "base", flip=False)

    call play_sound("climb_desk")
    pause 2

    call play_music("stop")
    hide screen blkfade
    with d5
    pause .5

    call bld
    gen "And Tonks, next time we do this, wear the clothes I usually ask you to wear around my office." ("grin", xpos="far_left", ypos="head")
    ton "With pleasure." ("base", "narrow", "base", "mid", hair="horny", ypos="head", flip=False)

    if game.daytime:
        ton "I'll escort you back to classes, Miss Chang." ("open", "narrow", "base", "L", hair="horny")
        ton "Have a good day, Professor." ("base", "narrow", "base", "mid", hair="horny")
    else:
        ton "I'll escort you back to your dormitories, Miss Chang." ("open", "narrow", "base", "L", hair="horny")
        ton "Have a good night, Professor." ("base", "narrow", "base", "mid", hair="horny")

    gen "Until next time." ("grin", xpos="far_left", ypos="head")
    cho "..." ("upset", "happyCl", "worried", "mid", cheeks="heavy_blush", ypos="head", flip=False)
    call bld("hide")
    pause .1

    # They both leave.
    call cho_chibi(flip=True)
    pause .3
    call ton_chibi(flip=True)
    with d3
    pause .2

    call play_sound("door")
    hide screen cho_chibi
    hide screen tonks_chibi
    with d3
    pause .5


    # Reset clothing.
    #$ cho.equip(cho_outfit_last)
    $ tonks.equip(ton_outfit_last)
    $ hermione.equip(her_outfit_last)

    $ tonks_busy = True

    # End event.
    jump end_cho_strip_event


label cc_pf_strip_T3_repeat:
    gen "I'm in the mood for another strip-show, [cho_name]." ("base", xpos="far_left", ypos="head")
    cho "Of course you are, [cho_genie_name]." ("base", "narrow", "raised", "mid")
    cho "Who's going to watch me this time?" ("soft", "narrow", "base", "mid")
    gen "*Hmm*... how about--" ("base", xpos="far_left", ypos="head")

    menu:
        #"\"Miss Granger\"":
        #    jump cc_pf_strip_T3_hermione

        "\"Miss Tonks\"":
            cho "Alright then..." ("grin", "narrow", "base", "mid")
            jump cc_pf_strip_T3_tonks


    ## Chibi Pos - for multiple people ##

    #call ton_chibi("stand", flip=False, 380, 360)
    #call cho_chibi("stand", flip=True, 322, 360)

    #call cho_chibi("stand", flip=True, 320, 370)

    #call cho_chibi("stand", 314, 366, flip=True)
    #call cho_chibi("stand", 370, 360, flip=False)
