
# The game starts here
label start:
    call game_init
    jump start_wt

label start_quick:
    call game_init

    python:
        game.difficulty = 2
        ton_friendship = 5
        sna_friendship = 5
        map_unlocked = True
        game.cheats = True

    jump skip_to_hermione

# Quickstart for developer mode
label start_dev:
    call game_init

    python:
        game.difficulty = 2
        game.cheats = True
        game.gold = 100000
        map_unlocked = True
        snape_unlocked = True
        tonks_unlocked = True
        hermione_unlocked = True
        cho_unlocked = True
        astoria_unlocked = True
        susan_unlocked = True
        luna_unlocked = True
        tonks_wardrobe_unlocked = True
        hermione_wardrobe_unlocked = True
        cho_wardrobe_unlocked = True
        astoria_wardrobe_unlocked = True
        susan_wardrobe_unlocked = True
        luna_wardrobe_unlocked = True
        her_whoring = cho_whoring = lun_whoring = ast_whoring = sus_whoring = 24
        sna_friendship = 100
        ton_friendship = 100

        ball_quest.E1_complete = True
        ball_quest.E2_complete = True
        ball_quest.E3_complete = True
        ball_quest.E4_complete = True

        mirror_intro_done = True
        unlocked_7th = True
        first_time_7th = False
        seventh_door_OBJ.hidden = False

        snape_office_discovered = True

        snape_station_examined = True
        snape_shelves_examined = True
        snape_picture_examined = True
        snape_statue_examined = True
        snape_desk_examined = True
        snape_candelabra_examined = True

        snape_office_intro_E0 = True
        snape_office_intro_E1 = True
        snape_office_intro_E1_stage = 2
        snape_office_intro_E2 = True

        cho_intro.E1_complete = True
        cho_intro.E2_complete = True
        cho_intro.E3_complete = True
        ss_he.cho_E1 = True

        for i in mirror.items:
            i.unlocked = True

        for i in inventory.items:
            i.owned = i.limit

        for i in CHARACTERS:
            for x in getattr(renpy.store, i).outfits:
                if not x.hidden:
                    x.unlock()

    jump skip_to_hermione

label game_init:
    $ version = version_float()
    $ wardrobe_init()
    $ parse_mods()

    if not renpy.android:
        show screen tooltip
    return

init python:
    renpy.music.register_channel("background", "sfx", True)
    renpy.music.register_channel("bg_sounds", "sfx", True)
    renpy.music.register_channel("weather", "weather", True)
